#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bcma_find_core_unit, "_gpl", "");
KSYMTAB_FUNC(bcma_core_irq, "", "");
KSYMTAB_FUNC(__bcma_driver_register, "_gpl", "");
KSYMTAB_FUNC(bcma_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(bcma_core_is_enabled, "_gpl", "");
KSYMTAB_FUNC(bcma_core_disable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_enable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_set_clockmode, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pll_ctl, "_gpl", "");
KSYMTAB_FUNC(bcma_core_dma_translation, "", "");
KSYMTAB_FUNC(bcma_chipco_get_alp_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_out, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_outen, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_control, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_read, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_write, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_chipctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_regctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_get_bus_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_b_mii_write, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pci_power_save, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_up, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_down, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_irq_ctl, "_gpl", "");

SYMBOL_CRC(bcma_find_core_unit, 0xcd29c358, "_gpl");
SYMBOL_CRC(bcma_core_irq, 0xe3493e2a, "");
SYMBOL_CRC(__bcma_driver_register, 0xfa39593e, "_gpl");
SYMBOL_CRC(bcma_driver_unregister, 0x03707f50, "_gpl");
SYMBOL_CRC(bcma_core_is_enabled, 0x0cb79c25, "_gpl");
SYMBOL_CRC(bcma_core_disable, 0x147f43d7, "_gpl");
SYMBOL_CRC(bcma_core_enable, 0x045e70b4, "_gpl");
SYMBOL_CRC(bcma_core_set_clockmode, 0x0aa0423f, "_gpl");
SYMBOL_CRC(bcma_core_pll_ctl, 0x3c767e68, "_gpl");
SYMBOL_CRC(bcma_core_dma_translation, 0xd9031443, "");
SYMBOL_CRC(bcma_chipco_get_alp_clock, 0xd009f5aa, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_out, 0x15cd6cb8, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_outen, 0x8a98907c, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_control, 0xe77e3307, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_read, 0x678c5552, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_write, 0xdf39e41e, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_maskset, 0x0e4f3167, "_gpl");
SYMBOL_CRC(bcma_chipco_chipctl_maskset, 0x26c4cacc, "_gpl");
SYMBOL_CRC(bcma_chipco_regctl_maskset, 0x7cc1d925, "_gpl");
SYMBOL_CRC(bcma_pmu_get_bus_clock, 0x3162d5f1, "_gpl");
SYMBOL_CRC(bcma_pmu_spuravoid_pllupdate, 0xc2a26f3b, "_gpl");
SYMBOL_CRC(bcma_chipco_b_mii_write, 0x05eb6320, "_gpl");
SYMBOL_CRC(bcma_core_pci_power_save, 0x5a52835b, "_gpl");
SYMBOL_CRC(bcma_host_pci_up, 0xae03b6d8, "_gpl");
SYMBOL_CRC(bcma_host_pci_down, 0x8474a0b1, "_gpl");
SYMBOL_CRC(bcma_host_pci_irq_ctl, 0xc4f475af, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xf67cbeb6, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x9d60855d, "dev_set_name" },
	{ 0xcaf642a0, "pci_iomap" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7cae3e10, "device_unregister" },
	{ 0xf59a54cf, "rt_mutex_base_init" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xe985ce98, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x7bb8459, "device_initialize" },
	{ 0x207dce0b, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x78f51ba8, "get_device" },
	{ 0x93be1d99, "__dynamic_dev_dbg" },
	{ 0x8407a550, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb43c029f, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x57f51edc, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb5d8fdcd, "_dev_info" },
	{ 0xcd470928, "gpiochip_get_data" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x4b38b512, "bus_unregister" },
	{ 0xb4757401, "_dev_err" },
	{ 0x9eeb4b81, "device_add" },
	{ 0xda660a85, "platform_device_unregister" },
	{ 0x3f5a2d98, "mutex_lock" },
	{ 0x583cce71, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x96f7e256, "pci_iounmap" },
	{ 0xb19b445, "ioread8" },
	{ 0xc50d8f8a, "_dev_warn" },
	{ 0xb8e7ce09, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe8fab077, "rt_spin_unlock" },
	{ 0xea3f4f22, "rt_spin_lock" },
	{ 0x184d16fd, "gpiochip_add_data_with_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x90884a59, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8e08fc20, "platform_device_register_full" },
	{ 0x64f1f76f, "mutex_unlock" },
	{ 0x552f59dd, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf5670107, "pci_disable_device" },
	{ 0x8df83518, "pcie_set_readrq" },
	{ 0x88b4d8d8, "kmalloc_trace" },
	{ 0x3eb60e1a, "driver_register" },
	{ 0x689db6a9, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x76863337, "__dev_fwnode" },
	{ 0x8807c1e4, "pci_write_config_dword" },
	{ 0xbe5931b8, "kmalloc_caches" },
	{ 0x450eb15d, "bus_register" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "25C521496BAEF4FC1986235");
MODULE_INFO(rhelversion, "9.6");
