#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_bridge_connector_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(drm_fbdev_generic_setup, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");
KSYMTAB_FUNC(drm_fb_helper_output_poll_changed, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0xdc8d880f, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0x3f96cc05, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0x6fcf922e, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0x2e07b230, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0x5d808852, "");
SYMBOL_CRC(drm_atomic_helper_check, 0x5aa78e6c, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0x35f7c99d, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0x982d6333, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0xb036527f, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0x044645a3, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0x98634d5c, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0x8915fa5e, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0x6b182c88, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0x97dd820b, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0xf0d1e53b, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0x41074c16, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0xf5804eed, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0x04826c58, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0x745e2bff, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0x32e86e06, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0xc904701d, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0x1aa1e24e, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0x6d143305, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0x0c36025d, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0xae0201f4, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0xe21448f4, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0x4a4267e0, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0x39caeae5, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0x6bdaf08c, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0xa5693716, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0xb4f292e1, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0x6bae9838, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0x4adaad01, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0x3e3ee85b, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0x6673a47a, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0xea52574a, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0x38c8553c, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0xd80a853f, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0x07c088ab, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0x462f5dfe, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0x557f24b0, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0x43150793, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0x335add07, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0xe8bf2d6c, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0xd7ba4ab3, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0xac6af462, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0x2d4a41e9, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0x003165f1, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0x4acfa953, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0x041d6481, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0x2b523c3c, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0xa85201dc, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0x6273cbd0, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0x5712558b, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0x083a8c71, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0xdc557d01, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0x9a6d4476, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0x7bdda1d7, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0xb4538b12, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0xe74c50c6, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0xff09d955, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0x53b0ccd9, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0xe755696e, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0x8d9e930f, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0xb568dbab, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0xca842f92, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0x5f1f1db4, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0x9d7dd4bc, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0x66709bb5, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0x97789e17, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0x0f4280fd, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0x276acd0a, "");
SYMBOL_CRC(drm_bridge_connector_init, 0xb680af0b, "_gpl");
SYMBOL_CRC(drm_helper_encoder_in_use, 0xcf12c706, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0x02712677, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0x4074bcf9, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0x9fa78f80, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0x30e9f091, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0xbb7c7dc6, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0xe4ad7513, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0x9222a31c, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0xbd6d5ef2, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0x4c87b716, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0x8fb93f74, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0xf41f207b, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0xeb450a06, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0x8d78feec, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0xd23ba840, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0x0fe85afb, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0x0f36cc0d, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0x27d83fec, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0xe7202bc6, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0xe6896021, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0xe2072beb, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0x6edea238, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0x4215ba47, "");
SYMBOL_CRC(drm_flip_work_queue, 0x67eb44cf, "");
SYMBOL_CRC(drm_flip_work_commit, 0x6b66cb6d, "");
SYMBOL_CRC(drm_flip_work_init, 0x36c12662, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0x17978196, "");
SYMBOL_CRC(drm_format_conv_state_init, 0xf24700a0, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xeeffb81b, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0x84247d5d, "");
SYMBOL_CRC(drm_format_conv_state_release, 0x24e99aa5, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0xc3ea4ddc, "");
SYMBOL_CRC(drm_fb_swab, 0xd08256df, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0x0a1fbd21, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0x31d6f303, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0x1bdc40ce, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0x480737e2, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0x9cae0207, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0x47af6e78, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0xd2f9c898, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0xa0a6049a, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0xe08e5f20, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0x5b68acd8, "");
SYMBOL_CRC(drm_fb_blit, 0x47e485b6, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0x8a8b26e6, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0x3e37310c, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0x934c85fb, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0xaf8a8649, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0x819abe69, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0x2e2b4e0c, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0x37ad60cf, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0x8d2dc73c, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0xa6665f73, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0xa99677c3, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x2e6fba3c, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0x5142c3a5, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0x7a8491ce, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0x2503c1f4, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0xe74a166c, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0xbf351c26, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0xda12d475, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0x938217ab, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0xdfd32b88, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0x5393a923, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0x5a33366b, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0xac7873bb, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0xf556f3eb, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0xa621ba6b, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0xaa439963, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0x6d21bc9a, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0x3ab68613, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0x4f3947e1, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0xcfbe541f, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0x5faf3db1, "");
SYMBOL_CRC(drm_crtc_init, 0xb90647d7, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0x47be3571, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0xed8c12b6, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0x86967a08, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0x21921166, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0xcfba0fba, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0xb2fb90c2, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0xebac07b7, "");
SYMBOL_CRC(drm_helper_probe_detect, 0x37762aae, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0xf8631fbf, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0xccfe3e70, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0xfbfb6f62, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0xab0763fa, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0x81db82b5, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0x99493b7d, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0x662cb2b7, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0xeaa611be, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0x9b9b3b7f, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0x10b39fb1, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0xd3502293, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0x57f3c1d0, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0x28f1e644, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0x850070be, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0x0e35ef54, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0xcbca4f1b, "");
SYMBOL_CRC(drm_simple_encoder_init, 0x222ed991, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0x0f6696fd, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0x6bbcf64e, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0xee45f935, "");
SYMBOL_CRC(drm_bridge_is_panel, 0x8fe32c6b, "");
SYMBOL_CRC(drm_panel_bridge_add, 0xb87cf109, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0xabbb5865, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0xc5c3ed0b, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0xc296e6f2, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0x1252552f, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0x6a78f117, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0x1da66e94, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0xbfc3c1c6, "");
SYMBOL_CRC(drm_fbdev_generic_setup, 0xde9ef421, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0xd91bbb6f, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0x82133ec3, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0xcc9abf8e, "");
SYMBOL_CRC(drm_fb_helper_blank, 0x9757db7c, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0x69d1dd5e, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0x6e138ac3, "");
SYMBOL_CRC(drm_fb_helper_init, 0x1f78e56a, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0x0c70ebb6, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0x22d20aac, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0xbc801032, "");
SYMBOL_CRC(drm_fb_helper_fini, 0x05020a04, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0xc7c63950, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0x093e20e5, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0xc3de03f6, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0xdd811823, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0x7e33aec2, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0xa169b507, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0x841e96c1, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0x1132c191, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0xa7437444, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0x181b0b2a, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0x08de504c, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0x99daef0e, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0x4bfd49e8, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0xb4efb557, "");
SYMBOL_CRC(drm_fb_helper_output_poll_changed, 0xf738351a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe2804f2c, "unregister_framebuffer" },
	{ 0x1abcf494, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0xbd51aa7c, "drm_framebuffer_cleanup" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x148d364f, "drm_client_register" },
	{ 0x2be74a09, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xbf4cfe96, "drm_panel_get_modes" },
	{ 0xce80f7af, "drm_gem_vmap_unlocked" },
	{ 0xa96adc94, "try_module_get" },
	{ 0x7600af20, "drm_connector_list_update" },
	{ 0xbdbd5a0e, "drm_bridge_add" },
	{ 0x682b8abe, "drm_bridge_chain_mode_valid" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x529f1e79, "unregister_sysrq_key" },
	{ 0x6436f6fd, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe8845e6f, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xfb6beec5, "drm_client_rotation" },
	{ 0xf82a8715, "drm_client_buffer_vmap" },
	{ 0xeba03879, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2131d0ea, "drm_framebuffer_init" },
	{ 0x1e099d90, "drm_mode_validate_driver" },
	{ 0xab355e8a, "drm_atomic_add_affected_planes" },
	{ 0xc6430f15, "dma_buf_end_cpu_access" },
	{ 0x8460cb1a, "drm_modeset_unlock_all" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x321c7197, "drm_mode_probed_add" },
	{ 0xc1bf74e, "drm_atomic_add_affected_connectors" },
	{ 0x90269ef3, "drm_gem_vunmap_unlocked" },
	{ 0x1315d6fd, "drm_bridge_hpd_enable" },
	{ 0xb721d71d, "drm_crtc_vblank_count" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf59a54cf, "rt_mutex_base_init" },
	{ 0x56c05c72, "finish_wait" },
	{ 0x3c3ef5b5, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc12a56fc, "drm_client_framebuffer_delete" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0xe992c1cf, "drm_client_framebuffer_create" },
	{ 0x9f323d32, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xbc3b991d, "drm_mode_object_get" },
	{ 0xa1e191b9, "drm_edid_override_connector_update" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0xaa48a027, "drm_driver_legacy_fb_format" },
	{ 0xfacada2d, "pcpu_hot" },
	{ 0x8974d60b, "drm_crtc_cleanup" },
	{ 0x606e2094, "drm_connector_list_iter_begin" },
	{ 0x32c47a73, "fb_deferred_io_init" },
	{ 0x2db751ab, "drm_mode_set_config_internal" },
	{ 0x2109a779, "fb_deferred_io_cleanup" },
	{ 0x68cf8c0b, "prepare_to_wait_event" },
	{ 0x9b569a39, "framebuffer_alloc" },
	{ 0x24bf5e14, "drm_encoder_cleanup" },
	{ 0x2a3b47fb, "drm_connector_unregister" },
	{ 0xa427ba07, "drm_modeset_acquire_init" },
	{ 0xf8607420, "dma_fence_set_deadline" },
	{ 0xb3750192, "drm_edid_valid" },
	{ 0x8aed9ca9, "drm_client_modeset_probe" },
	{ 0xa1a4fc99, "drm_warn_on_modeset_not_all_locked" },
	{ 0x79234d3, "drm_plane_get_damage_clips" },
	{ 0xe66f4e17, "devres_add" },
	{ 0x7a0e59c7, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1fce9010, "drm_add_modes_noedid" },
	{ 0x244619a2, "drm_bridge_remove" },
	{ 0x17d2c0c1, "drm_mode_object_put" },
	{ 0x82bbaa67, "dev_driver_string" },
	{ 0xa57eeb3e, "drm_crtc_vblank_get" },
	{ 0x6f7fff76, "drm_gem_object_lookup" },
	{ 0x219f8ec5, "drm_crtc_send_vblank_event" },
	{ 0x8a75e9c, "drm_connector_attach_encoder" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2ed3c600, "drm_mode_debug_printmodeline" },
	{ 0x28912659, "fb_sys_write" },
	{ 0xdc33d34c, "drm_atomic_normalize_zpos" },
	{ 0x4e22f02e, "drm_edid_connector_update" },
	{ 0x5541a94b, "drm_sysfs_hotplug_event" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xd0add2d4, "drm_bridge_hpd_disable" },
	{ 0x72ef918e, "sys_imageblit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x20128f54, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1871c2ee, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0x9837b57e, "sys_fillrect" },
	{ 0x7a45c6ea, "drm_connector_list_iter_end" },
	{ 0x81873e8e, "drm_atomic_set_crtc_for_plane" },
	{ 0x80480b95, "drm_bridge_edid_read" },
	{ 0xbcd456f6, "drm_client_modeset_dpms" },
	{ 0xdb17e34a, "drm_mode_prune_invalid" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x98d049ce, "drm_client_dev_hotplug" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xb5d8fdcd, "_dev_info" },
	{ 0xca34e975, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x17b20f39, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0xac2864c6, "module_put" },
	{ 0x59fb0618, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0xb023a64d, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x31dab940, "drm_client_init" },
	{ 0x408052d1, "drm_crtc_wait_one_vblank" },
	{ 0x7f8bf12a, "drm_crtc_next_vblank_start" },
	{ 0x8dbb3149, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0x711e01da, "drm_modeset_lock" },
	{ 0xf3a68a22, "drm_client_modeset_commit_locked" },
	{ 0xafca37ff, "drm_modeset_unlock" },
	{ 0x6d21feee, "drm_panel_disable" },
	{ 0x86ccdbe9, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xdade3b40, "drm_connector_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf400ad88, "devm_kfree" },
	{ 0xb4757401, "_dev_err" },
	{ 0x5ba43dd3, "drm_writeback_cleanup_job" },
	{ 0xe67e3c49, "drm_modeset_lock_all_ctx" },
	{ 0x549353c9, "i2c_unregister_device" },
	{ 0x93ff490d, "drm_atomic_set_fb_for_plane" },
	{ 0x9af7b384, "__drm_universal_plane_alloc" },
	{ 0x46e3183a, "drm_connector_init_with_ddc" },
	{ 0xc2c8b346, "drm_edid_connector_add_modes" },
	{ 0x3f5a2d98, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x8b77a780, "__devres_alloc_node" },
	{ 0xd52ca762, "drm_edid_read" },
	{ 0x464d6958, "drm_crtc_commit_wait" },
	{ 0xd5f72703, "drm_dev_has_vblank" },
	{ 0xcf6e4d12, "register_framebuffer" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x764852ed, "__drm_atomic_helper_disable_plane" },
	{ 0xff1a8f90, "drm_connector_set_orientation_from_panel" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x5a1dd4ff, "drm_gem_handle_create" },
	{ 0x63d8fdce, "drm_atomic_set_crtc_for_connector" },
	{ 0xc71564e2, "drm_analog_tv_mode" },
	{ 0xa68b3168, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0xf0b26b0d, "drm_mode_duplicate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xce4b55d1, "drm_crtc_vblank_put" },
	{ 0x4c0e751b, "i2c_new_client_device" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x8e41bcd8, "__drm_dev_dbg" },
	{ 0x1078c12e, "drm_plane_get_damage_clips_count" },
	{ 0x4037716b, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0xa1cc0d59, "fb_deferred_io_mmap" },
	{ 0x2371e735, "drm_atomic_state_alloc" },
	{ 0xf97f6eba, "drm_client_modeset_commit" },
	{ 0xc50d8f8a, "_dev_warn" },
	{ 0x1533a9ab, "drm_atomic_bridge_chain_post_disable" },
	{ 0xa0bfb940, "drm_connector_update_edid_property" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0x7d8996ae, "fb_set_suspend" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x10ee5c86, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0x41776b8a, "drm_client_release" },
	{ 0xe8fab077, "rt_spin_unlock" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x9806481a, "__drm_atomic_helper_set_config" },
	{ 0x6118bced, "mutex_trylock" },
	{ 0xea3f4f22, "rt_spin_lock" },
	{ 0x59fdbef0, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0x1a4f84b9, "drm_get_format_info" },
	{ 0xaecc86a9, "drm_connector_cleanup" },
	{ 0xc2108208, "drm_universal_plane_init" },
	{ 0x95aabc32, "drm_any_plane_has_format" },
	{ 0xff477a2f, "sys_copyarea" },
	{ 0x417f52e4, "drm_connector_list_iter_next" },
	{ 0x27224aee, "drm_modeset_acquire_fini" },
	{ 0xa4570e8, "drm_encoder_init" },
	{ 0x999e8297, "vfree" },
	{ 0x64d15685, "drm_object_property_get_default_value" },
	{ 0x64f1f76f, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x3c2d83fd, "param_ops_bool" },
	{ 0x52d2c2d7, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb55286c5, "drm_modeset_backoff" },
	{ 0x32089210, "drm_panel_prepare" },
	{ 0x83994180, "drm_bridge_chain_mode_set" },
	{ 0xe139b46f, "drm_client_buffer_vunmap" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0xb24bbc2b, "fb_sys_read" },
	{ 0xe7d3c729, "drm_atomic_get_plane_state" },
	{ 0x95bd8ff6, "drm_atomic_bridge_chain_check" },
	{ 0x45abdefa, "dma_fence_chain_init" },
	{ 0x3ad0d573, "register_sysrq_key" },
	{ 0xb1e52b59, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x7cf66ef7, "drm_property_blob_put" },
	{ 0x8bbb9ce5, "drm_mode_destroy" },
	{ 0xc3d0e1b5, "drm_bridge_attach" },
	{ 0x3b2611b4, "drm_set_preferred_mode" },
	{ 0x13f7d970, "drm_atomic_bridge_chain_pre_enable" },
	{ 0x85189be7, "drm_atomic_state_clear" },
	{ 0x1f487102, "drm_mode_config_reset" },
	{ 0xef08d206, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x88b4d8d8, "kmalloc_trace" },
	{ 0xcf7c628e, "drm_modeset_drop_locks" },
	{ 0x1b28fd08, "fwnode_handle_put" },
	{ 0x6046b93d, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xb7dd76c9, "drm_atomic_bridge_chain_disable" },
	{ 0x7931bb1c, "drm_mode_create_from_cmdline_mode" },
	{ 0x57a84777, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x21927735, "param_ops_int" },
	{ 0xffd3d31b, "drm_atomic_nonblocking_commit" },
	{ 0x7266a4bf, "debugfs_create_dir" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xc60b1a13, "drm_master_internal_release" },
	{ 0x7e9a3899, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x689db6a9, "__mutex_rt_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0x6abe5cb5, "drm_panel_unprepare" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbe5931b8, "kmalloc_caches" },
	{ 0x4855c1e, "drm_atomic_add_encoder_bridges" },
	{ 0x84e93331, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8a0279ed, "drm_sysfs_connector_hotplug_event" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "fb,drm,fb_sys_fops,sysimgblt,sysfillrect,syscopyarea");


MODULE_INFO(srcversion, "B691302735FEF891793A40E");
MODULE_INFO(rhelversion, "9.6");
