#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0x90122f77, "");
SYMBOL_CRC(drm_gem_vram_put, 0x34ab7dbd, "");
SYMBOL_CRC(drm_gem_vram_offset, 0x0646ab04, "");
SYMBOL_CRC(drm_gem_vram_pin, 0xefcced5b, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0xc12653de, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0x42f9426e, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0xe6ac2c7b, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0xb43fff85, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0x272bec29, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0x6492b868, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0x70d95ab0, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0xc365cd71, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0x6bf486fd, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0x4207b54b, "");
SYMBOL_CRC(drmm_vram_helper_init, 0x057aee98, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0xdf3982e0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe527db54, "ttm_range_man_init_nocheck" },
	{ 0xdf768513, "ww_mutex_lock_interruptible" },
	{ 0xfcec8c74, "ttm_resource_manager_debug" },
	{ 0x59e92c00, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x7fbc9a9b, "ttm_range_man_fini_nocheck" },
	{ 0xdada158d, "drm_gem_object_init" },
	{ 0x21475af8, "__drm_printfn_seq_file" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x36a607de, "ttm_bo_pin" },
	{ 0x82bbaa67, "dev_driver_string" },
	{ 0x3e64f874, "drm_gem_ttm_mmap" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x20128f54, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x98241613, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xdf5d9f7c, "drm_gem_object_release" },
	{ 0xd0e23f49, "ttm_tt_init" },
	{ 0x5a1dd4ff, "drm_gem_handle_create" },
	{ 0xda12d475, "drm_gem_fb_get_obj" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92f91402, "ttm_bo_unpin" },
	{ 0x65b962a9, "__drm_puts_seq_file" },
	{ 0xe8fab077, "rt_spin_unlock" },
	{ 0xea3f4f22, "rt_spin_lock" },
	{ 0xc29bdeb6, "drm_debugfs_add_files" },
	{ 0x4decea60, "ttm_bo_init_validate" },
	{ 0x56470118, "__warn_printk" },
	{ 0x20ff22d1, "ttm_device_init" },
	{ 0xb0691542, "ttm_bo_validate" },
	{ 0x3f8d9dff, "ttm_bo_move_to_lru_tail" },
	{ 0x88b4d8d8, "kmalloc_trace" },
	{ 0x7703f1ac, "ttm_bo_vmap" },
	{ 0x705d0185, "ttm_bo_put" },
	{ 0x7a196b98, "ttm_resource_free" },
	{ 0x4049fb19, "ttm_bo_move_memcpy" },
	{ 0xea898682, "ttm_tt_fini" },
	{ 0x92e2e60e, "ttm_device_fini" },
	{ 0x934c85fb, "drm_gem_plane_helper_prepare_fb" },
	{ 0x38b1d57d, "ttm_bo_eviction_valuable" },
	{ 0xbe5931b8, "kmalloc_caches" },
	{ 0xdb83d7a0, "drm_gem_ttm_print_info" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm,drm_ttm_helper,drm_kms_helper");


MODULE_INFO(srcversion, "1496405607BF97945448E9F");
MODULE_INFO(rhelversion, "9.6");
