#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stm_register_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_data_write, "_gpl", "");
KSYMTAB_FUNC(stm_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_write, "_gpl", "");
KSYMTAB_FUNC(to_pdrv_policy_node, "_gpl", "");

SYMBOL_CRC(stm_register_protocol, 0x4066ada0, "_gpl");
SYMBOL_CRC(stm_unregister_protocol, 0x3fd0fcfe, "_gpl");
SYMBOL_CRC(stm_data_write, 0x5704c4d5, "_gpl");
SYMBOL_CRC(stm_register_device, 0x2d29a111, "_gpl");
SYMBOL_CRC(stm_unregister_device, 0xf7f7969a, "_gpl");
SYMBOL_CRC(stm_source_register_device, 0x772bf8a9, "_gpl");
SYMBOL_CRC(stm_source_unregister_device, 0xa3b4ce12, "_gpl");
SYMBOL_CRC(stm_source_write, 0x1d7f04a0, "_gpl");
SYMBOL_CRC(to_pdrv_policy_node, 0x659be20c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa96adc94, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa6ad42ac, "config_group_init" },
	{ 0xd64ed259, "__memcat_p" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x7cae3e10, "device_unregister" },
	{ 0x9f3e7fd, "pm_runtime_set_autosuspend_delay" },
	{ 0xf59a54cf, "rt_mutex_base_init" },
	{ 0x9f218fd1, "vm_iomap_memory" },
	{ 0x620071c0, "config_item_get" },
	{ 0x7bb8459, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xfacada2d, "pcpu_hot" },
	{ 0xa7703660, "synchronize_srcu" },
	{ 0x93be1d99, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc1689714, "configfs_unregister_subsystem" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x948a23de, "__pm_runtime_set_status" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x57f51edc, "put_device" },
	{ 0xf92ced88, "pm_runtime_enable" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f984513, "strrchr" },
	{ 0xac2864c6, "module_put" },
	{ 0x2e8411a, "compat_ptr_ioctl" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x3752385, "init_srcu_struct" },
	{ 0x72e9e047, "configfs_register_subsystem" },
	{ 0x9eeb4b81, "device_add" },
	{ 0xdac4913a, "bitmap_allocate_region" },
	{ 0x5d872240, "__srcu_read_lock" },
	{ 0xcaf77971, "config_group_init_type_name" },
	{ 0x3f5a2d98, "mutex_lock" },
	{ 0x52b95b6b, "class_unregister" },
	{ 0x49a70b39, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x6d514e6a, "__get_task_comm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe8fab077, "rt_spin_unlock" },
	{ 0x62fff7b, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xea3f4f22, "rt_spin_lock" },
	{ 0x7d144af, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5fc9338f, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3bbf24b, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x64f1f76f, "mutex_unlock" },
	{ 0xebbb3206, "config_item_put" },
	{ 0xb16473ae, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2a10135c, "kobject_set_name" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb36d0be6, "device_match_name" },
	{ 0xfa8c7374, "__srcu_read_unlock" },
	{ 0xe1486531, "boot_cpu_data" },
	{ 0x88b4d8d8, "kmalloc_trace" },
	{ 0xd63e56f7, "__pm_runtime_suspend" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x82b394a2, "__pm_runtime_use_autosuspend" },
	{ 0x856b5697, "__pm_runtime_disable" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x689db6a9, "__mutex_rt_init" },
	{ 0xb2d76f60, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbe5931b8, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xfccd6cc7, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F8F69BDCAFE2113ED1BC33F");
MODULE_INFO(rhelversion, "9.6");
