#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iommufd_device_bind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_has_group, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_unbind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_ictx, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_id, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_create, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_destroy, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_unpin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_pin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_rw, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_get, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_file, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_fd, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_put, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_get_id, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_set_no_iommu, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_create, "_gpl", "IOMMUFD_VFIO");

SYMBOL_CRC(iommufd_device_bind, 0x9500d961, "_gpl");
SYMBOL_CRC(iommufd_ctx_has_group, 0x65210d3a, "_gpl");
SYMBOL_CRC(iommufd_device_unbind, 0x0d5bf45d, "_gpl");
SYMBOL_CRC(iommufd_device_to_ictx, 0x5b336784, "_gpl");
SYMBOL_CRC(iommufd_device_to_id, 0x92884028, "_gpl");
SYMBOL_CRC(iommufd_device_attach, 0xf1e8ee27, "_gpl");
SYMBOL_CRC(iommufd_device_replace, 0x331bf894, "_gpl");
SYMBOL_CRC(iommufd_device_detach, 0x7da1d0cc, "_gpl");
SYMBOL_CRC(iommufd_access_create, 0xba47d634, "_gpl");
SYMBOL_CRC(iommufd_access_destroy, 0xf47bc33b, "_gpl");
SYMBOL_CRC(iommufd_access_detach, 0xf5c47346, "_gpl");
SYMBOL_CRC(iommufd_access_attach, 0x36851826, "_gpl");
SYMBOL_CRC(iommufd_access_replace, 0x0732af5f, "_gpl");
SYMBOL_CRC(iommufd_access_unpin_pages, 0xf6dd5e6c, "_gpl");
SYMBOL_CRC(iommufd_access_pin_pages, 0x6fd63656, "_gpl");
SYMBOL_CRC(iommufd_access_rw, 0x891e9164, "_gpl");
SYMBOL_CRC(iommufd_ctx_get, 0xe4f2d3aa, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_file, 0xdf952563, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_fd, 0xa854b532, "_gpl");
SYMBOL_CRC(iommufd_ctx_put, 0x46370ba6, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_get_id, 0x7a8ccace, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_set_no_iommu, 0x9ab5b6db, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_create, 0xf3157a95, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x18a5879, "pin_user_pages_fast" },
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0x185d46d5, "clear_user_rep_good" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xfa952121, "__init_rwsem" },
	{ 0xb9448589, "misc_deregister" },
	{ 0x88a8989f, "iommu_device_claim_dma_owner" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa867a076, "iommu_group_get" },
	{ 0x37eef9eb, "pin_user_pages_remote" },
	{ 0xbcf32540, "iommu_iova_to_phys" },
	{ 0xf59a54cf, "rt_mutex_base_init" },
	{ 0x56c05c72, "finish_wait" },
	{ 0x4c131487, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x82cff6d5, "fget" },
	{ 0x1eae9a70, "__put_task_struct" },
	{ 0xa4051e31, "__xas_next" },
	{ 0xe58d81e0, "xas_find" },
	{ 0xac6ddd74, "unpin_user_pages" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc1777ce6, "unpin_user_page_range_dirty_lock" },
	{ 0xfacada2d, "pcpu_hot" },
	{ 0x495afba7, "__account_locked_vm" },
	{ 0x68cf8c0b, "prepare_to_wait_event" },
	{ 0xc2af1538, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xa0e1fa61, "__wake_up" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xb0b4943d, "__tracepoint_mmap_lock_released" },
	{ 0x5afc36b6, "iommu_group_replace_domain" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x76ea3045, "kthread_use_mm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc85e4d6a, "iommu_detach_group" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf0e52e56, "clear_user_original" },
	{ 0x7429297b, "interval_tree_span_iter_next" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x72dfca05, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x213286e2, "fput" },
	{ 0xbc8ed355, "down_write" },
	{ 0x716f281d, "iommu_domain_free" },
	{ 0xfee44a3a, "up_write" },
	{ 0x611c2b87, "iommu_get_msi_cookie" },
	{ 0xfc2e208d, "xas_store" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x435f4ea7, "iommu_domain_alloc" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xd6d29005, "iommu_unmap" },
	{ 0x833d543f, "xa_load" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x2f34e0f5, "xas_load" },
	{ 0x3f5a2d98, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0xbecab81f, "clear_user_erms" },
	{ 0x5909a4cf, "iommu_device_release_dma_owner" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xfb578fc5, "memset" },
	{ 0xc50d8f8a, "_dev_warn" },
	{ 0xb34a0414, "misc_register" },
	{ 0xa82fcb05, "unpin_user_page" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xebdfa819, "__init_waitqueue_head" },
	{ 0xe8fab077, "rt_spin_unlock" },
	{ 0x260f273a, "iommu_put_resv_regions" },
	{ 0x2542adcc, "down_read" },
	{ 0x21cd1603, "__mmdrop" },
	{ 0xea3f4f22, "rt_spin_lock" },
	{ 0x88175420, "__xa_cmpxchg" },
	{ 0x1d4dca83, "xa_erase" },
	{ 0xc0053db0, "__mmap_lock_do_trace_start_locking" },
	{ 0x5f45d38d, "iommu_get_resv_regions" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc343d5ff, "mmput" },
	{ 0x64f1f76f, "mutex_unlock" },
	{ 0x3c2d83fd, "param_ops_bool" },
	{ 0x5ecf35a1, "xa_find" },
	{ 0xc1e6986e, "interval_tree_span_iter_first" },
	{ 0xac4e827d, "__tracepoint_mmap_lock_start_locking" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x31d450f4, "__mmap_lock_do_trace_released" },
	{ 0x1bc585cf, "xa_store" },
	{ 0x52ca11a6, "set_page_dirty_lock" },
	{ 0xc9ff45f7, "device_iommu_capable" },
	{ 0x1f15fe65, "xas_nomem" },
	{ 0x9bb77f4d, "iommu_map" },
	{ 0x28652f5e, "free_uid" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0xe8f384fb, "kthread_unuse_mm" },
	{ 0x76517f03, "interval_tree_span_iter_advance" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x88b4d8d8, "kmalloc_trace" },
	{ 0x63aa6a8e, "xa_find_after" },
	{ 0x94160518, "__put_task_struct_rcu_cb" },
	{ 0xbf21e404, "iommu_attach_group" },
	{ 0x6d49c8ed, "iommu_group_has_isolated_msi" },
	{ 0xfd43aee5, "up_read" },
	{ 0x689db6a9, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbe5931b8, "kmalloc_caches" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0E0DD3087994E52BC675A3A");
MODULE_INFO(rhelversion, "9.6");
