#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0x6b934caf, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0xfbed206e, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0xbd32d20c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2a1ea928, "skb_copy_expand" },
	{ 0x7e5f1542, "dst_release" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbc38aa6e, "__pskb_pull_tail" },
	{ 0x6a18099a, "register_netdevice" },
	{ 0xa29e79d1, "netdev_upper_dev_link" },
	{ 0x289e33b8, "netdev_upper_dev_unlink" },
	{ 0x4a123928, "unregister_netdevice_queue" },
	{ 0x1bffc52c, "metadata_dst_alloc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x9a2b1957, "netif_stacked_transfer_operstate" },
	{ 0x99e4e0cc, "linkwatch_fire_event" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xbe5931b8, "kmalloc_caches" },
	{ 0x88b4d8d8, "kmalloc_trace" },
	{ 0x9e80f47c, "netdev_rx_handler_register" },
	{ 0x64f1f76f, "mutex_unlock" },
	{ 0x3f5a2d98, "mutex_lock" },
	{ 0xea50fe73, "skb_trim" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x4bab18e3, "netdev_rx_handler_unregister" },
	{ 0x7474bd18, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x85bc4077, "netif_carrier_off" },
	{ 0x13447479, "dev_mc_unsync" },
	{ 0xf58ca6eb, "dev_uc_unsync" },
	{ 0x592c3112, "dev_uc_del" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x535a2b18, "dev_uc_add" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xeac415cc, "netif_carrier_on" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xf59a54cf, "rt_mutex_base_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xfb578fc5, "memset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x68bbd552, "genlmsg_put" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x13d0a1b8, "rtnl_link_register" },
	{ 0x4831936a, "genl_register_family" },
	{ 0xd5c59952, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0x84b944c0, "crypto_destroy_tfm" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc5ffbcb3, "crypto_alloc_aead" },
	{ 0xfdc91659, "crypto_aead_setkey" },
	{ 0xe7fcd6d5, "crypto_aead_setauthsize" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xea3f4f22, "rt_spin_lock" },
	{ 0xe8fab077, "rt_spin_unlock" },
	{ 0xb0e602eb, "memmove" },
	{ 0x58a8b5bf, "skb_pull" },
	{ 0x36a501cd, "___pskb_trim" },
	{ 0x18490799, "ether_setup" },
	{ 0x9dcef7b9, "metadata_dst_free" },
	{ 0xe604c240, "dev_fetch_sw_netstats" },
	{ 0x6d8c9737, "dev_mc_sync" },
	{ 0x32228118, "dev_uc_sync" },
	{ 0xad1ef8a6, "dev_set_allmulti" },
	{ 0xea79fe6b, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x867233fb, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xf03ea868, "__dev_queue_xmit" },
	{ 0xbcb492a9, "skb_clone" },
	{ 0xffb104fb, "consume_skb" },
	{ 0x500a0833, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x8c1f8d6c, "skb_to_sgvec" },
	{ 0x209b7047, "crypto_aead_decrypt" },
	{ 0x85d69c4f, "sk_skb_reason_drop" },
	{ 0x8c37a0cf, "skb_copy" },
	{ 0x90af8359, "eth_type_trans" },
	{ 0xbeec4e8d, "gro_cells_receive" },
	{ 0x9014c8fa, "__dev_get_by_index" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe227f675, "__netif_rx" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3470fd2d, "gro_cells_init" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc3d516f8, "skb_push" },
	{ 0x782cbabb, "skb_put" },
	{ 0x1f3e477f, "crypto_aead_encrypt" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B0EC060C24EB84872514B46");
MODULE_INFO(rhelversion, "9.6");
