#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0x281e7e2e, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0xb4484de8, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0xe07128f1, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0x4476543d, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0x74d1f2e5, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0xde66a757, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0xb91b27a5, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0xc5327d82, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0x13b36d79, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0x0c437d86, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0xe51aaf01, "_gpl");
SYMBOL_CRC(at803x_read_status, 0x5dbbc8cf, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0x5396e9ba, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0x3f7fd762, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0x15161689, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0x7295ad7f, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0xe5609f3f, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0x1b5a015a, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0x13ffcbde, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0xf7144273, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0x6eeee812, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x31625205, "mdiobus_write" },
	{ 0xdb7aec3c, "mdiobus_read" },
	{ 0x891cd6b5, "phy_write_mmd" },
	{ 0xd2006f62, "phy_modify" },
	{ 0x6f730a15, "phy_trigger_machine" },
	{ 0xdfb1d115, "phy_error" },
	{ 0xb06cf285, "phy_modify_changed" },
	{ 0x691789a1, "genphy_update_link" },
	{ 0xb28aa824, "genphy_read_lpa" },
	{ 0x124a42b0, "phy_resolve_aneg_pause" },
	{ 0x1b8c0959, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb4757401, "_dev_err" },
	{ 0xc0de326c, "phy_read_mmd" },
	{ 0x3cee15b5, "ethnl_cable_test_result" },
	{ 0x38bac6a3, "ethnl_cable_test_fault_length" },
	{ 0x93b0a9bb, "phy_modify_mmd" },
	{ 0x6e36b1f8, "genphy_soft_reset" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "771CD4DBC31CBCACC4F04AF");
MODULE_INFO(rhelversion, "9.6");
