#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x1c79a515, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x8d22b1b8, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x7417ed9b, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x541401fd, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x7a4cb3de, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x7515d541, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x3f813a77, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0xddc1a790, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x493e1189, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x756a00f2, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0xf7a49283, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0xc46083c1, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x42de6b3c, "_gpl");
SYMBOL_CRC(usbnet_open, 0xd2336913, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x743215e0, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0xf441ef35, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0xda02af19, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x26ea561f, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x94d0a997, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0xd8ccc582, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x964e80bb, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x0eed9e65, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x1d1681a0, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0xe982c255, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x06542a7b, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x3005e564, "_gpl");
SYMBOL_CRC(usbnet_probe, 0xb7050be8, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0xc63005c1, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x8da5a3fa, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x9c05fcd6, "");
SYMBOL_CRC(usbnet_manage_power, 0x8b1cfafb, "");
SYMBOL_CRC(usbnet_link_change, 0x677caca1, "");
SYMBOL_CRC(usbnet_read_cmd, 0x6ba03556, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0xc261534d, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x8199bc62, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0xf819042d, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x2854f33b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9b786f3b, "usb_set_interface" },
	{ 0xa193c84a, "usb_string" },
	{ 0x93be1d99, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x990fde59, "skb_defer_rx_timestamp" },
	{ 0xc7d4b058, "netif_rx" },
	{ 0x90af8359, "eth_type_trans" },
	{ 0x265d0a7c, "skb_queue_tail" },
	{ 0x393dffa1, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xbfc83d9, "skb_queue_purge_reason" },
	{ 0xea3f4f22, "rt_spin_lock" },
	{ 0xe8fab077, "rt_spin_unlock" },
	{ 0xf77eb943, "usb_get_urb" },
	{ 0x6f320389, "usb_unlink_urb" },
	{ 0x7aced045, "usb_free_urb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcb4cc696, "usb_submit_urb" },
	{ 0x11421732, "netdev_err" },
	{ 0x74c1710d, "mii_ethtool_get_link_ksettings" },
	{ 0xdc3b4136, "mii_ethtool_set_link_ksettings" },
	{ 0xd27e6a40, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0x15aeb6cb, "unregister_netdev" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xf0717ae8, "usb_scuttle_anchored_urbs" },
	{ 0xb6aee979, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xf4b8d050, "free_netdev" },
	{ 0x86cf00e5, "netdev_info" },
	{ 0xeac415cc, "netif_carrier_on" },
	{ 0x85bc4077, "netif_carrier_off" },
	{ 0x2a2305de, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x11fff7c, "usb_autopm_get_interface" },
	{ 0xff8e1d9f, "usb_autopm_put_interface" },
	{ 0x6063327c, "usb_alloc_urb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xbe5931b8, "kmalloc_caches" },
	{ 0x88b4d8d8, "kmalloc_trace" },
	{ 0x3f5a2d98, "mutex_lock" },
	{ 0x64f1f76f, "mutex_unlock" },
	{ 0xe8bab98d, "mii_link_ok" },
	{ 0xaabce786, "ethtool_op_get_link" },
	{ 0x110f10b2, "usb_autopm_put_interface_async" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x59396c88, "skb_clone_tx_timestamp" },
	{ 0x696d353a, "usb_autopm_get_interface_async" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xeb90d28a, "dev_kfree_skb_any_reason" },
	{ 0xf9917c6f, "skb_tstamp_tx" },
	{ 0x1e56124c, "usb_anchor_urb" },
	{ 0xfacada2d, "pcpu_hot" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x75799466, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb3acfb68, "remove_wait_queue" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x7396c7fc, "netif_device_detach" },
	{ 0xcd6d21c2, "netif_device_attach" },
	{ 0x6d5a3c1e, "skb_dequeue" },
	{ 0xb70f0bac, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xebdfa819, "__init_waitqueue_head" },
	{ 0xf59a54cf, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x689db6a9, "__mutex_rt_init" },
	{ 0x1c527fc3, "register_netdev" },
	{ 0xf92ced88, "pm_runtime_enable" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x18f127e9, "__netdev_alloc_skb" },
	{ 0xffb104fb, "consume_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa0e1fa61, "__wake_up" },
	{ 0xc8476ba0, "netif_tx_wake_queue" },
	{ 0x59a71d66, "usb_get_from_anchor" },
	{ 0x250a6b9d, "usb_autopm_get_interface_no_resume" },
	{ 0x782cbabb, "skb_put" },
	{ 0xb8012c3d, "usb_clear_halt" },
	{ 0x8e55499, "eth_mac_addr" },
	{ 0x32bbaf58, "eth_validate_addr" },
	{ 0x2e0e1c72, "dev_get_tstats64" },
	{ 0xf18a3f28, "ethtool_op_get_ts_info" },
	{ 0x21927735, "param_ops_int" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "mii");


MODULE_INFO(srcversion, "DBC0ECB9F946659D3D59822");
MODULE_INFO(rhelversion, "9.6");
