#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wwan_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_put_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_create_port, "_gpl", "");
KSYMTAB_FUNC(wwan_remove_port, "_gpl", "");
KSYMTAB_FUNC(wwan_port_rx, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txon, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txoff, "_gpl", "");
KSYMTAB_FUNC(wwan_port_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(wwan_register_ops, "_gpl", "");
KSYMTAB_FUNC(wwan_unregister_ops, "_gpl", "");

SYMBOL_CRC(wwan_get_debugfs_dir, 0xf60f19f6, "_gpl");
SYMBOL_CRC(wwan_put_debugfs_dir, 0x555139ee, "_gpl");
SYMBOL_CRC(wwan_create_port, 0xe217b6b4, "_gpl");
SYMBOL_CRC(wwan_remove_port, 0xb74c31cd, "_gpl");
SYMBOL_CRC(wwan_port_rx, 0x28423da2, "_gpl");
SYMBOL_CRC(wwan_port_txon, 0x3d9bbf75, "_gpl");
SYMBOL_CRC(wwan_port_txoff, 0x4dff61e5, "_gpl");
SYMBOL_CRC(wwan_port_get_drvdata, 0x526bcf2a, "_gpl");
SYMBOL_CRC(wwan_register_ops, 0xc8751fd7, "_gpl");
SYMBOL_CRC(wwan_unregister_ops, 0x999e36a0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb033f548, "ida_alloc_range" },
	{ 0x25d39fbb, "class_dev_iter_next" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb8c78cb, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x782cbabb, "skb_put" },
	{ 0x9d60855d, "dev_set_name" },
	{ 0xffb104fb, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7cae3e10, "device_unregister" },
	{ 0x6d5a3c1e, "skb_dequeue" },
	{ 0xf59a54cf, "rt_mutex_base_init" },
	{ 0x56c05c72, "finish_wait" },
	{ 0x13d0a1b8, "rtnl_link_register" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0x6e34e6da, "device_for_each_child" },
	{ 0x68cf8c0b, "prepare_to_wait_event" },
	{ 0xa0e1fa61, "__wake_up" },
	{ 0x3882a837, "rtnl_create_link" },
	{ 0x4a123928, "unregister_netdevice_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbfc83d9, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1f9afba6, "alloc_netdev_mqs" },
	{ 0xc53ec8ba, "class_dev_iter_exit" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x57f51edc, "put_device" },
	{ 0x1ce32b1f, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb5d8fdcd, "_dev_info" },
	{ 0x265d0a7c, "skb_queue_tail" },
	{ 0x9814d362, "rtnl_configure_link" },
	{ 0x2e8411a, "compat_ptr_ioctl" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd5c59952, "rtnl_link_unregister" },
	{ 0xbea584d7, "init_net" },
	{ 0x58a8b5bf, "skb_pull" },
	{ 0x85d69c4f, "sk_skb_reason_drop" },
	{ 0x4f382bb6, "noop_llseek" },
	{ 0x3f5a2d98, "mutex_lock" },
	{ 0xaa50d832, "debugfs_remove" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xaf780e2d, "ida_free" },
	{ 0xf4b8d050, "free_netdev" },
	{ 0x52b95b6b, "class_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x829c14cb, "class_dev_iter_init" },
	{ 0xe1b24417, "device_register" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xebdfa819, "__init_waitqueue_head" },
	{ 0xe8fab077, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xea3f4f22, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x64f1f76f, "mutex_unlock" },
	{ 0xb16473ae, "__register_chrdev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x44de1631, "stream_open" },
	{ 0x88b4d8d8, "kmalloc_trace" },
	{ 0x10d14cf8, "device_find_child_by_name" },
	{ 0x754d539c, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7266a4bf, "debugfs_create_dir" },
	{ 0x689db6a9, "__mutex_rt_init" },
	{ 0xb2d76f60, "class_register" },
	{ 0xbe5931b8, "kmalloc_caches" },
	{ 0x26f9d6cd, "skb_queue_head" },
	{ 0xfccd6cc7, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x6a18099a, "register_netdevice" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5F523DC18C1E553FB04656D");
MODULE_INFO(rhelversion, "9.6");
