#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_integrity_init, "", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");
KSYMTAB_FUNC(nd_sb_checksum, "", "");
KSYMTAB_FUNC(to_nd_btt, "", "");
KSYMTAB_FUNC(is_nd_btt, "", "");
KSYMTAB_FUNC(nd_btt_arena_is_valid, "", "");
KSYMTAB_FUNC(nd_btt_version, "", "");
KSYMTAB_FUNC(nd_btt_probe, "", "");
KSYMTAB_FUNC(to_nd_pfn, "", "");
KSYMTAB_FUNC(is_nd_pfn, "", "");
KSYMTAB_FUNC(nd_pfn_validate, "", "");
KSYMTAB_FUNC(nd_pfn_probe, "", "");
KSYMTAB_FUNC(nvdimm_setup_pfn, "_gpl", "");
KSYMTAB_FUNC(to_nd_dax, "", "");
KSYMTAB_FUNC(is_nd_dax, "", "");
KSYMTAB_FUNC(nd_dax_probe, "", "");

SYMBOL_CRC(nvdimm_bus_lock, 0x7913e914, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0x9ad4c856, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0xbd44b371, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0x04798381, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0xaf076aec, "_gpl");
SYMBOL_CRC(to_nd_desc, 0x19190e2b, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0x1a37ae39, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0x54b67ea6, "_gpl");
SYMBOL_CRC(nd_integrity_init, 0x2a1751c2, "");
SYMBOL_CRC(nd_device_notify, 0x3252dc37, "");
SYMBOL_CRC(nvdimm_region_notify, 0xd428d975, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0xba88a210, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0x587cb6c0, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0x73c63e7b, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0xc9f84d92, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0xcf93e341, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0x6c245add, "");
SYMBOL_CRC(nd_device_unregister, 0x8cd53852, "");
SYMBOL_CRC(__nd_driver_register, 0xcfbe41ba, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0x2af0922e, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0x7c66ab75, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0x3fc6606a, "_gpl");
SYMBOL_CRC(to_nvdimm, 0xc30d0dd3, "_gpl");
SYMBOL_CRC(to_ndd, 0xfb207311, "");
SYMBOL_CRC(nvdimm_name, 0xba2319cf, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0xf9a5c388, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0x6237a051, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0x809928d5, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0xa2967e3b, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0x70accb84, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0x3c1a0e95, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0xb32c280a, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0xbe828787, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0x4b1aa017, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0xedce6f00, "_gpl");
SYMBOL_CRC(to_nd_region, 0xadcb39b8, "_gpl");
SYMBOL_CRC(nd_region_dev, 0xd3498f35, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0xc949fea7, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0x6734a6db, "");
SYMBOL_CRC(nd_region_acquire_lane, 0x919bc2b0, "");
SYMBOL_CRC(nd_region_release_lane, 0xd6b2b00a, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0xadfe7340, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0x8487c372, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0x9cb28f84, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0x64ee89cd, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0x62241601, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0xb3f6b772, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0xadd0112d, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0xbca14fd9, "");
SYMBOL_CRC(pmem_sector_size, 0x3ae790d4, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0x4f733d96, "");
SYMBOL_CRC(nd_dev_to_uuid, 0x889ad005, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0x584da2f7, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0x3d64b1eb, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0x06b69c44, "");
SYMBOL_CRC(devm_namespace_enable, 0x93b5c12b, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0x63f36583, "_gpl");
SYMBOL_CRC(badrange_init, 0x8dc77906, "_gpl");
SYMBOL_CRC(badrange_add, 0xc05d25e7, "_gpl");
SYMBOL_CRC(badrange_forget, 0xafa2be20, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0x17c181b2, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0xa7afa654, "");
SYMBOL_CRC(is_nd_btt, 0x538dcbf5, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0x682795a5, "");
SYMBOL_CRC(nd_btt_version, 0x31a0ecf4, "");
SYMBOL_CRC(nd_btt_probe, 0x5aa62151, "");
SYMBOL_CRC(to_nd_pfn, 0xa7b3340e, "");
SYMBOL_CRC(is_nd_pfn, 0x70677400, "");
SYMBOL_CRC(nd_pfn_validate, 0x58f01721, "");
SYMBOL_CRC(nd_pfn_probe, 0x4609c105, "");
SYMBOL_CRC(nvdimm_setup_pfn, 0x8a88be59, "_gpl");
SYMBOL_CRC(to_nd_dax, 0xfac97e01, "");
SYMBOL_CRC(is_nd_dax, 0x4d11deca, "");
SYMBOL_CRC(nd_dax_probe, 0xdd5f331a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x4615a6d2, "set_disk_ro" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb033f548, "ida_alloc_range" },
	{ 0x235c79e4, "blk_integrity_register" },
	{ 0xa96adc94, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0xa54991d, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe8845e6f, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x77bc13a0, "strim" },
	{ 0x5a7c2b31, "devm_memremap" },
	{ 0x9d60855d, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x12f31634, "badblocks_set" },
	{ 0x7cae3e10, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xf59a54cf, "rt_mutex_base_init" },
	{ 0x56c05c72, "finish_wait" },
	{ 0x55a70163, "class_destroy" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0x7bb8459, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xf43f8571, "badblocks_exit" },
	{ 0xfacada2d, "pcpu_hot" },
	{ 0x6e34e6da, "device_for_each_child" },
	{ 0x68cf8c0b, "prepare_to_wait_event" },
	{ 0xa0e1fa61, "__wake_up" },
	{ 0xbc4e24bb, "copy_mc_to_kernel" },
	{ 0x78f51ba8, "get_device" },
	{ 0x4d924f20, "memremap" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x93be1d99, "__dynamic_dev_dbg" },
	{ 0x9d51aa76, "kernfs_notify" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x82bbaa67, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x78257d4a, "__devm_request_region" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x39fe4ae, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x57f51edc, "put_device" },
	{ 0x568bf813, "badblocks_show" },
	{ 0x984d2ae3, "key_type_encrypted" },
	{ 0x618911fc, "numa_node" },
	{ 0xb5d8fdcd, "_dev_info" },
	{ 0xac2864c6, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x2e8411a, "compat_ptr_ioctl" },
	{ 0x76b77d74, "perf_pmu_migrate_context" },
	{ 0xdb48bd0d, "perf_pmu_register" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x7127d60c, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfbb7344, "memremap_compat_align" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x4b38b512, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0xb4757401, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xee7b3d62, "__cpuhp_setup_state" },
	{ 0xbec3af13, "devm_memunmap" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x9eeb4b81, "device_add" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0x4f382bb6, "noop_llseek" },
	{ 0x328e3354, "__memcpy_flushcache" },
	{ 0x9db2723a, "class_create" },
	{ 0x3f5a2d98, "mutex_lock" },
	{ 0x62320065, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xaf780e2d, "ida_free" },
	{ 0x583cce71, "driver_unregister" },
	{ 0x98432e79, "__cpuhp_state_add_instance" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xfb518b02, "perf_pmu_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xbe335609, "device_find_child" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0xc50d8f8a, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xebdfa819, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xe8fab077, "rt_spin_unlock" },
	{ 0x2542adcc, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xea3f4f22, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0x9d66bdc3, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x64f1f76f, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x3c2d83fd, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x6e0901ad, "__devm_release_region" },
	{ 0xc17498e8, "request_key_tag" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xb4c5d1f2, "kernfs_put" },
	{ 0xb16473ae, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb45f1b5d, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xe77b3f1c, "badblocks_check" },
	{ 0x88b4d8d8, "kmalloc_trace" },
	{ 0xbf602e10, "__devm_add_action" },
	{ 0x2c635527, "arch_invalidate_pmem" },
	{ 0xf6a28554, "region_intersects" },
	{ 0x60137753, "badblocks_clear" },
	{ 0xa74d612c, "devm_init_badblocks" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xfd43aee5, "up_read" },
	{ 0x3eb60e1a, "driver_register" },
	{ 0x689db6a9, "__mutex_rt_init" },
	{ 0xf0355b64, "__cpuhp_remove_state" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbe5931b8, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x450eb15d, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D15A115593B71BBFF09BA61");
MODULE_INFO(rhelversion, "9.6");
