#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0x6d524b3c, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x537c883c, "nvme_remove_admin_tag_set" },
	{ 0xa0e08bbe, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb033f548, "ida_alloc_range" },
	{ 0x89dbfe9d, "nvme_uninit_ctrl" },
	{ 0xa54991d, "ida_destroy" },
	{ 0xb4d748c4, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xedb8efd2, "nvme_get_opcode_str" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4d03b4a9, "nvmf_free_options" },
	{ 0xb4302536, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf59a54cf, "rt_mutex_base_init" },
	{ 0x56c05c72, "finish_wait" },
	{ 0x3916da67, "nvme_stop_keep_alive" },
	{ 0xdcabf9f9, "blk_mq_complete_request_remote" },
	{ 0xffa98e47, "dma_unmap_page_attrs" },
	{ 0x941ab7b6, "nvme_setup_cmd" },
	{ 0x720ceeb6, "nvme_start_ctrl" },
	{ 0xe1edd5b5, "nvme_get_admin_opcode_str" },
	{ 0x70a60c5c, "nvme_alloc_admin_tag_set" },
	{ 0xcd17e834, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x68cf8c0b, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0xcff6a378, "nvmf_reg_read32" },
	{ 0xa0e1fa61, "__wake_up" },
	{ 0xd688ba78, "nvme_delete_ctrl" },
	{ 0x78f51ba8, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x82bbaa67, "dev_driver_string" },
	{ 0xbc5535f3, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcec04f72, "dma_map_page_attrs" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xbda63f3, "nvme_remove_io_tag_set" },
	{ 0xda6a5e9d, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa462fbd8, "nvme_mpath_start_request" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xbe2dc15a, "nvmf_unregister_transport" },
	{ 0x48e23479, "blkcg_get_fc_appid" },
	{ 0x57f51edc, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xa43d700, "nvme_change_ctrl_state" },
	{ 0xb5d8fdcd, "_dev_info" },
	{ 0xdae02c5b, "nvme_init_ctrl" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb93511f0, "nvme_alloc_io_tag_set" },
	{ 0xfc03c44d, "nvme_fail_nonready_command" },
	{ 0x3223de50, "kobject_uevent_env" },
	{ 0x5e4af17c, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xb4757401, "_dev_err" },
	{ 0xa7b9633b, "nvme_get_fabrics_opcode_str" },
	{ 0x10af6baf, "device_create" },
	{ 0x4a917a32, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0x13dda416, "__blk_rq_map_sg" },
	{ 0xaf780e2d, "ida_free" },
	{ 0xb08593df, "nvmf_reg_read64" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x52b95b6b, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xc8deda45, "nvmf_connect_admin_queue" },
	{ 0x3ac6a757, "nvme_enable_ctrl" },
	{ 0x1cc2ded, "nvme_unquiesce_admin_queue" },
	{ 0xc50d8f8a, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xebdfa819, "__init_waitqueue_head" },
	{ 0xe8fab077, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xea3f4f22, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa65b91c6, "nvme_unquiesce_io_queues" },
	{ 0xa76ade0c, "blk_mq_update_nr_hw_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x898d439d, "nvmf_reg_write32" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xc9ceed0d, "nvmf_should_reconnect" },
	{ 0x96ad1b5c, "__dma_sync_single_for_device" },
	{ 0x55a08f48, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb45f1b5d, "device_destroy" },
	{ 0x715ee69c, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xf4e68d5c, "nvmf_register_transport" },
	{ 0xbd58859c, "blk_mq_start_request" },
	{ 0x3197403f, "nvme_quiesce_io_queues" },
	{ 0x1d48263b, "blk_mq_tagset_busy_iter" },
	{ 0xb7381e79, "nvme_stop_ctrl" },
	{ 0x23c56c52, "dma_unmap_sg_attrs" },
	{ 0x88b4d8d8, "kmalloc_trace" },
	{ 0x102f1063, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0x8310bc9, "nvme_reset_ctrl" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x35660297, "nvme_quiesce_admin_queue" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb2d76f60, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x969032ac, "__nvme_check_ready" },
	{ 0xbe5931b8, "kmalloc_caches" },
	{ 0x952fe67d, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "F9BA19A3A552B8022628C50");
MODULE_INFO(rhelversion, "9.6");
