#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vdpa_set_status, "", "");
KSYMTAB_FUNC(__vdpa_alloc_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(__vdpa_register_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_register, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_unregister, "_gpl", "");
KSYMTAB_FUNC(vdpa_get_config, "_gpl", "");
KSYMTAB_FUNC(vdpa_set_config, "_gpl", "");

SYMBOL_CRC(vdpa_set_status, 0xf073cfe6, "");
SYMBOL_CRC(__vdpa_alloc_device, 0xbfc65f0a, "_gpl");
SYMBOL_CRC(_vdpa_register_device, 0x7ef550bb, "_gpl");
SYMBOL_CRC(vdpa_register_device, 0x7f41acaf, "_gpl");
SYMBOL_CRC(_vdpa_unregister_device, 0x6cedb819, "_gpl");
SYMBOL_CRC(vdpa_unregister_device, 0xf890e603, "_gpl");
SYMBOL_CRC(__vdpa_register_driver, 0xb8644fe6, "_gpl");
SYMBOL_CRC(vdpa_unregister_driver, 0x16c95ab3, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_register, 0xf4b59e8f, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_unregister, 0x93a00523, "_gpl");
SYMBOL_CRC(vdpa_get_config, 0xfb15f738, "_gpl");
SYMBOL_CRC(vdpa_set_config, 0x8bd6ecd0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x57f51edc, "put_device" },
	{ 0x7cae3e10, "device_unregister" },
	{ 0x3eb60e1a, "driver_register" },
	{ 0x583cce71, "driver_unregister" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xa8ea36ec, "bus_for_each_dev" },
	{ 0x2542adcc, "down_read" },
	{ 0xfd43aee5, "up_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x867233fb, "genl_unregister_family" },
	{ 0x4b38b512, "bus_unregister" },
	{ 0xa54991d, "ida_destroy" },
	{ 0x450eb15d, "bus_register" },
	{ 0x4831936a, "genl_register_family" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xb8c8d038, "dma_set_mask" },
	{ 0xde7a5819, "dma_set_coherent_mask" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb033f548, "ida_alloc_range" },
	{ 0x9d60855d, "dev_set_name" },
	{ 0xfa952121, "__init_rwsem" },
	{ 0x7bb8459, "device_initialize" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa1321bd3, "netlink_capable" },
	{ 0x1ce32b1f, "__alloc_skb" },
	{ 0x68bbd552, "genlmsg_put" },
	{ 0x754d539c, "strlen" },
	{ 0x85d69c4f, "sk_skb_reason_drop" },
	{ 0xc8a60343, "netlink_unicast" },
	{ 0xea50fe73, "skb_trim" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbc8ed355, "down_write" },
	{ 0xfee44a3a, "up_write" },
	{ 0xaf780e2d, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbbe8f021, "driver_set_override" },
	{ 0x3f5a2d98, "mutex_lock" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x64f1f76f, "mutex_unlock" },
	{ 0xff4531dd, "bus_find_device" },
	{ 0x9eeb4b81, "device_add" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E6E1ABFDEECC213CA239F01");
MODULE_INFO(rhelversion, "9.6");
