#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_dequeue_forget, "", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(fuse_dax_cancel_work, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0xef5bb98c, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0x3f5d947b, "_gpl");
SYMBOL_CRC(fuse_request_end, 0x65b9d3ba, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0xef601a8c, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0x6a8e4835, "");
SYMBOL_CRC(fuse_abort_conn, 0x61908401, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x2989dba9, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0x44523a91, "_gpl");
SYMBOL_CRC(fuse_do_open, 0x11b99bf7, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0xd03f29b0, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0xdb0c427d, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0x4a474c5e, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0xc8aeef98, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0x62846465, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0x124d76a9, "_gpl");
SYMBOL_CRC(fuse_send_init, 0x6983ee5b, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0x4371d125, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0x1e8b3ef4, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0x1f7d2dfa, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0x556c1a69, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0x44934b1d, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x0521c765, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0x302a58b4, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0x50ec6f3c, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0xda341cb8, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0x378b076b, "");
SYMBOL_CRC(fuse_do_ioctl, 0x2367dca0, "_gpl");
SYMBOL_CRC(fuse_dax_cancel_work, 0x6f763710, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe122cc6b, "super_setup_bdi_name" },
	{ 0x16b3a877, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x84ccce9b, "truncate_inode_pages" },
	{ 0x6fdb044d, "generic_copy_file_range" },
	{ 0xadac7828, "noop_backing_dev_info" },
	{ 0xe914e41e, "strcpy" },
	{ 0xdd3f1ae7, "pipe_lock" },
	{ 0x41b85bd5, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x13f475fa, "vfs_fsync_range" },
	{ 0x822826b4, "setattr_prepare" },
	{ 0x8a55e12c, "clear_nlink" },
	{ 0x25861911, "file_check_and_advance_wb_err" },
	{ 0x9035a6e4, "d_alloc_parallel" },
	{ 0xfa952121, "__init_rwsem" },
	{ 0x40f42021, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0xb9448589, "misc_deregister" },
	{ 0x637574e9, "clear_inode" },
	{ 0x8b1a6bd, "inode_to_bdi" },
	{ 0xb29a3dd9, "find_pid_ns" },
	{ 0x24a8b534, "grab_cache_page_write_begin" },
	{ 0x2974e18c, "simple_dir_inode_operations" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe275b4cd, "pipe_unlock" },
	{ 0xd24eb8d6, "fs_param_is_string" },
	{ 0x68899ce7, "folio_unlock" },
	{ 0x81e168cb, "generic_file_splice_read" },
	{ 0x3ec7f49c, "new_inode" },
	{ 0xa6257a2f, "complete" },
	{ 0x894d5c5a, "filemap_map_pages" },
	{ 0x2853ac5b, "dump_page" },
	{ 0x8283a925, "forget_all_cached_acls" },
	{ 0xc94382a9, "init_special_inode" },
	{ 0xa7d2dd64, "unregister_filesystem" },
	{ 0xfa96fd7d, "task_active_pid_ns" },
	{ 0x1430640f, "iov_iter_single_seg_count" },
	{ 0xa738a74, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb452766f, "posix_acl_default_xattr_handler" },
	{ 0x821aa544, "filemap_fdatawrite_range" },
	{ 0xf59a54cf, "rt_mutex_base_init" },
	{ 0x56c05c72, "finish_wait" },
	{ 0x95ea9e6a, "d_alloc_name" },
	{ 0x20e42691, "replace_page_cache_folio" },
	{ 0xad05d642, "inode_query_iversion" },
	{ 0xba87325f, "iov_iter_advance" },
	{ 0x92380b7, "kill_fasync" },
	{ 0x78cd546d, "d_make_root" },
	{ 0x403630bb, "sb_set_blocksize" },
	{ 0x82cff6d5, "fget" },
	{ 0x351867fc, "simple_fill_super" },
	{ 0xe58d81e0, "xas_find" },
	{ 0xfe8b30b9, "invalidate_mapping_pages" },
	{ 0x33ac216c, "sync_filesystem" },
	{ 0x98c14d66, "noop_dirty_folio" },
	{ 0x8df53ddd, "sget_fc" },
	{ 0x9024e2e, "param_set_uint" },
	{ 0xe65140e6, "d_splice_alias" },
	{ 0xeb7c9131, "iov_iter_get_pages2" },
	{ 0x8a2a9863, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6857018c, "page_get_link" },
	{ 0x76c73d07, "generic_permission" },
	{ 0x6cd7c003, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x2eae4c93, "invalidate_inode_pages2_range" },
	{ 0x32386757, "posix_lock_file" },
	{ 0x73435528, "finish_open" },
	{ 0x1f64955b, "dax_iomap_rw" },
	{ 0xb8c75766, "iput" },
	{ 0xfacada2d, "pcpu_hot" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0xdbf2c8d6, "logfc" },
	{ 0xd0b1ca2d, "__put_devmap_managed_page_refs" },
	{ 0x2357ef02, "iter_file_splice_write" },
	{ 0x68cf8c0b, "prepare_to_wait_event" },
	{ 0x945d1682, "init_pid_ns" },
	{ 0x2af67efd, "dax_iomap_fault" },
	{ 0x8334e68e, "iov_iter_init" },
	{ 0x352aa0b3, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x3b1cdac9, "sysfs_create_mount_point" },
	{ 0x82b50bce, "generic_file_write_iter" },
	{ 0xa0e1fa61, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xb5a5efeb, "register_filesystem" },
	{ 0x18342712, "kmem_cache_create" },
	{ 0x5d1bdb6d, "folio_add_lru" },
	{ 0xd77109f5, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x41a36650, "sync_inode_metadata" },
	{ 0x602a5842, "simple_empty" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x279b41fa, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x857abf7a, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd34ea941, "shrink_dcache_parent" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0xd386795, "get_tree_nodev" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6a61b06c, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xef2d8d4e, "fs_param_is_u32" },
	{ 0xde43ee4f, "inode_newsize_ok" },
	{ 0x7970e0a4, "d_drop" },
	{ 0xd2c448ca, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x80d2c9e7, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xfabcf46, "bdi_put" },
	{ 0x2abeddf7, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0xfe7d877, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x88fa1353, "make_kuid" },
	{ 0xb58b97d4, "truncate_inode_pages_final" },
	{ 0xb47b8c5a, "fs_kobj" },
	{ 0xd67d2b5, "__filemap_set_wb_err" },
	{ 0x2c7e45e4, "simple_dir_operations" },
	{ 0xe5a66f83, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x33b84f74, "copy_page" },
	{ 0xc44b67f4, "__free_pages" },
	{ 0x5d7a2152, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xf7d1c733, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x19fe9d63, "capable_wrt_inode_uidgid" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0x4b6c07fa, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x57de2231, "copy_page_from_iter_atomic" },
	{ 0x8eee3399, "dax_read_unlock" },
	{ 0x8ca50511, "fs_context_for_submount" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xb61dc0b, "inode_init_once" },
	{ 0xc6793a42, "file_write_and_wait_range" },
	{ 0x2e8411a, "compat_ptr_ioctl" },
	{ 0x904dc27b, "nosteal_pipe_buf_ops" },
	{ 0xd25a3d74, "ilookup5" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xfea31b11, "inode_nohighmem" },
	{ 0x2fff76f4, "release_pages" },
	{ 0x786f3523, "generic_file_direct_write" },
	{ 0x49608959, "migrate_disable" },
	{ 0x213286e2, "fput" },
	{ 0xbc8ed355, "down_write" },
	{ 0xfee44a3a, "up_write" },
	{ 0xb690e8d1, "generic_file_read_iter" },
	{ 0xe9229255, "inode_maybe_inc_iversion" },
	{ 0x94d906a9, "unlock_page" },
	{ 0x201c83c9, "inc_node_page_state" },
	{ 0xa07a37f0, "memchr" },
	{ 0xa18b4657, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x420929fe, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x75d4475a, "dec_node_page_state" },
	{ 0xd622b640, "write_cache_pages" },
	{ 0x6edbb1fd, "file_update_time" },
	{ 0xa96d6893, "set_nlink" },
	{ 0x3f5a2d98, "mutex_lock" },
	{ 0x9f7f3955, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0xc0418efb, "from_kgid" },
	{ 0xdd2e8922, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x54d604e0, "file_remove_privs" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x56cf7167, "write_inode_now" },
	{ 0x780f3483, "dax_writeback_mapping_range" },
	{ 0x397a2839, "d_obtain_alias" },
	{ 0xf5a10680, "file_modified" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbfb9a41a, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x5a6ae6d3, "finish_no_open" },
	{ 0x16e17dd9, "__folio_start_writeback" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xaf7ef776, "kill_litter_super" },
	{ 0xf5cafcc2, "folio_end_writeback" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xe43b314, "from_kuid" },
	{ 0x75ef715, "current_in_userns" },
	{ 0x951b6b39, "fc_mount" },
	{ 0xfb578fc5, "memset" },
	{ 0x589200d8, "sysfs_remove_mount_point" },
	{ 0xb34a0414, "misc_register" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xebdfa819, "__init_waitqueue_head" },
	{ 0xe14bbada, "make_kgid" },
	{ 0xffffaed7, "should_remove_suid" },
	{ 0xece784c2, "rb_first" },
	{ 0xda7c5d75, "d_delete" },
	{ 0xe8fab077, "rt_spin_unlock" },
	{ 0xa59c128f, "from_kgid_munged" },
	{ 0x179956be, "end_page_writeback" },
	{ 0xbbf48fb8, "down_write_trylock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xf5192b, "kobject_create_and_add" },
	{ 0x2542adcc, "down_read" },
	{ 0xea3f4f22, "rt_spin_lock" },
	{ 0x5db71fde, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7d144af, "nonseekable_open" },
	{ 0x778faba4, "dax_finish_sync_fault" },
	{ 0x81302b90, "set_page_dirty" },
	{ 0x57413604, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7365495f, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe79c85b6, "noop_direct_IO" },
	{ 0xbb8dfe00, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4e293f28, "generic_read_dir" },
	{ 0xaf6dfdff, "d_add" },
	{ 0x9b54686f, "set_page_writeback" },
	{ 0x64f1f76f, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xd84d35bd, "dax_read_lock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x833e27bd, "init_user_ns" },
	{ 0xf22493aa, "d_find_alias" },
	{ 0x6b7dad26, "invalidate_inode_pages2" },
	{ 0x3592afb2, "alloc_pages" },
	{ 0x4490a17a, "inc_nlink" },
	{ 0xd24a6b40, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7ad39d8a, "get_tree_bdev" },
	{ 0x16ed216e, "set_anon_super_fc" },
	{ 0x79580a46, "seq_printf" },
	{ 0x869dd512, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xec925abc, "generic_delete_inode" },
	{ 0xf99cbe5f, "deactivate_locked_super" },
	{ 0x60787dbe, "touch_atime" },
	{ 0xe4aaf437, "__percpu_down_read" },
	{ 0x6a361c4c, "__d_lookup_unhash_wake" },
	{ 0x52ca11a6, "set_page_dirty_lock" },
	{ 0xcdccbfa2, "pid_nr_ns" },
	{ 0x699dfde2, "posix_acl_access_xattr_handler" },
	{ 0x9e76fd4f, "generic_file_open" },
	{ 0x33fc7791, "truncate_inode_pages_range" },
	{ 0xc872034f, "__put_user_ns" },
	{ 0x371c6297, "__folio_lock" },
	{ 0xea6f7c43, "filemap_dirty_folio" },
	{ 0xac1bf347, "pagecache_get_page" },
	{ 0xac5f1630, "seq_puts" },
	{ 0x44de1631, "stream_open" },
	{ 0xea326c4a, "rcuwait_wake_up" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xbf982ff0, "__wake_up_sync" },
	{ 0x8c412e3d, "add_to_pipe" },
	{ 0x84fae184, "__fs_parse" },
	{ 0xfbd984e0, "dax_layout_busy_page_range" },
	{ 0x561a7cb, "posix_acl_to_xattr" },
	{ 0x41e4acec, "dget_parent" },
	{ 0x952a714a, "kill_anon_super" },
	{ 0xd39c9d48, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0x88b4d8d8, "kmalloc_trace" },
	{ 0xfaa338c9, "iget5_locked" },
	{ 0x5d1ee98a, "security_dentry_init_security" },
	{ 0x407f57b, "filemap_write_and_wait_range" },
	{ 0x1bdd953d, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xfc911eee, "generic_write_checks" },
	{ 0x76959ff, "iov_iter_revert" },
	{ 0x6bad9dd7, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x90bad5c1, "mntget" },
	{ 0x61664d13, "kmem_cache_alloc_lru" },
	{ 0x3416ddf7, "filemap_fault" },
	{ 0x2d639eee, "d_invalidate" },
	{ 0x18b357a3, "__mark_inode_dirty" },
	{ 0x331a4eb2, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xfd43aee5, "up_read" },
	{ 0x689db6a9, "__mutex_rt_init" },
	{ 0x6be34352, "iov_iter_npages" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x21b3efa1, "drop_nlink" },
	{ 0xe8c30883, "fault_in_iov_iter_readable" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xa33cd7a0, "filemap_check_errors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbe5931b8, "kmalloc_caches" },
	{ 0x20939711, "bdi_set_max_ratio" },
	{ 0xdf583148, "kmem_cache_destroy" },
	{ 0x3c521aeb, "kobject_put" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "05B110AE2596A5E5CDB747E");
MODULE_INFO(rhelversion, "9.6");
