#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0x3e9bb6de, "");
SYMBOL_CRC(wpan_phy_for_each, 0x3e6b09ad, "");
SYMBOL_CRC(wpan_phy_new, 0xd5f4ba04, "");
SYMBOL_CRC(wpan_phy_register, 0xb0a4a43a, "");
SYMBOL_CRC(wpan_phy_unregister, 0x07224f96, "");
SYMBOL_CRC(wpan_phy_free, 0xece56edf, "");
SYMBOL_CRC(ieee802154_hdr_push, 0xc1293e4b, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0xe8073d3d, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0xa1b6ba72, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0xf9851843, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x195319e4, "bpf_trace_run4" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x9d60855d, "dev_set_name" },
	{ 0xcd5a07c2, "trace_output_call" },
	{ 0x49defb57, "trace_raw_output_prep" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0x56c05c72, "finish_wait" },
	{ 0xed87c081, "trace_event_printf" },
	{ 0x7bb8459, "device_initialize" },
	{ 0x68bbd552, "genlmsg_put" },
	{ 0xbf8d90c8, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xfacada2d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xbbd490fd, "bpf_trace_run2" },
	{ 0x68cf8c0b, "prepare_to_wait_event" },
	{ 0x95724e1c, "event_triggers_call" },
	{ 0xa0e1fa61, "__wake_up" },
	{ 0x78f51ba8, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x819a88d, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x10ca9186, "device_rename" },
	{ 0xa70aaa8c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x57f51edc, "put_device" },
	{ 0x4a6267c7, "trace_event_ignore_this_pid" },
	{ 0xa916b694, "strnlen" },
	{ 0x1ce32b1f, "__alloc_skb" },
	{ 0xc5d3b84b, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x9014c8fa, "__dev_get_by_index" },
	{ 0x76a5676a, "perf_trace_run_bpf_submit" },
	{ 0xbea584d7, "init_net" },
	{ 0x58a8b5bf, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9eeb4b81, "device_add" },
	{ 0x85d69c4f, "sk_skb_reason_drop" },
	{ 0xc8a60343, "netlink_unicast" },
	{ 0x48990edb, "dev_get_by_index" },
	{ 0xc3d516f8, "skb_push" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x11bcc038, "trace_event_reg" },
	{ 0x52b95b6b, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xb77e8a99, "unregister_pernet_device" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x95a86a2d, "bpf_trace_run1" },
	{ 0x3a9040f0, "device_del" },
	{ 0x62ec8b96, "dev_set_mac_address" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xebdfa819, "__init_waitqueue_head" },
	{ 0xbc38aa6e, "__pskb_pull_tail" },
	{ 0xe8fab077, "rt_spin_unlock" },
	{ 0xea50fe73, "skb_trim" },
	{ 0xea3f4f22, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf6d8494a, "bpf_trace_run3" },
	{ 0x726472cb, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8a4b9d43, "get_net_ns_by_pid" },
	{ 0x73085f9f, "trace_event_buffer_reserve" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb36d0be6, "device_match_name" },
	{ 0x3431bae6, "dev_get_by_name" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x867233fb, "genl_unregister_family" },
	{ 0x88b4d8d8, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x4831936a, "genl_register_family" },
	{ 0xa5719d3d, "__dev_change_net_namespace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x204e646b, "register_pernet_device" },
	{ 0xcc4f8231, "get_net_ns_by_fd" },
	{ 0xb2d76f60, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbe5931b8, "kmalloc_caches" },
	{ 0xfccd6cc7, "class_find_device" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "06F4B01C168E0ABE701EE96");
MODULE_INFO(rhelversion, "9.6");
