#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0xf1a284b1, "_gpl");
SYMBOL_CRC(ip_tunnel_rcv, 0xea456051, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0xed37309a, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0x3334670d, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0x1604d371, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0x8841c841, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x7556c8b4, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0x4c472532, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0x4c51e624, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0xbf725588, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0x89caae20, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0xd9a7a4da, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0x4ea02dca, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x28e6441b, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0x4c74137f, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0x291feac5, "");
SYMBOL_CRC(ip_tunnel_init_net, 0xa4fea57d, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0x944b390b, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0x5474b3ae, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0xf5bf783f, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0x6bb5cf53, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0x7be417d8, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0x494f6c64, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f2628d, "iptun_encaps" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x754d539c, "strlen" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xa916b694, "strnlen" },
	{ 0x69acdf38, "memcpy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x1f9afba6, "alloc_netdev_mqs" },
	{ 0x6a18099a, "register_netdevice" },
	{ 0xf4b8d050, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4a123928, "unregister_netdevice_queue" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7a0391b2, "ip_route_output_flow" },
	{ 0x7e5f1542, "dst_release" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9014c8fa, "__dev_get_by_index" },
	{ 0xcce9409b, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x3470fd2d, "gro_cells_init" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x8904930b, "skb_copy_bits" },
	{ 0x85d69c4f, "sk_skb_reason_drop" },
	{ 0xbc38aa6e, "__pskb_pull_tail" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfd3dccc5, "skb_scrub_packet" },
	{ 0xbeec4e8d, "gro_cells_receive" },
	{ 0x90af8359, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x92997ed8, "_printk" },
	{ 0xa82d296d, "netdev_state_change" },
	{ 0x2f71d294, "ns_capable" },
	{ 0x7474bd18, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xbea584d7, "init_net" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb0d50889, "ipv4_mtu" },
	{ 0x9e27def3, "icmpv6_ndo_send" },
	{ 0x333315db, "icmp_ndo_send" },
	{ 0x4919ae9, "pskb_expand_head" },
	{ 0xefefad61, "__skb_get_hash_net" },
	{ 0x6cffaaf5, "dst_cache_get_ip4" },
	{ 0xae37f24b, "dst_cache_set_ip4" },
	{ 0xaa333ea4, "iptunnel_xmit" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x5f3f236b, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C79CC6ED03117D53762AAB8");
MODULE_INFO(rhelversion, "9.6");
