#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ieee80211_emulate_add_chanctx, "", "");
KSYMTAB_FUNC(ieee80211_emulate_remove_chanctx, "", "");
KSYMTAB_FUNC(ieee80211_emulate_change_chanctx, "", "");
KSYMTAB_FUNC(ieee80211_emulate_switch_vif_chanctx, "", "");
KSYMTAB_FUNC(ieee80211_restart_hw, "", "");
KSYMTAB_FUNC(ieee80211_alloc_hw_nm, "", "");
KSYMTAB_FUNC(ieee80211_register_hw, "", "");
KSYMTAB_FUNC(ieee80211_unregister_hw, "", "");
KSYMTAB_FUNC(ieee80211_free_hw, "", "");
KSYMTAB_FUNC(ieee80211_tx_status_irqsafe, "", "");
KSYMTAB_FUNC(ieee80211_tx_status_skb, "", "");
KSYMTAB_FUNC(ieee80211_tx_status_ext, "", "");
KSYMTAB_FUNC(ieee80211_tx_rate_update, "", "");
KSYMTAB_FUNC(ieee80211_report_low_ack, "", "");
KSYMTAB_FUNC(ieee80211_free_txskb, "", "");
KSYMTAB_FUNC(ieee80211_find_sta_by_link_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee80211_find_sta_by_ifaddr, "_gpl", "");
KSYMTAB_FUNC(ieee80211_find_sta, "", "");
KSYMTAB_FUNC(ieee80211_sta_block_awake, "", "");
KSYMTAB_FUNC(ieee80211_sta_eosp, "", "");
KSYMTAB_FUNC(ieee80211_send_eosp_nullfunc, "", "");
KSYMTAB_FUNC(ieee80211_sta_set_buffered, "", "");
KSYMTAB_FUNC(ieee80211_sta_register_airtime, "", "");
KSYMTAB_FUNC(ieee80211_sta_recalc_aggregates, "", "");
KSYMTAB_FUNC(ieee80211_scan_completed, "", "");
KSYMTAB_FUNC(ieee80211_sched_scan_results, "", "");
KSYMTAB_FUNC(ieee80211_sched_scan_stopped, "", "");
KSYMTAB_FUNC(ieee80211_ready_on_channel, "_gpl", "");
KSYMTAB_FUNC(ieee80211_remain_on_channel_expired, "_gpl", "");
KSYMTAB_FUNC(ieee80211_request_smps, "_gpl", "");
KSYMTAB_FUNC(ieee80211_send_bar, "", "");
KSYMTAB_FUNC(ieee80211_refresh_tx_agg_session_timer, "", "");
KSYMTAB_FUNC(ieee80211_start_tx_ba_session, "", "");
KSYMTAB_FUNC(ieee80211_start_tx_ba_cb_irqsafe, "", "");
KSYMTAB_FUNC(ieee80211_stop_tx_ba_session, "", "");
KSYMTAB_FUNC(ieee80211_stop_tx_ba_cb_irqsafe, "", "");
KSYMTAB_FUNC(ieee80211_stop_rx_ba_session, "", "");
KSYMTAB_FUNC(ieee80211_manage_rx_ba_offl, "", "");
KSYMTAB_FUNC(ieee80211_rx_ba_timer_expired, "", "");
KSYMTAB_FUNC(ieee80211_update_mu_groups, "_gpl", "");
KSYMTAB_FUNC(ieee80211_set_active_links, "_gpl", "");
KSYMTAB_FUNC(ieee80211_set_active_links_async, "_gpl", "");
KSYMTAB_FUNC(ieee80211_rate_control_register, "", "");
KSYMTAB_FUNC(ieee80211_rate_control_unregister, "", "");
KSYMTAB_FUNC(ieee80211_get_tx_rates, "", "");
KSYMTAB_FUNC(rate_control_set_rates, "", "");
KSYMTAB_FUNC(ieee80211_tkip_add_iv, "_gpl", "");
KSYMTAB_FUNC(ieee80211_get_tkip_p1k_iv, "", "");
KSYMTAB_FUNC(ieee80211_get_tkip_rx_p1k, "", "");
KSYMTAB_FUNC(ieee80211_get_tkip_p2k, "", "");
KSYMTAB_FUNC(ieee80211_csa_finish, "", "");
KSYMTAB_FUNC(ieee80211_channel_switch_disconnect, "", "");
KSYMTAB_FUNC(ieee80211_nan_func_terminated, "", "");
KSYMTAB_FUNC(ieee80211_nan_func_match, "", "");
KSYMTAB_FUNC(ieee80211_color_change_finish, "_gpl", "");
KSYMTAB_FUNC(ieee80211_obss_color_collision_notify, "_gpl", "");
KSYMTAB_FUNC(ieee80211_sta_ps_transition, "", "");
KSYMTAB_FUNC(ieee80211_sta_pspoll, "", "");
KSYMTAB_FUNC(ieee80211_sta_uapsd_trigger, "", "");
KSYMTAB_FUNC(ieee80211_drop_unencrypted_mgmt, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(ieee80211_mark_rx_ba_filtered_frames, "", "");
KSYMTAB_FUNC(ieee80211_rx_list, "", "");
KSYMTAB_FUNC(ieee80211_rx_napi, "", "");
KSYMTAB_FUNC(ieee80211_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee80211_tx_prepare_skb, "", "");
KSYMTAB_FUNC(ieee80211_tx_dequeue, "", "");
KSYMTAB_FUNC(ieee80211_next_txq, "", "");
KSYMTAB_FUNC(__ieee80211_schedule_txq, "", "");
KSYMTAB_FUNC(ieee80211_txq_airtime_check, "", "");
KSYMTAB_FUNC(ieee80211_txq_may_transmit, "", "");
KSYMTAB_FUNC(ieee80211_txq_schedule_start, "", "");
KSYMTAB_FUNC(ieee80211_beacon_update_cntdwn, "", "");
KSYMTAB_FUNC(ieee80211_beacon_set_cntdwn, "", "");
KSYMTAB_FUNC(ieee80211_beacon_cntdwn_is_complete, "", "");
KSYMTAB_FUNC(ieee80211_beacon_get_template, "", "");
KSYMTAB_FUNC(ieee80211_beacon_get_template_ema_index, "", "");
KSYMTAB_FUNC(ieee80211_beacon_free_ema_list, "", "");
KSYMTAB_FUNC(ieee80211_beacon_get_template_ema_list, "", "");
KSYMTAB_FUNC(ieee80211_beacon_get_tim, "", "");
KSYMTAB_FUNC(ieee80211_proberesp_get, "", "");
KSYMTAB_FUNC(ieee80211_get_fils_discovery_tmpl, "", "");
KSYMTAB_FUNC(ieee80211_get_unsol_bcast_probe_resp_tmpl, "", "");
KSYMTAB_FUNC(ieee80211_pspoll_get, "", "");
KSYMTAB_FUNC(ieee80211_nullfunc_get, "", "");
KSYMTAB_FUNC(ieee80211_probereq_get, "", "");
KSYMTAB_FUNC(ieee80211_rts_get, "", "");
KSYMTAB_FUNC(ieee80211_ctstoself_get, "", "");
KSYMTAB_FUNC(ieee80211_get_buffered_bc, "", "");
KSYMTAB_FUNC(ieee80211_reserve_tid, "", "");
KSYMTAB_FUNC(ieee80211_unreserve_tid, "", "");
KSYMTAB_FUNC(ieee80211_iter_keys, "", "");
KSYMTAB_FUNC(ieee80211_iter_keys_rcu, "", "");
KSYMTAB_FUNC(ieee80211_gtk_rekey_notify, "_gpl", "");
KSYMTAB_FUNC(ieee80211_get_key_rx_seq, "", "");
KSYMTAB_FUNC(ieee80211_set_key_rx_seq, "_gpl", "");
KSYMTAB_FUNC(ieee80211_remove_key, "_gpl", "");
KSYMTAB_FUNC(ieee80211_gtk_rekey_add, "_gpl", "");
KSYMTAB_FUNC(ieee80211_key_mic_failure, "_gpl", "");
KSYMTAB_FUNC(ieee80211_key_replay, "_gpl", "");
KSYMTAB_FUNC(wiphy_to_ieee80211_hw, "", "");
KSYMTAB_FUNC(ieee80211_get_bssid, "", "");
KSYMTAB_FUNC(ieee80211_generic_frame_duration, "", "");
KSYMTAB_FUNC(ieee80211_rts_duration, "", "");
KSYMTAB_FUNC(ieee80211_ctstoself_duration, "", "");
KSYMTAB_FUNC(ieee80211_handle_wake_tx_queue, "", "");
KSYMTAB_FUNC(ieee80211_wake_queue, "", "");
KSYMTAB_FUNC(ieee80211_stop_queue, "", "");
KSYMTAB_FUNC(ieee80211_stop_queues, "", "");
KSYMTAB_FUNC(ieee80211_queue_stopped, "", "");
KSYMTAB_FUNC(ieee80211_wake_queues, "", "");
KSYMTAB_FUNC(ieee80211_iterate_interfaces, "_gpl", "");
KSYMTAB_FUNC(ieee80211_iterate_active_interfaces_atomic, "_gpl", "");
KSYMTAB_FUNC(ieee80211_iterate_active_interfaces_mtx, "_gpl", "");
KSYMTAB_FUNC(ieee80211_iterate_stations_atomic, "_gpl", "");
KSYMTAB_FUNC(wdev_to_ieee80211_vif, "_gpl", "");
KSYMTAB_FUNC(ieee80211_vif_to_wdev, "_gpl", "");
KSYMTAB_FUNC(ieee80211_queue_work, "", "");
KSYMTAB_FUNC(ieee80211_queue_delayed_work, "", "");
KSYMTAB_FUNC(ieee80211_hw_restart_disconnect, "_gpl", "");
KSYMTAB_FUNC(ieee80211_resume_disconnect, "_gpl", "");
KSYMTAB_FUNC(ieee80211_ave_rssi, "_gpl", "");
KSYMTAB_FUNC(ieee80211_radar_detected, "", "");
KSYMTAB_FUNC(ieee80211_update_p2p_noa, "", "");
KSYMTAB_FUNC(ieee80211_parse_p2p_noa, "", "");
KSYMTAB_FUNC(ieee80211_txq_get_depth, "", "");
KSYMTAB_FUNC(ieee802_11_parse_elems_full, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(ieee80211_iter_chan_contexts_atomic, "_gpl", "");
KSYMTAB_FUNC(ieee80211_chswitch_done, "", "");
KSYMTAB_FUNC(ieee80211_ap_probereq_get, "", "");
KSYMTAB_FUNC(ieee80211_beacon_loss, "", "");
KSYMTAB_FUNC(ieee80211_connection_loss, "", "");
KSYMTAB_FUNC(ieee80211_disconnect, "", "");
KSYMTAB_FUNC(ieee80211_cqm_rssi_notify, "", "");
KSYMTAB_FUNC(ieee80211_cqm_beacon_loss_notify, "", "");
KSYMTAB_FUNC(ieee80211_enable_rssi_reports, "", "");
KSYMTAB_FUNC(ieee80211_disable_rssi_reports, "", "");
KSYMTAB_FUNC(ieee80211_tdls_oper_request, "", "");
KSYMTAB_FUNC(ieee80211_calc_rx_airtime, "_gpl", "");
KSYMTAB_FUNC(ieee80211_calc_tx_airtime, "_gpl", "");
KSYMTAB_FUNC(__ieee80211_get_radio_led_name, "", "");
KSYMTAB_FUNC(__ieee80211_get_assoc_led_name, "", "");
KSYMTAB_FUNC(__ieee80211_get_tx_led_name, "", "");
KSYMTAB_FUNC(__ieee80211_get_rx_led_name, "", "");
KSYMTAB_FUNC(__ieee80211_create_tpt_led_trigger, "", "");
KSYMTAB_FUNC(ieee80211_report_wowlan_wakeup, "", "");

SYMBOL_CRC(ieee80211_emulate_add_chanctx, 0x14828633, "");
SYMBOL_CRC(ieee80211_emulate_remove_chanctx, 0x33da58e5, "");
SYMBOL_CRC(ieee80211_emulate_change_chanctx, 0xc86bf21b, "");
SYMBOL_CRC(ieee80211_emulate_switch_vif_chanctx, 0x806716ac, "");
SYMBOL_CRC(ieee80211_restart_hw, 0xbc770d8e, "");
SYMBOL_CRC(ieee80211_alloc_hw_nm, 0x1749fc2e, "");
SYMBOL_CRC(ieee80211_register_hw, 0x2daf4f60, "");
SYMBOL_CRC(ieee80211_unregister_hw, 0x6e07db58, "");
SYMBOL_CRC(ieee80211_free_hw, 0xfa80e32f, "");
SYMBOL_CRC(ieee80211_tx_status_irqsafe, 0x7add5a3c, "");
SYMBOL_CRC(ieee80211_tx_status_skb, 0x82fab927, "");
SYMBOL_CRC(ieee80211_tx_status_ext, 0x4138e111, "");
SYMBOL_CRC(ieee80211_tx_rate_update, 0x4c3f5187, "");
SYMBOL_CRC(ieee80211_report_low_ack, 0x65cdc258, "");
SYMBOL_CRC(ieee80211_free_txskb, 0x13ca90c9, "");
SYMBOL_CRC(ieee80211_find_sta_by_link_addrs, 0x22b032ad, "_gpl");
SYMBOL_CRC(ieee80211_find_sta_by_ifaddr, 0x25b50944, "_gpl");
SYMBOL_CRC(ieee80211_find_sta, 0x756037d1, "");
SYMBOL_CRC(ieee80211_sta_block_awake, 0x2c79c55c, "");
SYMBOL_CRC(ieee80211_sta_eosp, 0x09e0eb6e, "");
SYMBOL_CRC(ieee80211_send_eosp_nullfunc, 0x1420a485, "");
SYMBOL_CRC(ieee80211_sta_set_buffered, 0xbb1a1239, "");
SYMBOL_CRC(ieee80211_sta_register_airtime, 0xd22d45e8, "");
SYMBOL_CRC(ieee80211_sta_recalc_aggregates, 0xf9476046, "");
SYMBOL_CRC(ieee80211_scan_completed, 0x4e7cad23, "");
SYMBOL_CRC(ieee80211_sched_scan_results, 0x0ee313e1, "");
SYMBOL_CRC(ieee80211_sched_scan_stopped, 0x5ed914b8, "");
SYMBOL_CRC(ieee80211_ready_on_channel, 0x80bf8c70, "_gpl");
SYMBOL_CRC(ieee80211_remain_on_channel_expired, 0xc6520ffe, "_gpl");
SYMBOL_CRC(ieee80211_request_smps, 0xdfbaeae6, "_gpl");
SYMBOL_CRC(ieee80211_send_bar, 0x9707d623, "");
SYMBOL_CRC(ieee80211_refresh_tx_agg_session_timer, 0x4e0a79c7, "");
SYMBOL_CRC(ieee80211_start_tx_ba_session, 0x0d7c05f1, "");
SYMBOL_CRC(ieee80211_start_tx_ba_cb_irqsafe, 0xdeea37c8, "");
SYMBOL_CRC(ieee80211_stop_tx_ba_session, 0x8d91b41d, "");
SYMBOL_CRC(ieee80211_stop_tx_ba_cb_irqsafe, 0x64890f32, "");
SYMBOL_CRC(ieee80211_stop_rx_ba_session, 0x8abeabc2, "");
SYMBOL_CRC(ieee80211_manage_rx_ba_offl, 0x7c209adf, "");
SYMBOL_CRC(ieee80211_rx_ba_timer_expired, 0xc91fc540, "");
SYMBOL_CRC(ieee80211_update_mu_groups, 0x19b1ece3, "_gpl");
SYMBOL_CRC(ieee80211_set_active_links, 0xe4fafffd, "_gpl");
SYMBOL_CRC(ieee80211_set_active_links_async, 0xb7e85fd1, "_gpl");
SYMBOL_CRC(ieee80211_rate_control_register, 0xd97172cb, "");
SYMBOL_CRC(ieee80211_rate_control_unregister, 0x49f638e5, "");
SYMBOL_CRC(ieee80211_get_tx_rates, 0x2833dc96, "");
SYMBOL_CRC(rate_control_set_rates, 0x6327fddc, "");
SYMBOL_CRC(ieee80211_tkip_add_iv, 0x16ad7c5f, "_gpl");
SYMBOL_CRC(ieee80211_get_tkip_p1k_iv, 0x1cf75d45, "");
SYMBOL_CRC(ieee80211_get_tkip_rx_p1k, 0x391eda45, "");
SYMBOL_CRC(ieee80211_get_tkip_p2k, 0x0390264c, "");
SYMBOL_CRC(ieee80211_csa_finish, 0xece6fd68, "");
SYMBOL_CRC(ieee80211_channel_switch_disconnect, 0x902e1990, "");
SYMBOL_CRC(ieee80211_nan_func_terminated, 0xc401c13c, "");
SYMBOL_CRC(ieee80211_nan_func_match, 0x0181b071, "");
SYMBOL_CRC(ieee80211_color_change_finish, 0x63fe47d7, "_gpl");
SYMBOL_CRC(ieee80211_obss_color_collision_notify, 0x9a9ab754, "_gpl");
SYMBOL_CRC(ieee80211_sta_ps_transition, 0x5593329a, "");
SYMBOL_CRC(ieee80211_sta_pspoll, 0x15d3cd76, "");
SYMBOL_CRC(ieee80211_sta_uapsd_trigger, 0xd8855b9f, "");
SYMBOL_CRC(ieee80211_drop_unencrypted_mgmt, 0x5668f86c, "");
SYMBOL_CRC(ieee80211_mark_rx_ba_filtered_frames, 0xb8359637, "");
SYMBOL_CRC(ieee80211_rx_list, 0x3aebc625, "");
SYMBOL_CRC(ieee80211_rx_napi, 0x73d1f4e4, "");
SYMBOL_CRC(ieee80211_rx_irqsafe, 0xd4a33ab5, "");
SYMBOL_CRC(ieee80211_tx_prepare_skb, 0x14d3c047, "");
SYMBOL_CRC(ieee80211_tx_dequeue, 0x9dc4b8c3, "");
SYMBOL_CRC(ieee80211_next_txq, 0x83796911, "");
SYMBOL_CRC(__ieee80211_schedule_txq, 0xfeae8d71, "");
SYMBOL_CRC(ieee80211_txq_airtime_check, 0x6e1cb6e1, "");
SYMBOL_CRC(ieee80211_txq_may_transmit, 0xd174c22a, "");
SYMBOL_CRC(ieee80211_txq_schedule_start, 0x39b62cb5, "");
SYMBOL_CRC(ieee80211_beacon_update_cntdwn, 0xa7f3e88d, "");
SYMBOL_CRC(ieee80211_beacon_set_cntdwn, 0x12f612a8, "");
SYMBOL_CRC(ieee80211_beacon_cntdwn_is_complete, 0x3db00bd8, "");
SYMBOL_CRC(ieee80211_beacon_get_template, 0x94a3b848, "");
SYMBOL_CRC(ieee80211_beacon_get_template_ema_index, 0x3e424732, "");
SYMBOL_CRC(ieee80211_beacon_free_ema_list, 0x66febec2, "");
SYMBOL_CRC(ieee80211_beacon_get_template_ema_list, 0x5e22d4f4, "");
SYMBOL_CRC(ieee80211_beacon_get_tim, 0x2a58262c, "");
SYMBOL_CRC(ieee80211_proberesp_get, 0x24ba06f1, "");
SYMBOL_CRC(ieee80211_get_fils_discovery_tmpl, 0x75f56969, "");
SYMBOL_CRC(ieee80211_get_unsol_bcast_probe_resp_tmpl, 0x8e04f296, "");
SYMBOL_CRC(ieee80211_pspoll_get, 0x835ca479, "");
SYMBOL_CRC(ieee80211_nullfunc_get, 0x865b36c3, "");
SYMBOL_CRC(ieee80211_probereq_get, 0x7c7b4dba, "");
SYMBOL_CRC(ieee80211_rts_get, 0x7c1dabb5, "");
SYMBOL_CRC(ieee80211_ctstoself_get, 0xc1cf734c, "");
SYMBOL_CRC(ieee80211_get_buffered_bc, 0xe12de5c4, "");
SYMBOL_CRC(ieee80211_reserve_tid, 0x64fa496d, "");
SYMBOL_CRC(ieee80211_unreserve_tid, 0xf645c2da, "");
SYMBOL_CRC(ieee80211_iter_keys, 0xbe83fdcf, "");
SYMBOL_CRC(ieee80211_iter_keys_rcu, 0x3475ced5, "");
SYMBOL_CRC(ieee80211_gtk_rekey_notify, 0xbb283be4, "_gpl");
SYMBOL_CRC(ieee80211_get_key_rx_seq, 0xaeb9a917, "");
SYMBOL_CRC(ieee80211_set_key_rx_seq, 0x1dab0efe, "_gpl");
SYMBOL_CRC(ieee80211_remove_key, 0xea792270, "_gpl");
SYMBOL_CRC(ieee80211_gtk_rekey_add, 0x594d821c, "_gpl");
SYMBOL_CRC(ieee80211_key_mic_failure, 0xd004ea88, "_gpl");
SYMBOL_CRC(ieee80211_key_replay, 0x9e1c1431, "_gpl");
SYMBOL_CRC(wiphy_to_ieee80211_hw, 0xbd5b8bc5, "");
SYMBOL_CRC(ieee80211_get_bssid, 0x95febea6, "");
SYMBOL_CRC(ieee80211_generic_frame_duration, 0x3925b045, "");
SYMBOL_CRC(ieee80211_rts_duration, 0xab0a6ffd, "");
SYMBOL_CRC(ieee80211_ctstoself_duration, 0xa3c2664e, "");
SYMBOL_CRC(ieee80211_handle_wake_tx_queue, 0x40b7fd8e, "");
SYMBOL_CRC(ieee80211_wake_queue, 0x1a9bacca, "");
SYMBOL_CRC(ieee80211_stop_queue, 0xc420abb5, "");
SYMBOL_CRC(ieee80211_stop_queues, 0xa1f6256a, "");
SYMBOL_CRC(ieee80211_queue_stopped, 0x404de929, "");
SYMBOL_CRC(ieee80211_wake_queues, 0x01630d01, "");
SYMBOL_CRC(ieee80211_iterate_interfaces, 0x7b011506, "_gpl");
SYMBOL_CRC(ieee80211_iterate_active_interfaces_atomic, 0xac7db293, "_gpl");
SYMBOL_CRC(ieee80211_iterate_active_interfaces_mtx, 0x85bb9551, "_gpl");
SYMBOL_CRC(ieee80211_iterate_stations_atomic, 0x8b39e522, "_gpl");
SYMBOL_CRC(wdev_to_ieee80211_vif, 0xf0bb98a4, "_gpl");
SYMBOL_CRC(ieee80211_vif_to_wdev, 0xcdee81a6, "_gpl");
SYMBOL_CRC(ieee80211_queue_work, 0x9a09ec4d, "");
SYMBOL_CRC(ieee80211_queue_delayed_work, 0x63a717cc, "");
SYMBOL_CRC(ieee80211_hw_restart_disconnect, 0x440df700, "_gpl");
SYMBOL_CRC(ieee80211_resume_disconnect, 0x526f35ba, "_gpl");
SYMBOL_CRC(ieee80211_ave_rssi, 0x58dd5034, "_gpl");
SYMBOL_CRC(ieee80211_radar_detected, 0x60894343, "");
SYMBOL_CRC(ieee80211_update_p2p_noa, 0x19f37f0d, "");
SYMBOL_CRC(ieee80211_parse_p2p_noa, 0x991a0ca0, "");
SYMBOL_CRC(ieee80211_txq_get_depth, 0x3f6319d1, "");
SYMBOL_CRC(ieee802_11_parse_elems_full, 0x68ae63b6, "");
SYMBOL_CRC(ieee80211_iter_chan_contexts_atomic, 0xb70b6378, "_gpl");
SYMBOL_CRC(ieee80211_chswitch_done, 0xed40fbea, "");
SYMBOL_CRC(ieee80211_ap_probereq_get, 0x6fd80c50, "");
SYMBOL_CRC(ieee80211_beacon_loss, 0xf5c09b34, "");
SYMBOL_CRC(ieee80211_connection_loss, 0x9a51795d, "");
SYMBOL_CRC(ieee80211_disconnect, 0xdf3f36cb, "");
SYMBOL_CRC(ieee80211_cqm_rssi_notify, 0x85bcc5ed, "");
SYMBOL_CRC(ieee80211_cqm_beacon_loss_notify, 0x24b62d37, "");
SYMBOL_CRC(ieee80211_enable_rssi_reports, 0x8f6c3c0a, "");
SYMBOL_CRC(ieee80211_disable_rssi_reports, 0x2ce2a301, "");
SYMBOL_CRC(ieee80211_tdls_oper_request, 0xb5103689, "");
SYMBOL_CRC(ieee80211_calc_rx_airtime, 0x9fb48253, "_gpl");
SYMBOL_CRC(ieee80211_calc_tx_airtime, 0xdb1b49f4, "_gpl");
SYMBOL_CRC(__ieee80211_get_radio_led_name, 0xe51f225f, "");
SYMBOL_CRC(__ieee80211_get_assoc_led_name, 0x1c0a5e3f, "");
SYMBOL_CRC(__ieee80211_get_tx_led_name, 0x30d5ce48, "");
SYMBOL_CRC(__ieee80211_get_rx_led_name, 0xb492fe6e, "");
SYMBOL_CRC(__ieee80211_create_tpt_led_trigger, 0x573d9068, "");
SYMBOL_CRC(ieee80211_report_wowlan_wakeup, 0xbb3595b5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d24c8d, "crypto_skcipher_encrypt" },
	{ 0x289ed94f, "cfg80211_inform_bss_frame_data" },
	{ 0x58a9616d, "cfg80211_sched_scan_results" },
	{ 0x3c86019a, "cfg80211_sinfo_alloc_tid_stats" },
	{ 0x9fd67f1d, "skb_complete_wifi_ack" },
	{ 0xf389fe60, "__hw_addr_init" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0xff042a43, "cfg80211_mgmt_tx_status_ext" },
	{ 0x1b6ce79b, "cfg80211_rx_assoc_resp" },
	{ 0x7ed2814b, "cfg80211_rx_unexpected_4addr_frame" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x2bb32ad1, "arc4_setkey" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x195319e4, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x8904930b, "skb_copy_bits" },
	{ 0x39179186, "idr_find" },
	{ 0x117aca91, "cfg80211_merge_profile" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8e55499, "eth_mac_addr" },
	{ 0x782cbabb, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x55a00be0, "cfg80211_links_removed" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1a87fd83, "cfg80211_chandef_dfs_required" },
	{ 0x8e92f7c4, "static_key_slow_inc" },
	{ 0xe178cc2c, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xbb81b012, "cfg80211_assoc_comeback" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xffb104fb, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0xb33f57b8, "regulatory_pre_cac_allowed" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x807dccf8, "skb_clone_sk" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x49defb57, "trace_raw_output_prep" },
	{ 0xd2c3641d, "wiphy_work_flush" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x80deeefb, "cfg80211_bss_color_notify" },
	{ 0x56060ef2, "cfg80211_remain_on_channel_expired" },
	{ 0x519545ad, "bpf_trace_run6" },
	{ 0xad9a8660, "cfg80211_cac_event" },
	{ 0xd873570f, "debugfs_create_symlink" },
	{ 0x6d5a3c1e, "skb_dequeue" },
	{ 0xf59a54cf, "rt_mutex_base_init" },
	{ 0x14b362cd, "cfg80211_register_netdevice" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xed87c081, "trace_event_printf" },
	{ 0x2e0c7c89, "led_trigger_blink_oneshot" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xcc1a7c48, "cfg80211_is_element_inherited" },
	{ 0x5f47dd4c, "ieee80211_amsdu_to_8023s" },
	{ 0x3e9110fa, "__hw_addr_unsync" },
	{ 0x26993748, "cfg80211_ref_bss" },
	{ 0x272d6876, "ieee80211_mandatory_rates" },
	{ 0xefab0596, "ieee80211_chandef_to_operating_class" },
	{ 0x4df02057, "crc32_be" },
	{ 0x345fa8cc, "ieee80211_operating_class_to_chandef" },
	{ 0xa374d4e7, "dev_alloc_name" },
	{ 0x36a501cd, "___pskb_trim" },
	{ 0xbf8d90c8, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xfacada2d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xc5ffbcb3, "crypto_alloc_aead" },
	{ 0xbbd490fd, "bpf_trace_run2" },
	{ 0xe7fcd6d5, "crypto_aead_setauthsize" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x209b7047, "crypto_aead_decrypt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x95724e1c, "event_triggers_call" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0x1c3e8f1b, "cfg80211_new_sta" },
	{ 0xf955f855, "crypto_skcipher_setkey" },
	{ 0x36ffeab2, "netdev_set_default_ethtool_ops" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x93be1d99, "__dynamic_dev_dbg" },
	{ 0x18490799, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4919ae9, "pskb_expand_head" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x74dc5e27, "skb_csum_hwoffload_help" },
	{ 0xe604c240, "dev_fetch_sw_netstats" },
	{ 0xbfc83d9, "skb_queue_purge_reason" },
	{ 0xa70aaa8c, "trace_event_buffer_commit" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x84b944c0, "crypto_destroy_tfm" },
	{ 0x90af8359, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1f9afba6, "alloc_netdev_mqs" },
	{ 0x603f3b36, "wiphy_new_nm" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x472fb0c8, "cfg80211_sta_opmode_change_notify" },
	{ 0x92997ed8, "_printk" },
	{ 0xb312b3ec, "cfg80211_ready_on_channel" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0xf691b1cc, "cfg80211_classify8021d" },
	{ 0x85f7cf73, "cfg80211_tx_mgmt_expired" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf4c143d4, "debugfs_create_x64" },
	{ 0xc72597ee, "ieee80211_fragment_element" },
	{ 0x5535ba9b, "cfg80211_rx_mlme_mgmt" },
	{ 0x482c7728, "wiphy_delayed_work_queue" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x4a6267c7, "trace_event_ignore_this_pid" },
	{ 0x66f8f35d, "crypto_skcipher_decrypt" },
	{ 0x82f723ce, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x1ce32b1f, "__alloc_skb" },
	{ 0xb12adcbc, "cfg80211_put_bss" },
	{ 0xecef285, "cfg80211_nan_func_terminated" },
	{ 0x7de2580, "cfg80211_ch_switch_notify" },
	{ 0x527d3e12, "idr_get_next" },
	{ 0x7eef5caa, "cfg80211_tx_mlme_mgmt" },
	{ 0xb5d8fdcd, "_dev_info" },
	{ 0x60ce9347, "napi_gro_receive" },
	{ 0xd1433517, "cfg80211_gtk_rekey_notify" },
	{ 0x2a1ea928, "skb_copy_expand" },
	{ 0x265d0a7c, "skb_queue_tail" },
	{ 0x2cbbf394, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4d61be9, "cfg80211_check_combinations" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfdde8f1, "__cfg80211_radar_event" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xd045465b, "cfg80211_tdls_oper_request" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x6fe0ac5b, "idr_remove" },
	{ 0x5596865b, "cfg80211_control_port_tx_status" },
	{ 0x9ce5d166, "cfg80211_chandef_primary" },
	{ 0x76b88c5f, "cfg80211_get_drvinfo" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfdc91659, "crypto_aead_setkey" },
	{ 0xefefad61, "__skb_get_hash_net" },
	{ 0x30010170, "kernel_param_lock" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xacf572da, "cfg80211_rx_spurious_frame" },
	{ 0x76a5676a, "perf_trace_run_bpf_submit" },
	{ 0xc49d9ccc, "cfg80211_ibss_joined" },
	{ 0x384e80e8, "cfg80211_nan_match" },
	{ 0xb1496976, "crypto_shash_setkey" },
	{ 0xf7be8ee8, "cfg80211_chandef_compatible" },
	{ 0xf38ae82a, "simple_open" },
	{ 0x58a8b5bf, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x174be236, "cfg80211_iter_combinations" },
	{ 0xff49b5ff, "idr_alloc" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0xbea57d1d, "cfg80211_iftype_allowed" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x1f3e477f, "crypto_aead_encrypt" },
	{ 0x85d69c4f, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x4f382bb6, "noop_llseek" },
	{ 0x6dc9a494, "ieee80211_is_valid_amsdu" },
	{ 0x9c15cb9a, "bpf_trace_run5" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x82a195e3, "cfg80211_michael_mic_failure" },
	{ 0x33f62f5e, "cfg80211_reg_can_beacon_relax" },
	{ 0x78de315b, "cfg80211_cqm_pktloss_notify" },
	{ 0xe108cbec, "cfg80211_any_usable_channels" },
	{ 0xcd47fcc4, "arc4_crypt" },
	{ 0xd2070756, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x652032cb, "mac_pton" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x8fa02936, "cfg80211_free_nan_func" },
	{ 0x3f5a2d98, "mutex_lock" },
	{ 0xc3d516f8, "skb_push" },
	{ 0xf40bc2f5, "ieee80211_operating_class_to_band" },
	{ 0xaa50d832, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x3f33532f, "cfg80211_del_sta_sinfo" },
	{ 0xb2e1ef81, "netif_receive_skb" },
	{ 0x11bcc038, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0xf93105b, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x12ce654b, "skb_ensure_writable" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x676aad4, "wiphy_unregister" },
	{ 0xf4b8d050, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xe6df87a5, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xd14eb286, "wiphy_work_queue" },
	{ 0x293ef8a7, "led_trigger_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x43afadee, "ieee80211_radiotap_iterator_init" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x6a6e52f1, "ieee80211_data_to_8023_exthdr" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xaabce786, "ethtool_op_get_link" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x1d9b69cc, "debugfs_create_ulong" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x95a86a2d, "bpf_trace_run1" },
	{ 0x75174faa, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xf6fbaf44, "default_llseek" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x2c19c3c0, "nl80211_chan_width_to_mhz" },
	{ 0x94977a2f, "cfg80211_schedule_channels_check" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x33f3d725, "rhashtable_free_and_destroy" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x8d311302, "kernel_param_unlock" },
	{ 0xc2dd3867, "wiphy_work_cancel" },
	{ 0xfb578fc5, "memset" },
	{ 0xc50d8f8a, "_dev_warn" },
	{ 0xdf4d81fe, "wiphy_delayed_work_timer" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x4e2c9e75, "cfg80211_chandef_usable" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x6d3114ba, "rht_bucket_nested_insert" },
	{ 0x382c420, "wiphy_delayed_work_cancel" },
	{ 0x7e8a580, "kfree_skb_list_reason" },
	{ 0xc09f149a, "cfg80211_cqm_beacon_loss_notify" },
	{ 0x1ffcc7cf, "param_ops_charp" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8adc5c24, "debugfs_create_u32" },
	{ 0x8d2f61d2, "cfg80211_rx_control_port" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x865029ac, "__hw_addr_sync" },
	{ 0xbc38aa6e, "__pskb_pull_tail" },
	{ 0xc7d4b058, "netif_rx" },
	{ 0x18f127e9, "__netdev_alloc_skb" },
	{ 0xce3c275f, "debugfs_create_x16" },
	{ 0xe8fab077, "rt_spin_unlock" },
	{ 0x1bb59029, "ieee80211_s1g_channel_width" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xea50fe73, "skb_trim" },
	{ 0xea3f4f22, "rt_spin_lock" },
	{ 0xdcd0cf69, "cfg80211_ch_switch_started_notify" },
	{ 0xefabba9e, "cfg80211_check_station_change" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7d144af, "nonseekable_open" },
	{ 0xfedd1216, "cfg80211_sched_scan_stopped_locked" },
	{ 0x68715fb5, "cfg80211_reg_can_beacon" },
	{ 0xf6d8494a, "bpf_trace_run3" },
	{ 0x79bf5f77, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6e793516, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf780a579, "debugfs_rename" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xad90e452, "debugfs_create_file" },
	{ 0x1a41966d, "cfg80211_unregister_wdev" },
	{ 0xf03ea868, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xdd3a3992, "cfg80211_probe_status" },
	{ 0xe61f7b37, "freq_reg_info" },
	{ 0x73085f9f, "trace_event_buffer_reserve" },
	{ 0x85412fbc, "cfg80211_stop_iface" },
	{ 0x7acb86ed, "ieee80211_radiotap_iterator_next" },
	{ 0x4540981d, "cfg80211_rx_mgmt_ext" },
	{ 0x85df9b6c, "strsep" },
	{ 0x64f1f76f, "mutex_unlock" },
	{ 0x7eb0c014, "crypto_shash_finup" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x3c2d83fd, "param_ops_bool" },
	{ 0xd6c87a05, "cfg80211_defragment_element" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2e154ad7, "wiphy_delayed_work_flush" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb29b60a9, "rhltable_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x85bc4077, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x33e12c83, "led_trigger_register" },
	{ 0x8c37a0cf, "skb_copy" },
	{ 0x6365fc08, "cfg80211_assoc_failure" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xbcb492a9, "skb_clone" },
	{ 0xeac415cc, "netif_carrier_on" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0xe3ca71a8, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa3f12f69, "__crypto_xor" },
	{ 0x4b790d6, "cfg80211_send_layer2_update" },
	{ 0x8c2fe06c, "dev_printk" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf5596d89, "cfg80211_get_p2p_attr" },
	{ 0x7ce3f604, "cfg80211_get_iftype_ext_capa" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x88b4d8d8, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x7d74d522, "kstrtoull_from_user" },
	{ 0x1313ed71, "led_trigger_event" },
	{ 0x2f1fd8fd, "cfg80211_shutdown_all_interfaces" },
	{ 0x754d539c, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0xeb90d28a, "dev_kfree_skb_any_reason" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x1351d129, "cfg80211_report_obss_beacon_khz" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x21927735, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xa234ce38, "crypto_alloc_shash" },
	{ 0x7266a4bf, "debugfs_create_dir" },
	{ 0x275269b3, "ieee80211_ie_split_ric" },
	{ 0x331a4eb2, "generic_file_llseek" },
	{ 0x22c2a10c, "led_trigger_blink" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x9773ebee, "__skb_gso_segment" },
	{ 0xb6e63e39, "cfg80211_unlink_bss" },
	{ 0xd7983a98, "__cfg80211_get_bss" },
	{ 0x501109e5, "wiphy_free" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x689db6a9, "__mutex_rt_init" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xedabfee, "cfg80211_cqm_rssi_notify" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbe5931b8, "kmalloc_caches" },
	{ 0x86cf00e5, "netdev_info" },
	{ 0x26f9d6cd, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb3e8e464, "cfg80211_auth_timeout" },
	{ 0x438af80e, "cfg80211_rx_unprot_mlme_mgmt" },
	{ 0x3d22f926, "crypto_alloc_skcipher" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,libarc4");


MODULE_INFO(srcversion, "2F1FED79F6BF4547EAF4C7A");
MODULE_INFO(rhelversion, "9.6");
