#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0x334ddbe0, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x6aada87f, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0xf1471901, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x8486e0d5, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0xeee8ef98, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0xc92f1fb9, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x92d2e8fd, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x5ad3c939, "");
SYMBOL_CRC(ip_vs_conn_put, 0x10fdb105, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0xff695166, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x6442835b, "");
SYMBOL_CRC(register_ip_vs_app, 0x931daffe, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x22c8d392, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0xa161f8bc, "");
SYMBOL_CRC(ip_vs_proto_get, 0x3e7df3c9, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0xa8bbb1b0, "");
SYMBOL_CRC(register_ip_vs_pe, 0x20e5beda, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0xddd7e3ac, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x0ed0836e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc55fb806, "nf_ct_ext_add" },
	{ 0x3dac48ca, "nf_conntrack_find_get" },
	{ 0xa96adc94, "try_module_get" },
	{ 0x8d821768, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x40793018, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x8904930b, "skb_copy_bits" },
	{ 0xcbc8cabc, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x15397189, "proc_dointvec_jiffies" },
	{ 0x85a7c11a, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xffb104fb, "consume_skb" },
	{ 0x6e9ce0b3, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x7cf86232, "mod_timer_pending" },
	{ 0x5af5e105, "ip_output" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6241f569, "nf_register_sockopt" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0xa1d07035, "nf_ct_netns_get" },
	{ 0xf59a54cf, "rt_mutex_base_init" },
	{ 0x56c05c72, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x2357a229, "kernel_bind" },
	{ 0x68bbd552, "genlmsg_put" },
	{ 0xc7d64531, "udp_set_csum" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb1dac98e, "ip6_route_me_harder" },
	{ 0xfacada2d, "pcpu_hot" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x68cf8c0b, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x689b3d24, "__module_get" },
	{ 0x7a0391b2, "ip_route_output_flow" },
	{ 0x18342712, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xc9e83482, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xb58b4101, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x7ec151ca, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4919ae9, "pskb_expand_head" },
	{ 0xac2eef7d, "register_pernet_subsys" },
	{ 0x77598e4d, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x57ef5bbd, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x38dde815, "nf_register_net_hooks" },
	{ 0xb993ff69, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0x1ce32b1f, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5d7a2152, "kmem_cache_alloc" },
	{ 0x105e28c6, "ipv6_sock_mc_join" },
	{ 0xac2864c6, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x9188ca62, "ipv6_dev_get_saddr" },
	{ 0xefefad61, "__skb_get_hash_net" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xbea584d7, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x85d69c4f, "sk_skb_reason_drop" },
	{ 0xc8a60343, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xb9e68d39, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xcce1159e, "nf_conntrack_alter_reply" },
	{ 0x48c1e06, "ip_route_me_harder" },
	{ 0x3f5a2d98, "mutex_lock" },
	{ 0xc3d516f8, "skb_push" },
	{ 0x9f7f3955, "kmem_cache_free" },
	{ 0xdc9e566b, "seq_putc" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x5b49c186, "proc_doulongvec_minmax" },
	{ 0x70e36e53, "nf_ct_expect_alloc" },
	{ 0x12ce654b, "skb_ensure_writable" },
	{ 0xce295b0e, "iov_iter_kvec" },
	{ 0xc130cb85, "ip_mc_join_group" },
	{ 0xe2f25b20, "nf_ct_expect_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2f71d294, "ns_capable" },
	{ 0x2e036d89, "nf_unregister_net_hooks" },
	{ 0xc0f2cc8e, "inet_select_addr" },
	{ 0xb77e8a99, "unregister_pernet_device" },
	{ 0x6d7369c9, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x1daeb7f, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xef76640f, "kthread_stop" },
	{ 0x71f6aa0, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x3b1e018f, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x9c4dafe, "kernel_connect" },
	{ 0x1c822d05, "skb_checksum" },
	{ 0xa6372707, "ip_defrag" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf1fb1db5, "__icmpv6_send" },
	{ 0xbc38aa6e, "__pskb_pull_tail" },
	{ 0xa02b366b, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xe8fab077, "rt_spin_unlock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xea50fe73, "skb_trim" },
	{ 0xf804e819, "nf_hook_slow" },
	{ 0x6118bced, "mutex_trylock" },
	{ 0xea3f4f22, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8d80d1db, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0x3df897b, "nf_ct_deliver_cached_events" },
	{ 0xf2dad292, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xed451bd, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x97d60042, "__icmp_send" },
	{ 0xb0d50889, "ipv4_mtu" },
	{ 0x999e8297, "vfree" },
	{ 0x43514ce8, "skb_set_owner_w" },
	{ 0x779fc467, "__skb_checksum" },
	{ 0x64f1f76f, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x7a94c125, "sock_create_kern" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x833e27bd, "init_user_ns" },
	{ 0xfa570520, "nf_ct_expect_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb9e45bd4, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x79580a46, "seq_printf" },
	{ 0xdab7e234, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x974fdb08, "proc_create_net_single" },
	{ 0xfaa3dd07, "ipv4_update_pmtu" },
	{ 0xbc808dcd, "nf_defrag_ipv6_enable" },
	{ 0x7e5f1542, "dst_release" },
	{ 0x320bdf16, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x5e7bdbb4, "proc_dointvec" },
	{ 0xac5f1630, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xbfdfec00, "unregister_net_sysctl_table" },
	{ 0x92f14c2c, "ip_local_out" },
	{ 0x867233fb, "genl_unregister_family" },
	{ 0x88b4d8d8, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x3450cc89, "udp6_set_csum" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x21927735, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x4831936a, "genl_register_family" },
	{ 0x61339b71, "kernel_sendmsg" },
	{ 0x43c980b2, "nf_ct_netns_put" },
	{ 0x204e646b, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x689db6a9, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xbe5931b8, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xdf583148, "kmem_cache_destroy" },
	{ 0x91c988ac, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4d875dc7, "proc_dointvec_minmax" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,ipv6,nf_defrag_ipv6");


MODULE_INFO(srcversion, "19A6DAAF650C30AEC160D30");
MODULE_INFO(rhelversion, "9.6");
