#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_nat_sip_hooks, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_request, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_header, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_header_uri, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_address_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_numerical_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_sdp_header, "_gpl", "");

SYMBOL_CRC(nf_nat_sip_hooks, 0x8458dd86, "_gpl");
SYMBOL_CRC(ct_sip_parse_request, 0xf90ddba6, "_gpl");
SYMBOL_CRC(ct_sip_get_header, 0xa215cbb0, "_gpl");
SYMBOL_CRC(ct_sip_parse_header_uri, 0x90794f99, "_gpl");
SYMBOL_CRC(ct_sip_parse_address_param, 0x33f393b1, "_gpl");
SYMBOL_CRC(ct_sip_parse_numerical_param, 0xd0b4e81e, "_gpl");
SYMBOL_CRC(ct_sip_get_sdp_header, 0x8249fbff, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf8087aad, "nf_conntrack_expect_lock" },
	{ 0xea3f4f22, "rt_spin_lock" },
	{ 0x709b3397, "nf_ct_remove_expect" },
	{ 0xe8fab077, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x62ba0545, "__nf_ct_refresh_acct" },
	{ 0xbc38aa6e, "__pskb_pull_tail" },
	{ 0x8904930b, "skb_copy_bits" },
	{ 0x70e36e53, "nf_ct_expect_alloc" },
	{ 0xfa570520, "nf_ct_expect_init" },
	{ 0xe2f25b20, "nf_ct_expect_put" },
	{ 0xb9e68d39, "nf_ct_expect_related_report" },
	{ 0x6e451272, "__nf_ct_expect_find" },
	{ 0xb1530054, "nf_ipv6_ops" },
	{ 0x7e5f1542, "dst_release" },
	{ 0x46b54eab, "nf_ip_route" },
	{ 0xa8bb14c3, "nf_ct_unexpect_related" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7cf86232, "mod_timer_pending" },
	{ 0x21927735, "param_ops_int" },
	{ 0x485f65dd, "param_ops_uint" },
	{ 0x620fb49e, "param_array_ops" },
	{ 0xfd871602, "param_ops_ushort" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x11089ac7, "_ctype" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x609bcd98, "in6_pton" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8e26c30, "nf_ct_helper_init" },
	{ 0xdbf72ed, "nf_conntrack_helpers_register" },
	{ 0x92997ed8, "_printk" },
	{ 0xd1ad09eb, "nf_conntrack_helpers_unregister" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x398d9626, "nf_ct_helper_log" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "AD455FB6BE9E047D00AD0A3");
MODULE_INFO(rhelversion, "9.6");
