#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x792ebf3c, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x1a4bab58, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x66671373, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x6516fa67, "");
SYMBOL_CRC(gss_mech_put, 0x4032a405, "");
SYMBOL_CRC(svcauth_gss_flavor, 0xa8796342, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x88ecb85c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xee3b312e, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0xa96adc94, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6b52492c, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x4c30a03d, "xdr_buf_from_iov" },
	{ 0x195319e4, "bpf_trace_run4" },
	{ 0x3d33d164, "xdr_stream_decode_opaque_auth" },
	{ 0x485f65dd, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2465897e, "xdr_write_pages" },
	{ 0x61429063, "rpc_shutdown_client" },
	{ 0xf38340ea, "auth_domain_find" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x473196e2, "xdr_inline_decode" },
	{ 0xf4fca5be, "cache_create_net" },
	{ 0x336026a0, "rpcauth_destroy_credcache" },
	{ 0x49defb57, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x519545ad, "bpf_trace_run6" },
	{ 0x65a7217, "rpc_net_ns" },
	{ 0xea684e4d, "read_bytes_from_xdr_buf" },
	{ 0xf59a54cf, "rt_mutex_base_init" },
	{ 0x56c05c72, "finish_wait" },
	{ 0x49ca2fe3, "rpc_wake_up" },
	{ 0xed87c081, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x3a478a63, "sunrpc_cache_lookup_rcu" },
	{ 0x2be77379, "prepare_to_wait" },
	{ 0xbf8d90c8, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0xfacada2d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0xd0b1ca2d, "__put_devmap_managed_page_refs" },
	{ 0x5b615412, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0xbbd490fd, "bpf_trace_run2" },
	{ 0x68cf8c0b, "prepare_to_wait_event" },
	{ 0x72be1309, "xdr_truncate_decode" },
	{ 0xc4640275, "rpcauth_unregister" },
	{ 0x95724e1c, "event_triggers_call" },
	{ 0xa0e1fa61, "__wake_up" },
	{ 0x11ea1b33, "__xdr_commit_encode" },
	{ 0x689b3d24, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x104a91c7, "rpc_sleep_on" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7ac22388, "__put_cred" },
	{ 0xac2eef7d, "register_pernet_subsys" },
	{ 0xa70aaa8c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1106623e, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0xefefc587, "rpc_release_client" },
	{ 0x157eac65, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x82351bb9, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x678295c7, "svc_auth_register" },
	{ 0xa17aa6bf, "xdr_stream_encode_opaque_auth" },
	{ 0x4a6267c7, "trace_event_ignore_this_pid" },
	{ 0x88fa1353, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x5266521c, "rpc_destroy_pipe_data" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc44b67f4, "__free_pages" },
	{ 0x8324c8f, "rpc_pipe_generic_upcall" },
	{ 0xac2864c6, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x9eef2228, "cache_unregister_net" },
	{ 0x6bf8465d, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x76a5676a, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x844bef20, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x8d31d4cf, "rpcauth_init_credcache" },
	{ 0xf356f430, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0xa87cdf77, "xdr_init_decode" },
	{ 0x3f5a2d98, "mutex_lock" },
	{ 0x11bcc038, "trace_event_reg" },
	{ 0x756d5d8b, "rpc_call_null" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x2bceb42d, "rpc_sleep_on_timeout" },
	{ 0xad3028c8, "rpc_create" },
	{ 0x95a86a2d, "bpf_trace_run1" },
	{ 0x17b9bb6b, "rpc_call_sync" },
	{ 0xe43b314, "from_kuid" },
	{ 0x3b1e018f, "unregister_pernet_subsys" },
	{ 0x59541e5e, "rpc_queue_upcall" },
	{ 0x49b0788, "xdr_encode_word" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x60f80e7, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1e1edccb, "svcauth_unix_set_client" },
	{ 0x5ecb6793, "xdr_buf_subsegment" },
	{ 0xebdfa819, "__init_waitqueue_head" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0xe14bbada, "make_kgid" },
	{ 0xe8fab077, "rt_spin_unlock" },
	{ 0x2f53c22c, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xea3f4f22, "rt_spin_lock" },
	{ 0xe0b590b0, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7d144af, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xf6d8494a, "bpf_trace_run3" },
	{ 0x726472cb, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xaf9920dc, "rpc_mkpipe_dentry" },
	{ 0x965eed2f, "rpc_mkpipe_data" },
	{ 0xabecc54a, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x73085f9f, "trace_event_buffer_reserve" },
	{ 0x64f1f76f, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0xfb688058, "cache_register_net" },
	{ 0x833e27bd, "init_user_ns" },
	{ 0x3592afb2, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6513d4c6, "xdr_inline_pages" },
	{ 0xd24a6b40, "__folio_put" },
	{ 0xb9e45bd4, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x535e9c50, "rpc_init_wait_queue" },
	{ 0xaa5224cb, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x23ae20d2, "rpc_unlink" },
	{ 0x1356538f, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0xd39c9d48, "from_kuid_munged" },
	{ 0x88b4d8d8, "kmalloc_trace" },
	{ 0xe037787c, "rpcauth_init_cred" },
	{ 0x4abbae5f, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x4adfedff, "cache_destroy_net" },
	{ 0x754d539c, "strlen" },
	{ 0x87fa25b6, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x1992ffc2, "xdr_stream_pos" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x689db6a9, "__mutex_rt_init" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x2168dc85, "sunrpc_cache_update" },
	{ 0xa0085e9a, "xdr_truncate_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc326119b, "rpc_destroy_wait_queue" },
	{ 0xbe5931b8, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb19bc45e, "auth_domain_put" },
	{ 0xa0436d43, "rpcauth_unwrap_resp_decode" },
	{ 0x8800c3e7, "rpcauth_register" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "042216EF997B5C7D2FED528");
MODULE_INFO(rhelversion, "9.6");
