#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(vsock_bind_table, "_gpl", "");
KSYMTAB_DATA(vsock_connected_table, "_gpl", "");
KSYMTAB_DATA(vsock_table_lock, "_gpl", "");
KSYMTAB_FUNC(vsock_insert_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_find_bound_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_find_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_sock, "_gpl", "");
KSYMTAB_FUNC(vsock_for_each_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_add_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_enqueue_accept, "_gpl", "");
KSYMTAB_FUNC(vsock_assign_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_find_cid, "_gpl", "");
KSYMTAB_FUNC(vsock_create_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(vsock_data_ready, "_gpl", "");
KSYMTAB_FUNC(vsock_dgram_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_core_get_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_core_register, "_gpl", "");
KSYMTAB_FUNC(vsock_core_unregister, "_gpl", "");
KSYMTAB_FUNC(vsock_add_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_deliver_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_init, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_validate, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_unbind, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_equals_addr, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_cast, "_gpl", "");

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0xa264ac0e, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0x0763e205, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0xd4d820b9, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0x8def5e59, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0x531d53ed, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0xf31a4061, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0xb54673aa, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0x180ffe7a, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0x44759a3c, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0x8047332e, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0x69bd8ff5, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0x827c14b0, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0x35b53031, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0x43de3d3c, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0xad45bcce, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0xdb32f818, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0x8df23d85, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0x8835ac92, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0x3844eb9c, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0xc64218fc, "_gpl");
SYMBOL_CRC(vsock_core_register, 0x755328ea, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0x0d0533c6, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0x91f93456, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0xcd858bcb, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0x1101026b, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0x77c14317, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x7e54fdde, "sock_map_close" },
	{ 0xa4464d68, "sock_queue_rcv_skb_reason" },
	{ 0xa96adc94, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb9448589, "misc_deregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xffb104fb, "consume_skb" },
	{ 0x56c05c72, "finish_wait" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x2be77379, "prepare_to_wait" },
	{ 0x2e410d78, "sock_map_unhash" },
	{ 0xfacada2d, "pcpu_hot" },
	{ 0x75799466, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x689b3d24, "__module_get" },
	{ 0x741e0f, "sk_stream_error" },
	{ 0x54b97330, "sk_msg_recvmsg" },
	{ 0xd00f26fc, "ns_capable_noaudit" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7ac22388, "__put_cred" },
	{ 0x78a745d5, "sk_error_report" },
	{ 0xbfc83d9, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xfc9f2bb3, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x9bb48a44, "sock_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1ee03597, "rt_write_unlock" },
	{ 0x391a91f1, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xac2864c6, "module_put" },
	{ 0x5e2bd506, "sk_msg_is_readable" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x85d69c4f, "sk_skb_reason_drop" },
	{ 0xfb5b5041, "sk_free" },
	{ 0xaa2ab297, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0x3f5a2d98, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x3fc6f95, "sock_no_listen" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x2b3cfe1e, "sock_recv_errqueue" },
	{ 0x6d7369c9, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7662ecfc, "mutex_lock_interruptible" },
	{ 0x82df385f, "sk_alloc" },
	{ 0x9911b631, "sock_no_socketpair" },
	{ 0xb34a0414, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x94dd5ad9, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x24c26dd7, "sock_no_sendpage" },
	{ 0xe8fab077, "rt_spin_unlock" },
	{ 0xea3f4f22, "rt_spin_lock" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0x7d144af, "nonseekable_open" },
	{ 0xb958dbdb, "sk_psock_drop" },
	{ 0xf03ea868, "__dev_queue_xmit" },
	{ 0x64f1f76f, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x833e27bd, "init_user_ns" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xbcb492a9, "skb_clone" },
	{ 0x2d3c0a91, "rt_write_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xb3acfb68, "remove_wait_queue" },
	{ 0xb48615b, "sock_no_ioctl" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xd6d4e0af, "sock_setsockopt" },
	{ 0x1cc6a853, "sock_init_data" },
	{ 0x91c988ac, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F3DDBF114383C9B4C352D27");
MODULE_INFO(rhelversion, "9.6");
