#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_set_patch, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_init_asp1_regs_for_driver_control, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_force_sync_asp1_registers_from_cache, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_mbox_send, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_firmware_shutdown, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_for_firmware_boot, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_control_port_ready, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_min_reset_pulse, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_system_reset, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq_request, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_is_fw_reload_needed, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_suspend_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_resume_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_init_cs_dsp, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_calibration_controls, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_calibration, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_read_prot_status, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_hw_init, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_speaker_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_bclk_freq_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_fill_supply_names, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_texts, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_values, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_i2c, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_spi, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_sdw, "_gpl", "SND_SOC_CS35L56_SHARED");

SYMBOL_CRC(cs35l56_set_patch, 0x8b6f4b02, "_gpl");
SYMBOL_CRC(cs35l56_init_asp1_regs_for_driver_control, 0x6b4cbfb8, "_gpl");
SYMBOL_CRC(cs35l56_force_sync_asp1_registers_from_cache, 0xb5c239c9, "_gpl");
SYMBOL_CRC(cs35l56_mbox_send, 0x8625d281, "_gpl");
SYMBOL_CRC(cs35l56_firmware_shutdown, 0x49c82126, "_gpl");
SYMBOL_CRC(cs35l56_wait_for_firmware_boot, 0x9cb6a762, "_gpl");
SYMBOL_CRC(cs35l56_wait_control_port_ready, 0xad591ce8, "_gpl");
SYMBOL_CRC(cs35l56_wait_min_reset_pulse, 0x810124fe, "_gpl");
SYMBOL_CRC(cs35l56_system_reset, 0x3fbc526f, "_gpl");
SYMBOL_CRC(cs35l56_irq_request, 0x17361022, "_gpl");
SYMBOL_CRC(cs35l56_irq, 0x05482545, "_gpl");
SYMBOL_CRC(cs35l56_is_fw_reload_needed, 0xaf45393f, "_gpl");
SYMBOL_CRC(cs35l56_runtime_suspend_common, 0x655ce9e3, "_gpl");
SYMBOL_CRC(cs35l56_runtime_resume_common, 0x010f341e, "_gpl");
SYMBOL_CRC(cs35l56_init_cs_dsp, 0x5b60dab0, "_gpl");
SYMBOL_CRC(cs35l56_calibration_controls, 0x0fa4d22d, "_gpl");
SYMBOL_CRC(cs35l56_get_calibration, 0x90e1ca33, "_gpl");
SYMBOL_CRC(cs35l56_read_prot_status, 0x4a91d7a5, "_gpl");
SYMBOL_CRC(cs35l56_hw_init, 0x73857169, "_gpl");
SYMBOL_CRC(cs35l56_get_speaker_id, 0xf8322981, "_gpl");
SYMBOL_CRC(cs35l56_get_bclk_freq_id, 0x88762c92, "_gpl");
SYMBOL_CRC(cs35l56_fill_supply_names, 0xcd5438ad, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_texts, 0x64e759e4, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_values, 0x05c2529e, "_gpl");
SYMBOL_CRC(cs35l56_regmap_i2c, 0x0995c159, "_gpl");
SYMBOL_CRC(cs35l56_regmap_spi, 0xbfc0c786, "_gpl");
SYMBOL_CRC(cs35l56_regmap_sdw, 0x70aef3f5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x64deb58f, "gpiod_get_value_cansleep" },
	{ 0x95c3684a, "regcache_cache_only" },
	{ 0x89327310, "regcache_sync" },
	{ 0x816d922, "regmap_write" },
	{ 0xbec9d1d3, "devm_request_threaded_irq" },
	{ 0x241ef9f5, "cs_amp_get_efi_calibration_data" },
	{ 0x9a38801f, "regmap_raw_read" },
	{ 0xd3d2aaff, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x93be1d99, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe60ee4f2, "gpiod_get_array_optional" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb5d8fdcd, "_dev_info" },
	{ 0xeb63171e, "regmap_multi_reg_write_bypassed" },
	{ 0xb4757401, "_dev_err" },
	{ 0xb851189d, "gpiod_put_array" },
	{ 0x3f5a2d98, "mutex_lock" },
	{ 0xc50d8f8a, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf2b5ca58, "regmap_read_bypassed" },
	{ 0x2b02ba3f, "regmap_read" },
	{ 0x3bbf24b, "__pm_runtime_resume" },
	{ 0x64f1f76f, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xee20a501, "_dev_crit" },
	{ 0x1aecb087, "regmap_update_bits_base" },
	{ 0xc9eb4a19, "dev_err_probe" },
	{ 0x36729930, "regmap_multi_reg_write" },
	{ 0xd63e56f7, "__pm_runtime_suspend" },
	{ 0xc4a7ed12, "regmap_register_patch" },
	{ 0xf9682ea3, "__pm_runtime_idle" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs-amp-lib");


MODULE_INFO(srcversion, "DBF5D0052A0080AA8B0B432");
MODULE_INFO(rhelversion, "9.6");
