#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wm_adsp_fw_get, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_fw_put, "_gpl", "");
KSYMTAB_DATA(wm_adsp_fw_enum, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_write_ctl, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_read_ctl, "_gpl", "");
KSYMTAB_FUNC(wm_adsp1_init, "_gpl", "");
KSYMTAB_FUNC(wm_adsp1_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_set_dspclk, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_preloader_get, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_preloader_put, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_power_up, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_power_down, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_early_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_run, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_stop, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_component_probe, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_component_remove, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_init, "_gpl", "");
KSYMTAB_FUNC(wm_halo_init, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_remove, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_open, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_free, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_get_caps, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_handle_irq, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_copy, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_bus_error, "_gpl", "");
KSYMTAB_FUNC(wm_halo_bus_error, "_gpl", "");
KSYMTAB_FUNC(wm_halo_wdt_expire, "_gpl", "");

SYMBOL_CRC(wm_adsp_fw_get, 0x1af27a38, "_gpl");
SYMBOL_CRC(wm_adsp_fw_put, 0x9c33db6a, "_gpl");
SYMBOL_CRC(wm_adsp_fw_enum, 0x894458f3, "_gpl");
SYMBOL_CRC(wm_adsp_write_ctl, 0x710e7ade, "_gpl");
SYMBOL_CRC(wm_adsp_read_ctl, 0x698a1d3e, "_gpl");
SYMBOL_CRC(wm_adsp1_init, 0xede3c62b, "_gpl");
SYMBOL_CRC(wm_adsp1_event, 0xc55fe75f, "_gpl");
SYMBOL_CRC(wm_adsp2_set_dspclk, 0xae9ea632, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_get, 0x3c10552a, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_put, 0xbad1f478, "_gpl");
SYMBOL_CRC(wm_adsp_power_up, 0xe9146320, "_gpl");
SYMBOL_CRC(wm_adsp_power_down, 0x05daa82b, "_gpl");
SYMBOL_CRC(wm_adsp_early_event, 0x3a004be9, "_gpl");
SYMBOL_CRC(wm_adsp_run, 0x6062b790, "_gpl");
SYMBOL_CRC(wm_adsp_stop, 0xfdb3a334, "_gpl");
SYMBOL_CRC(wm_adsp_event, 0x0b60ad3f, "_gpl");
SYMBOL_CRC(wm_adsp2_component_probe, 0x611552ed, "_gpl");
SYMBOL_CRC(wm_adsp2_component_remove, 0xc468c60e, "_gpl");
SYMBOL_CRC(wm_adsp2_init, 0xb0015f5c, "_gpl");
SYMBOL_CRC(wm_halo_init, 0xb0a46da1, "_gpl");
SYMBOL_CRC(wm_adsp2_remove, 0x7d48643e, "_gpl");
SYMBOL_CRC(wm_adsp_compr_open, 0x7894a247, "_gpl");
SYMBOL_CRC(wm_adsp_compr_free, 0xc86f0ea3, "_gpl");
SYMBOL_CRC(wm_adsp_compr_set_params, 0xa96482aa, "_gpl");
SYMBOL_CRC(wm_adsp_compr_get_caps, 0x58cbca58, "_gpl");
SYMBOL_CRC(wm_adsp_compr_trigger, 0xcfd20765, "_gpl");
SYMBOL_CRC(wm_adsp_compr_handle_irq, 0xc202ee6b, "_gpl");
SYMBOL_CRC(wm_adsp_compr_pointer, 0x11abc347, "_gpl");
SYMBOL_CRC(wm_adsp_compr_copy, 0x3b2db742, "_gpl");
SYMBOL_CRC(wm_adsp2_bus_error, 0xdd3c79ef, "_gpl");
SYMBOL_CRC(wm_halo_bus_error, 0xea38ee07, "_gpl");
SYMBOL_CRC(wm_halo_wdt_expire, 0x52c16479, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x9e38c55e, "cs_dsp_coeff_lock_and_read_ctrl" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xfd8ec2b1, "snd_soc_component_force_enable_pin" },
	{ 0xe55711d1, "firmware_request_nowarn" },
	{ 0x7b06f1d4, "cs_dsp_cleanup_debugfs" },
	{ 0xeb7d9620, "cs_dsp_coeff_read_ctrl" },
	{ 0xaee966b3, "snd_compr_stop_error" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x142f3baa, "cs_dsp_stop" },
	{ 0x73c161a2, "cs_dsp_adsp1_power_up" },
	{ 0xb9f71c66, "cs_dsp_adsp1_power_down" },
	{ 0x96848186, "scnprintf" },
	{ 0x858701bf, "cs_dsp_adsp1_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x97757b41, "cs_dsp_coeff_write_ctrl" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x72c51448, "cs_dsp_init_debugfs" },
	{ 0xa0e1fa61, "__wake_up" },
	{ 0x891a8fae, "cs_dsp_halo_bus_error" },
	{ 0x93be1d99, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd609114b, "snd_soc_dapm_sync" },
	{ 0x4e5562f8, "cs_dsp_remove_padding" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x12a2ef65, "cs_dsp_find_alg_region" },
	{ 0x5a755502, "cs_dsp_coeff_write_acked_control" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x6eb323a1, "cs_dsp_get_ctl" },
	{ 0xb5d8fdcd, "_dev_info" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xb4757401, "_dev_err" },
	{ 0x3f5a2d98, "mutex_lock" },
	{ 0xa564ed5b, "cs_dsp_halo_init" },
	{ 0xbb829c5f, "cs_dsp_power_down" },
	{ 0xe7b7859f, "cs_dsp_adsp2_init" },
	{ 0x95a4fbbe, "snd_soc_add_component_controls" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x863e7914, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x144d6986, "cs_dsp_mem_region_name" },
	{ 0x7f09851e, "cs_dsp_set_dspclk" },
	{ 0xc50d8f8a, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x89147d9, "cs_dsp_power_up" },
	{ 0x6dca2df9, "cs_dsp_coeff_lock_and_write_ctrl" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x999e8297, "vfree" },
	{ 0x6a8301d2, "cs_dsp_run" },
	{ 0x64f1f76f, "mutex_unlock" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x690465a3, "cs_dsp_write_data_word" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x7887e63f, "cs_dsp_halo_wdt_expire" },
	{ 0x71907bb6, "snd_soc_component_disable_pin" },
	{ 0xab8e4dce, "snd_soc_bytes_tlv_callback" },
	{ 0x825a8da, "cs_dsp_adsp2_bus_error" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x3d8b24ab, "cs_dsp_read_raw_data_block" },
	{ 0x88b4d8d8, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x79dc37f, "cs_dsp_read_data_word" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbe5931b8, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "cs_dsp,snd-soc-core,snd-compress");


MODULE_INFO(srcversion, "C87B207C80F7841F44FFACF");
MODULE_INFO(rhelversion, "9.6");
