#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mhi_register_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_free_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_after_power_down, "_gpl", "");
KSYMTAB_FUNC(__mhi_driver_register, "_gpl", "");
KSYMTAB_FUNC(mhi_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(mhi_get_exec_env, "_gpl", "");
KSYMTAB_FUNC(mhi_get_mhi_state, "_gpl", "");
KSYMTAB_FUNC(mhi_soc_reset, "_gpl", "");
KSYMTAB_FUNC(mhi_get_free_desc_count, "_gpl", "");
KSYMTAB_FUNC(mhi_notify, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_dma, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_buf, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_is_full, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer_autoqueue, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_from_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_suspend, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume_force, "_gpl", "");
KSYMTAB_FUNC(mhi_async_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down_keep_dev, "_gpl", "");
KSYMTAB_FUNC(mhi_sync_power_up, "", "");
KSYMTAB_FUNC(mhi_force_rddm_mode, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get_sync, "_gpl", "");
KSYMTAB_FUNC(mhi_device_put, "_gpl", "");
KSYMTAB_FUNC(mhi_download_rddm_image, "_gpl", "");

SYMBOL_CRC(mhi_register_controller, 0x2b6b46c2, "_gpl");
SYMBOL_CRC(mhi_unregister_controller, 0x07ad9599, "_gpl");
SYMBOL_CRC(mhi_alloc_controller, 0x8db36f85, "_gpl");
SYMBOL_CRC(mhi_free_controller, 0xd45ba611, "_gpl");
SYMBOL_CRC(mhi_prepare_for_power_up, 0xa85e7367, "_gpl");
SYMBOL_CRC(mhi_unprepare_after_power_down, 0x136fd54e, "_gpl");
SYMBOL_CRC(__mhi_driver_register, 0xd5882155, "_gpl");
SYMBOL_CRC(mhi_driver_unregister, 0x026591ed, "_gpl");
SYMBOL_CRC(mhi_get_exec_env, 0xa0761915, "_gpl");
SYMBOL_CRC(mhi_get_mhi_state, 0x710c350e, "_gpl");
SYMBOL_CRC(mhi_soc_reset, 0xf1e1cf09, "_gpl");
SYMBOL_CRC(mhi_get_free_desc_count, 0x6ad2e111, "_gpl");
SYMBOL_CRC(mhi_notify, 0x3255e16e, "_gpl");
SYMBOL_CRC(mhi_queue_skb, 0x860c0687, "_gpl");
SYMBOL_CRC(mhi_queue_dma, 0x5a18c1dc, "_gpl");
SYMBOL_CRC(mhi_queue_buf, 0xd866ff59, "_gpl");
SYMBOL_CRC(mhi_queue_is_full, 0x75820d5c, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer, 0x742a25fc, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer_autoqueue, 0x37d6676e, "_gpl");
SYMBOL_CRC(mhi_unprepare_from_transfer, 0x405782df, "_gpl");
SYMBOL_CRC(mhi_pm_suspend, 0xe8d695e2, "_gpl");
SYMBOL_CRC(mhi_pm_resume, 0xd673bd66, "_gpl");
SYMBOL_CRC(mhi_pm_resume_force, 0x3c1c4e3e, "_gpl");
SYMBOL_CRC(mhi_async_power_up, 0xff2b4e4b, "_gpl");
SYMBOL_CRC(mhi_power_down, 0xd6f29bd2, "_gpl");
SYMBOL_CRC(mhi_power_down_keep_dev, 0x85e6e645, "_gpl");
SYMBOL_CRC(mhi_sync_power_up, 0xbbcc1c3f, "");
SYMBOL_CRC(mhi_force_rddm_mode, 0x15928934, "_gpl");
SYMBOL_CRC(mhi_device_get, 0x498c16fc, "_gpl");
SYMBOL_CRC(mhi_device_get_sync, 0xa9eb4aec, "_gpl");
SYMBOL_CRC(mhi_device_put, 0xa21022fe, "_gpl");
SYMBOL_CRC(mhi_download_rddm_image, 0x5c259ad4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb033f548, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf8ef8642, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x195319e4, "bpf_trace_run4" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9d60855d, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x49defb57, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf59a54cf, "rt_mutex_base_init" },
	{ 0x56c05c72, "finish_wait" },
	{ 0xffa98e47, "dma_unmap_page_attrs" },
	{ 0xbf4659b6, "request_firmware" },
	{ 0xed87c081, "trace_event_printf" },
	{ 0x7bb8459, "device_initialize" },
	{ 0xbf8d90c8, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xfacada2d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x6e34e6da, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbbd490fd, "bpf_trace_run2" },
	{ 0x68cf8c0b, "prepare_to_wait_event" },
	{ 0xa0e1fa61, "__wake_up" },
	{ 0x95724e1c, "event_triggers_call" },
	{ 0x78f51ba8, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x93be1d99, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x82bbaa67, "dev_driver_string" },
	{ 0xa70aaa8c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcec04f72, "dma_map_page_attrs" },
	{ 0x89ade332, "pm_wakeup_dev_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x57f51edc, "put_device" },
	{ 0x4a6267c7, "trace_event_ignore_this_pid" },
	{ 0x1ee03597, "rt_write_unlock" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xb5d8fdcd, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x76a5676a, "perf_trace_run_bpf_submit" },
	{ 0x4b38b512, "bus_unregister" },
	{ 0xb4757401, "_dev_err" },
	{ 0x1fe82baf, "device_wakeup_enable" },
	{ 0x9eeb4b81, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3f5a2d98, "mutex_lock" },
	{ 0x41024bb4, "dma_alloc_attrs" },
	{ 0x11bcc038, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xaf780e2d, "ida_free" },
	{ 0x583cce71, "driver_unregister" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd7482f05, "vcalloc" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3a9040f0, "device_del" },
	{ 0xc50d8f8a, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xebdfa819, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xe8fab077, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xea3f4f22, "rt_spin_lock" },
	{ 0xf6d8494a, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x96aa53f2, "rt_read_lock" },
	{ 0xed996a34, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x73085f9f, "trace_event_buffer_reserve" },
	{ 0x64f1f76f, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x42875f35, "rt_read_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x2d3c0a91, "rt_write_lock" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x88b4d8d8, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x3eb60e1a, "driver_register" },
	{ 0x689db6a9, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbe5931b8, "kmalloc_caches" },
	{ 0x450eb15d, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8615C9DE2D5B950726F5A5C");
MODULE_INFO(rhelversion, "9.6");
