#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cec_allocate_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_register_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_unregister_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_delete_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_get_edid_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_fill_conn_info_from_drm, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_cec_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_hpd_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_5v_event, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_attempt_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_msg, "_gpl", "");
KSYMTAB_FUNC(cec_received_msg_ts, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr_from_edid, "_gpl", "");
KSYMTAB_FUNC(cec_s_conn_info, "_gpl", "");
KSYMTAB_FUNC(cec_s_log_addrs, "_gpl", "");

SYMBOL_CRC(cec_allocate_adapter, 0x61ad78b3, "_gpl");
SYMBOL_CRC(cec_register_adapter, 0xcd7deab4, "_gpl");
SYMBOL_CRC(cec_unregister_adapter, 0xe8b5a1fa, "_gpl");
SYMBOL_CRC(cec_delete_adapter, 0x7987b2f8, "_gpl");
SYMBOL_CRC(cec_get_edid_phys_addr, 0xbe4de675, "_gpl");
SYMBOL_CRC(cec_fill_conn_info_from_drm, 0x83d3f516, "_gpl");
SYMBOL_CRC(cec_queue_pin_cec_event, 0x0e1c55c5, "_gpl");
SYMBOL_CRC(cec_queue_pin_hpd_event, 0x2ba2cf71, "_gpl");
SYMBOL_CRC(cec_queue_pin_5v_event, 0x0a9a4af2, "_gpl");
SYMBOL_CRC(cec_transmit_done_ts, 0x045faa8e, "_gpl");
SYMBOL_CRC(cec_transmit_attempt_done_ts, 0xe74eceb8, "_gpl");
SYMBOL_CRC(cec_transmit_msg, 0x9415ab67, "_gpl");
SYMBOL_CRC(cec_received_msg_ts, 0xea40c11e, "_gpl");
SYMBOL_CRC(cec_s_phys_addr, 0xefe57915, "_gpl");
SYMBOL_CRC(cec_s_phys_addr_from_edid, 0x732c4e2f, "_gpl");
SYMBOL_CRC(cec_s_conn_info, 0x41891f13, "_gpl");
SYMBOL_CRC(cec_s_log_addrs, 0xd6beb389, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9d60855d, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xf1e4e789, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf59a54cf, "rt_mutex_base_init" },
	{ 0x56c05c72, "finish_wait" },
	{ 0x7bb8459, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc0939d00, "seq_lseek" },
	{ 0x68cf8c0b, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa0e1fa61, "__wake_up" },
	{ 0x78f51ba8, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x77598e4d, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x2ab83404, "cdev_device_add" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9fc87ae, "debugfs_create_devm_seqfile" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x57f51edc, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x4b38b512, "bus_unregister" },
	{ 0x3f5a2d98, "mutex_lock" },
	{ 0xaa50d832, "debugfs_remove" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xef76640f, "kthread_stop" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xebdfa819, "__init_waitqueue_head" },
	{ 0x8d80d1db, "kthread_create_on_node" },
	{ 0x46a0541c, "seq_read" },
	{ 0xad90e452, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x64f1f76f, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x3c2d83fd, "param_ops_bool" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x2a10135c, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x79580a46, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xac5f1630, "seq_puts" },
	{ 0x9a911f6f, "single_release" },
	{ 0x88b4d8d8, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x21927735, "param_ops_int" },
	{ 0x2a2b82ce, "single_open" },
	{ 0x7266a4bf, "debugfs_create_dir" },
	{ 0x689db6a9, "__mutex_rt_init" },
	{ 0x70cae124, "cdev_init" },
	{ 0xbe5931b8, "kmalloc_caches" },
	{ 0x450eb15d, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "13504F5D380BA58ACD4AAC7");
MODULE_INFO(rhelversion, "9.6");
