#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0xfec594c2, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0x8bac3ceb, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0xec48174f, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0x3e47192e, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0xe0c69453, "_gpl");
SYMBOL_CRC(stmmac_resume, 0x2be8f577, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0xd1cc24db, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x60eb4733, "mdiobus_alloc_size" },
	{ 0x778fd440, "__tracepoint_xdp_exception" },
	{ 0x861c41d3, "xsk_tx_completed" },
	{ 0x85a15f33, "napi_alloc_skb" },
	{ 0xe01f759, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7b4acd62, "xp_alloc" },
	{ 0x8f1be708, "device_set_wakeup_enable" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4b290159, "bpf_prog_put" },
	{ 0xf8ef8642, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x38efdab2, "xp_dma_map" },
	{ 0x8904930b, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe8845e6f, "devm_kmalloc" },
	{ 0x8e55499, "eth_mac_addr" },
	{ 0x782cbabb, "skb_put" },
	{ 0xf9917c6f, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2cbcd970, "netdev_update_features" },
	{ 0xffb104fb, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xb0e602eb, "memmove" },
	{ 0x36ac3c28, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x313ec9b2, "hrtimer_try_to_cancel" },
	{ 0x332fa63d, "bpf_warn_invalid_xdp_action" },
	{ 0x15aeb6cb, "unregister_netdev" },
	{ 0xd8fb3aff, "xdp_convert_zc_to_xdp_frame" },
	{ 0x69fdeea7, "xdp_features_set_redirect_target" },
	{ 0xf59a54cf, "rt_mutex_base_init" },
	{ 0xffa98e47, "dma_unmap_page_attrs" },
	{ 0x93000cf, "hrtimer_init" },
	{ 0x9ebef143, "skb_add_rx_frag" },
	{ 0x21988ab4, "get_device_system_crosststamp" },
	{ 0xacf3565e, "ptp_clock_index" },
	{ 0x22ce1506, "phy_attached_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0xfacada2d, "pcpu_hot" },
	{ 0xc0939d00, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x3bd82bcd, "page_pool_destroy" },
	{ 0xf079c46a, "xdp_do_redirect" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x89c6cbd3, "netdev_warn" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa0e1fa61, "__wake_up" },
	{ 0xeb2d11a4, "flow_rule_match_ipv4_addrs" },
	{ 0x17deb869, "xdp_rxq_info_unreg_mem_model" },
	{ 0xdd60f09, "__netif_napi_del" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x11421732, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x351ff96f, "phylink_limit_mac_speed" },
	{ 0x62d84ef4, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0x82bbaa67, "dev_driver_string" },
	{ 0xe8f8c2d4, "pinctrl_pm_select_default_state" },
	{ 0x4b4b776e, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x90af8359, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x948a23de, "__pm_runtime_set_status" },
	{ 0xcec04f72, "dma_map_page_attrs" },
	{ 0x7467dd3b, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xcc56ef97, "__devm_alloc_percpu" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x89ade332, "pm_wakeup_dev_event" },
	{ 0xa0bd3aa9, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbf3c0d37, "__napi_schedule" },
	{ 0xf92ced88, "pm_runtime_enable" },
	{ 0xd1c7ccea, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x7396c7fc, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd6590bcf, "xpcs_config_eee" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0x1ee03597, "rt_write_unlock" },
	{ 0xb5d8fdcd, "_dev_info" },
	{ 0x8fe20611, "xpcs_create_mdiodev" },
	{ 0x60ce9347, "napi_gro_receive" },
	{ 0xcd6d21c2, "netif_device_attach" },
	{ 0x15a7179b, "xdp_features_clear_redirect_target" },
	{ 0x5ac7bfa6, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0xaeec38b0, "netdev_pick_tx" },
	{ 0xfe2b7810, "phy_init_eee" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xf473987b, "xp_raw_get_dma" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc1759b78, "xdp_rxq_info_is_reg" },
	{ 0x2bede64, "devm_alloc_etherdev_mqs" },
	{ 0xe667e827, "flow_block_cb_setup_simple" },
	{ 0xec0f020b, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0x9dd9bf3, "dev_open" },
	{ 0x5e4af17c, "__dma_sync_single_for_cpu" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xb4757401, "_dev_err" },
	{ 0x91496345, "xpcs_destroy" },
	{ 0x2f4c8f06, "pinctrl_pm_select_sleep_state" },
	{ 0x58a8b5bf, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1f0fd4f6, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4407e88d, "ptp_clock_register" },
	{ 0x51c28a34, "xp_dma_sync_for_cpu_slow" },
	{ 0x27717653, "xsk_tx_peek_desc" },
	{ 0x779c6ff, "netif_set_real_num_tx_queues" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xba49e333, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0xd2070756, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x3f5a2d98, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x41024bb4, "dma_alloc_attrs" },
	{ 0xaa50d832, "debugfs_remove" },
	{ 0x3008e543, "napi_enable" },
	{ 0x84534732, "xsk_clear_rx_need_wakeup" },
	{ 0x99966e56, "xpcs_get_interfaces" },
	{ 0xc0e5dfae, "xsk_uses_need_wakeup" },
	{ 0x1c527fc3, "register_netdev" },
	{ 0x8f11605f, "xsk_get_pool_from_qid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xb0b7f40c, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0xf0fc80aa, "phylink_generic_validate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xaabce786, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0x3bd96497, "__SCK__tp_func_xdp_exception" },
	{ 0xb7097ee0, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0xc8476ba0, "netif_tx_wake_queue" },
	{ 0x4d4d812c, "fwnode_get_phy_node" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2f7550f6, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0xc50d8f8a, "_dev_warn" },
	{ 0x80c7b6b0, "flow_rule_match_ports" },
	{ 0xd63f11b5, "phylink_fwnode_phy_connect" },
	{ 0x313d5c4e, "hrtimer_start_range_ns" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xccb4e8e0, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x36fa2345, "netif_schedule_queue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x13b96e63, "fwnode_get_named_child_node" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xebdfa819, "__init_waitqueue_head" },
	{ 0x69dd83fa, "ptp_clock_unregister" },
	{ 0xad448865, "xp_dma_unmap" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xe8fab077, "rt_spin_unlock" },
	{ 0xa73fb722, "xpcs_get_an_mode" },
	{ 0xea3f4f22, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x393dffa1, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f33c21b, "xdp_return_frame_rx_napi" },
	{ 0x4767496d, "netdev_alert" },
	{ 0xde7a5819, "dma_set_coherent_mask" },
	{ 0x46a0541c, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x4a2c3f4d, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0x96aa53f2, "rt_read_lock" },
	{ 0xf780a579, "debugfs_rename" },
	{ 0xad90e452, "debugfs_create_file" },
	{ 0xbd2bcdb1, "xsk_set_tx_need_wakeup" },
	{ 0xed996a34, "dma_free_attrs" },
	{ 0x3bbf24b, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0x64f1f76f, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x96ad1b5c, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd5c5684, "xp_set_rxq_info" },
	{ 0xa0784e81, "flow_rule_match_vlan" },
	{ 0xf382c879, "xdp_rxq_info_unreg" },
	{ 0x52dd8e11, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x9b804c78, "__xdp_rxq_info_reg" },
	{ 0x42875f35, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x85bc4077, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x79580a46, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0x23f86306, "mdiobus_get_phy" },
	{ 0xeac415cc, "netif_carrier_on" },
	{ 0x2d3c0a91, "rt_write_lock" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xad375818, "__mdiobus_register" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc55c5cd, "hrtimer_cancel" },
	{ 0x287af3fb, "xp_free" },
	{ 0x9a911f6f, "single_release" },
	{ 0xb8c8d038, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0xc9eb4a19, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x88b4d8d8, "kmalloc_trace" },
	{ 0x64568d15, "xdp_master_redirect" },
	{ 0x1b28fd08, "fwnode_handle_put" },
	{ 0x7876ecb4, "xp_raw_get_data" },
	{ 0xde66f4a7, "phylink_mii_ioctl" },
	{ 0x4289fc3, "napi_schedule_prep" },
	{ 0x439e79b8, "napi_disable" },
	{ 0xeb90d28a, "dev_kfree_skb_any_reason" },
	{ 0xcd1dacac, "eth_header_parse_protocol" },
	{ 0x21927735, "param_ops_int" },
	{ 0x2a2b82ce, "single_open" },
	{ 0x856b5697, "__pm_runtime_disable" },
	{ 0x7266a4bf, "debugfs_create_dir" },
	{ 0x815588a6, "clk_enable" },
	{ 0x59396c88, "skb_clone_tx_timestamp" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x689db6a9, "__mutex_rt_init" },
	{ 0xf9682ea3, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf18a3f28, "ethtool_op_get_ts_info" },
	{ 0x7e0f1475, "xsk_tx_release" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x76863337, "__dev_fwnode" },
	{ 0xbe5931b8, "kmalloc_caches" },
	{ 0x86cf00e5, "netdev_info" },
	{ 0xf05928e1, "page_pool_put_unrefed_page" },
	{ 0x1b991678, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "ptp,phylink,pcs_xpcs");


MODULE_INFO(srcversion, "3D73A1121802B6A9BC08148");
MODULE_INFO(rhelversion, "9.6");
