#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0x8ccaa5c6, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0xb0993833, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0xe4762375, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0xca0dd56d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9a2b1957, "netif_stacked_transfer_operstate" },
	{ 0x7474bd18, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x4a123928, "unregister_netdevice_queue" },
	{ 0x289e33b8, "netdev_upper_dev_unlink" },
	{ 0x9014c8fa, "__dev_get_by_index" },
	{ 0x6a18099a, "register_netdevice" },
	{ 0xa29e79d1, "netdev_upper_dev_link" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x99e4e0cc, "linkwatch_fire_event" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x32228118, "dev_uc_sync" },
	{ 0x6d8c9737, "dev_mc_sync" },
	{ 0xfacada2d, "pcpu_hot" },
	{ 0xc7d4b058, "netif_rx" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xbcb492a9, "skb_clone" },
	{ 0x6065f0fd, "__dev_forward_skb" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xea3f4f22, "rt_spin_lock" },
	{ 0xe8fab077, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xffb104fb, "consume_skb" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xf03ea868, "__dev_queue_xmit" },
	{ 0x6b337055, "dev_forward_skb" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xe227f675, "__netif_rx" },
	{ 0x3e3e18ad, "ip_check_defrag" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8c76efae, "netdev_core_stats_alloc" },
	{ 0x8fd8972, "passthru_features_check" },
	{ 0x32bbaf58, "eth_validate_addr" },
	{ 0xf18c6caf, "ndo_dflt_fdb_dump" },
	{ 0xaabce786, "ethtool_op_get_link" },
	{ 0x3967d07b, "eth_header_parse" },
	{ 0x80d1a531, "eth_header_cache" },
	{ 0xd704352f, "eth_header_cache_update" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x18490799, "ether_setup" },
	{ 0x6fa50a6b, "__ethtool_get_link_ksettings" },
	{ 0x2e58ff8c, "ethtool_get_ts_info_by_layer" },
	{ 0xbea584d7, "init_net" },
	{ 0x29f68836, "generic_hwtstamp_set_lower" },
	{ 0xb0a7276, "generic_hwtstamp_get_lower" },
	{ 0xf2a2a25d, "dev_mc_del" },
	{ 0x592c3112, "dev_uc_del" },
	{ 0x4ee71dbe, "dev_mc_add_excl" },
	{ 0x9de9cfc4, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x5fd42e2b, "vlan_vid_del" },
	{ 0x3955387a, "vlan_vid_add" },
	{ 0xad1ef8a6, "dev_set_allmulti" },
	{ 0xea79fe6b, "dev_set_promiscuity" },
	{ 0xf58ca6eb, "dev_uc_unsync" },
	{ 0x13447479, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x4bab18e3, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x85d69c4f, "sk_skb_reason_drop" },
	{ 0x62ec8b96, "dev_set_mac_address" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbe5931b8, "kmalloc_caches" },
	{ 0x88b4d8d8, "kmalloc_trace" },
	{ 0x13d0a1b8, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xd5c59952, "rtnl_link_unregister" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xe3a33e73, "netdev_is_rx_handler_busy" },
	{ 0xf59a54cf, "rt_mutex_base_init" },
	{ 0x9e80f47c, "netdev_rx_handler_register" },
	{ 0x535a2b18, "dev_uc_add" },
	{ 0x6e47b84e, "call_netdevice_notifiers" },
	{ 0x3bd453fd, "netif_inherit_tso_max" },
	{ 0x2cbcd970, "netdev_update_features" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3E9C474A79A89BDFD889463");
MODULE_INFO(rhelversion, "9.6");
