#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ntb_register_client, "", "");
KSYMTAB_FUNC(ntb_unregister_client, "", "");
KSYMTAB_FUNC(ntb_register_device, "", "");
KSYMTAB_FUNC(ntb_unregister_device, "", "");
KSYMTAB_FUNC(ntb_set_ctx, "", "");
KSYMTAB_FUNC(ntb_clear_ctx, "", "");
KSYMTAB_FUNC(ntb_link_event, "", "");
KSYMTAB_FUNC(ntb_db_event, "", "");
KSYMTAB_FUNC(ntb_msg_event, "", "");
KSYMTAB_FUNC(ntb_default_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_count, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_idx, "", "");
KSYMTAB_FUNC(ntb_msi_init, "", "");
KSYMTAB_FUNC(ntb_msi_setup_mws, "", "");
KSYMTAB_FUNC(ntb_msi_clear_mws, "", "");
KSYMTAB_FUNC(ntbm_msi_request_threaded_irq, "", "");
KSYMTAB_FUNC(ntbm_msi_free_irq, "", "");
KSYMTAB_FUNC(ntb_msi_peer_trigger, "", "");
KSYMTAB_FUNC(ntb_msi_peer_addr, "", "");

SYMBOL_CRC(__ntb_register_client, 0x90febddc, "");
SYMBOL_CRC(ntb_unregister_client, 0xe3be78cf, "");
SYMBOL_CRC(ntb_register_device, 0xf3f3f829, "");
SYMBOL_CRC(ntb_unregister_device, 0xda2f090d, "");
SYMBOL_CRC(ntb_set_ctx, 0x0784f1d9, "");
SYMBOL_CRC(ntb_clear_ctx, 0x5bcdb716, "");
SYMBOL_CRC(ntb_link_event, 0xaa179b15, "");
SYMBOL_CRC(ntb_db_event, 0xd633e4a4, "");
SYMBOL_CRC(ntb_msg_event, 0xcff0a8fd, "");
SYMBOL_CRC(ntb_default_port_number, 0xdb23ec09, "");
SYMBOL_CRC(ntb_default_peer_port_count, 0xf42984d9, "");
SYMBOL_CRC(ntb_default_peer_port_number, 0xf38a56e1, "");
SYMBOL_CRC(ntb_default_peer_port_idx, 0x2703e861, "");
SYMBOL_CRC(ntb_msi_init, 0x4456f7d6, "");
SYMBOL_CRC(ntb_msi_setup_mws, 0xa6d14b43, "");
SYMBOL_CRC(ntb_msi_clear_mws, 0x68d80015, "");
SYMBOL_CRC(ntbm_msi_request_threaded_irq, 0x52e14b6d, "");
SYMBOL_CRC(ntbm_msi_free_irq, 0xa7def112, "");
SYMBOL_CRC(ntb_msi_peer_trigger, 0xd70ff43a, "");
SYMBOL_CRC(ntb_msi_peer_addr, 0x7b5034e3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f7e6040, "irq_has_action" },
	{ 0xbec9d1d3, "devm_request_threaded_irq" },
	{ 0xe8845e6f, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x9d60855d, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0x70bc9413, "devm_iounmap" },
	{ 0x7cae3e10, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf59a54cf, "rt_mutex_base_init" },
	{ 0x99595a0, "devres_destroy" },
	{ 0x8f2b866b, "msi_unlock_descs" },
	{ 0xb067eb99, "devm_ioremap" },
	{ 0x78f51ba8, "get_device" },
	{ 0xb5ec2476, "msi_lock_descs" },
	{ 0xe66f4e17, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x57f51edc, "put_device" },
	{ 0xe6ca7476, "devm_free_irq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4b38b512, "bus_unregister" },
	{ 0xf400ad88, "devm_kfree" },
	{ 0xe94e65f7, "irq_get_irq_data" },
	{ 0x8b77a780, "__devres_alloc_node" },
	{ 0x583cce71, "driver_unregister" },
	{ 0xe1b24417, "device_register" },
	{ 0xc50d8f8a, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe8fab077, "rt_spin_unlock" },
	{ 0xea3f4f22, "rt_spin_lock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2ebc198a, "msi_domain_first_desc" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x40a56a5d, "msi_next_desc" },
	{ 0x3eb60e1a, "driver_register" },
	{ 0x450eb15d, "bus_register" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "026457906ECEF839D1F4A06");
MODULE_INFO(rhelversion, "9.6");
