#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvme_auth_get_seqnum, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_dhgroup_name, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_dhgroup_kpp, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_dhgroup_id, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_hmac_name, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_digest_name, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_hmac_id, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_hmac_hash_len, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_key_struct_size, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_extract_key, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_alloc_key, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free_key, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_transform_key, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_augmented_challenge, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_gen_privkey, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_gen_pubkey, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_gen_shared_secret, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_generate_key, "_gpl", "");

SYMBOL_CRC(nvme_auth_get_seqnum, 0x51873876, "_gpl");
SYMBOL_CRC(nvme_auth_dhgroup_name, 0xc9bb48ac, "_gpl");
SYMBOL_CRC(nvme_auth_dhgroup_kpp, 0xf0ccf2d4, "_gpl");
SYMBOL_CRC(nvme_auth_dhgroup_id, 0x780989d1, "_gpl");
SYMBOL_CRC(nvme_auth_hmac_name, 0x674c5bc1, "_gpl");
SYMBOL_CRC(nvme_auth_digest_name, 0x6e91ee1b, "_gpl");
SYMBOL_CRC(nvme_auth_hmac_id, 0xcb39603c, "_gpl");
SYMBOL_CRC(nvme_auth_hmac_hash_len, 0x399d9ac8, "_gpl");
SYMBOL_CRC(nvme_auth_key_struct_size, 0xc05e3271, "_gpl");
SYMBOL_CRC(nvme_auth_extract_key, 0xea56ebe5, "_gpl");
SYMBOL_CRC(nvme_auth_alloc_key, 0x557ec586, "_gpl");
SYMBOL_CRC(nvme_auth_free_key, 0x8fe50355, "_gpl");
SYMBOL_CRC(nvme_auth_transform_key, 0xf9edc603, "_gpl");
SYMBOL_CRC(nvme_auth_augmented_challenge, 0x22e5d1de, "_gpl");
SYMBOL_CRC(nvme_auth_gen_privkey, 0x2ae5c273, "_gpl");
SYMBOL_CRC(nvme_auth_gen_pubkey, 0xb4a00a92, "_gpl");
SYMBOL_CRC(nvme_auth_gen_shared_secret, 0x5ce91555, "_gpl");
SYMBOL_CRC(nvme_auth_generate_key, 0x28da7fd0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5e41e0d2, "crypto_shash_tfm_digest" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x84b944c0, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x9f984513, "strrchr" },
	{ 0xcea8aa09, "crypto_req_done" },
	{ 0xb1496976, "crypto_shash_setkey" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x3f5a2d98, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xe6df87a5, "crypto_shash_update" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe01a902d, "crypto_shash_final" },
	{ 0x64f1f76f, "mutex_unlock" },
	{ 0x72ae1839, "base64_decode" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x754d539c, "strlen" },
	{ 0xa234ce38, "crypto_alloc_shash" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "566988348266DFA2E4F756B");
MODULE_INFO(rhelversion, "9.6");
