#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_FUNC(nvme_get_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_admin_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_fabrics_opcode_str, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0xc4c9d660, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0x08310bc9, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0xd688ba78, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0xb4d748c4, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x98652766, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0x09224ddb, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0x29a7be5c, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x4b2ae165, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0xc8ca8ad7, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0x0a43d700, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x9fdf20ef, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0x9334b994, "_gpl");
SYMBOL_CRC(nvme_init_request, 0x901145d9, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0xfc03c44d, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0x969032ac, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0xda6a5e9d, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0x941ab7b6, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x72b43f20, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0x972525b4, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0xc7042f07, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0xc6e48352, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0xc330e830, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0xfa7e653a, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x3916da67, "_gpl");
SYMBOL_CRC(nvme_set_features, 0x2e72d95a, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x2a02ff3b, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x715ee69c, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0x4c734e58, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0x3ac6a757, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0x102f1063, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0xf0475a5e, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0xbb09e73c, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0x55a08f48, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x70a60c5c, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0x537c883c, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0xb93511f0, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0x0bda63f3, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0xb7381e79, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0x720ceeb6, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0x89dbfe9d, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0xdae02c5b, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0x97209751, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0xed2f5095, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x3ac8aed1, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0x74cca955, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0x953ce900, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x3197403f, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0xa65b91c6, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0x35660297, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0x01cc2ded, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0xa0e08bbe, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0x009ab9b8, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0x50d38f00, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0xfdc5d8ea, "_gpl");
SYMBOL_CRC(nvme_get_opcode_str, 0xedb8efd2, "_gpl");
SYMBOL_CRC(nvme_get_admin_opcode_str, 0xe1edd5b5, "_gpl");
SYMBOL_CRC(nvme_get_fabrics_opcode_str, 0xa7b9633b, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x314c84d8, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0x258dea87, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x4d75c4f3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nvme_sq, 0x3bf2393a, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0xa462fbd8, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0xe9f52b88, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0x01629c7e, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0x18976c06, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0xe17b1b4e, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0x85c06b64, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1128ef54, "set_capacity_and_notify" },
	{ 0x21e4a82d, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x4615a6d2, "set_disk_ro" },
	{ 0xf00f76a, "__blk_alloc_disk" },
	{ 0xb033f548, "ida_alloc_range" },
	{ 0x235c79e4, "blk_integrity_register" },
	{ 0xa96adc94, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xa54991d, "ida_destroy" },
	{ 0x33f7c592, "device_remove_file_self" },
	{ 0x485f65dd, "param_ops_uint" },
	{ 0xcf932938, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb4c9fc2b, "blk_queue_logical_block_size" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9d60855d, "dev_set_name" },
	{ 0xfbb341bf, "ext_pi_type3_crc64" },
	{ 0x630de7a, "bio_split_to_limits" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0xee9f3d35, "disk_update_readahead" },
	{ 0x774cdf87, "dev_pm_qos_expose_latency_tolerance" },
	{ 0xc4905c91, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x49defb57, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb4302536, "blk_mq_tagset_wait_completed_request" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xf1e4e789, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xf59a54cf, "rt_mutex_base_init" },
	{ 0x56c05c72, "finish_wait" },
	{ 0xed87c081, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0x7bb8459, "device_initialize" },
	{ 0x52dd7db6, "blk_mq_unquiesce_queue" },
	{ 0x2f1a719e, "t10_pi_type1_crc" },
	{ 0xf4452f7b, "blk_queue_dma_alignment" },
	{ 0x10329da9, "blk_mq_quiesce_queue" },
	{ 0xbf8d90c8, "trace_event_raw_init" },
	{ 0xb99646c2, "ext_pi_type1_crc64" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5ce91555, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0xfacada2d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x2b6838c6, "blk_queue_write_cache" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbbd490fd, "bpf_trace_run2" },
	{ 0x68cf8c0b, "prepare_to_wait_event" },
	{ 0x594d1d10, "disk_uevent" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xa0e1fa61, "__wake_up" },
	{ 0x95724e1c, "event_triggers_call" },
	{ 0xa7703660, "synchronize_srcu" },
	{ 0x88ee7c66, "param_ops_byte" },
	{ 0x18342712, "kmem_cache_create" },
	{ 0x78f51ba8, "get_device" },
	{ 0x1303e876, "blk_mq_end_request" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xd817a362, "__blk_mq_alloc_disk" },
	{ 0x93be1d99, "__dynamic_dev_dbg" },
	{ 0xdac73d3, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x67a0370c, "blk_integrity_unregister" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf1ab62dc, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xfef0d590, "blk_mq_alloc_tag_set" },
	{ 0xee5457f1, "blk_rq_is_poll" },
	{ 0xa70aaa8c, "trace_event_buffer_commit" },
	{ 0x84b944c0, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0x44b8eecb, "mempool_create" },
	{ 0x41232014, "put_disk" },
	{ 0xc4e3c9a1, "crypto_alloc_kpp" },
	{ 0x2ab83404, "cdev_device_add" },
	{ 0xe8e72f6e, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xd8847b92, "blk_queue_physical_block_size" },
	{ 0x21ee3e1c, "blk_execute_rq" },
	{ 0x57f51edc, "put_device" },
	{ 0x4a6267c7, "trace_event_ignore_this_pid" },
	{ 0x13d33b1e, "blk_mq_unquiesce_tagset" },
	{ 0x69544fb9, "blk_queue_max_zone_append_sectors" },
	{ 0xa916b694, "strnlen" },
	{ 0xaec227cc, "kmalloc_node_trace" },
	{ 0x8a823d25, "blk_queue_flag_set" },
	{ 0xd0b28a99, "mempool_alloc" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x68fa7105, "blk_mq_free_request" },
	{ 0xf43dc8fd, "disk_set_zoned" },
	{ 0x618911fc, "numa_node" },
	{ 0xc44b67f4, "__free_pages" },
	{ 0xb5d8fdcd, "_dev_info" },
	{ 0x8525c749, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0xac2864c6, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xac61dffb, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb4a00a92, "nvme_auth_gen_pubkey" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x2e8411a, "compat_ptr_ioctl" },
	{ 0x62d2d095, "t10_pi_type3_crc" },
	{ 0x6322b2d2, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0x7e839517, "blk_mq_quiesce_tagset" },
	{ 0x7127d60c, "key_put" },
	{ 0x3223de50, "kobject_uevent_env" },
	{ 0x5e360d34, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x3752385, "init_srcu_struct" },
	{ 0x76a5676a, "perf_trace_run_bpf_submit" },
	{ 0xd7620018, "__SCK__tp_func_block_bio_remap" },
	{ 0xb4757401, "_dev_err" },
	{ 0xfde65b58, "blk_revalidate_disk_zones" },
	{ 0xb1496976, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9eeb4b81, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x5857e740, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x24f998d0, "sysfs_remove_link" },
	{ 0xe9381282, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x5d872240, "__srcu_read_lock" },
	{ 0xd7b57eec, "set_capacity" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xc99ff549, "submit_bio_noacct" },
	{ 0x833d543f, "xa_load" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3f5a2d98, "mutex_lock" },
	{ 0x4a917a32, "blk_sync_queue" },
	{ 0xe0036e98, "bdev_start_io_acct" },
	{ 0xf0325f84, "bio_integrity_add_page" },
	{ 0x5a921311, "strncmp" },
	{ 0xd5ff1d97, "__SCK__tp_func_block_bio_complete" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x11bcc038, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x97be4b2e, "blk_mq_alloc_request_hctx" },
	{ 0x5b6b7eee, "__io_uring_cmd_do_in_task" },
	{ 0xe7d23401, "blk_mq_alloc_request" },
	{ 0xaf780e2d, "ida_free" },
	{ 0xadcf191a, "blk_stack_limits" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xe6df87a5, "crypto_shash_update" },
	{ 0x52b95b6b, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x4eadd826, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x769f8829, "del_gendisk" },
	{ 0xb2cfaa59, "blk_queue_max_discard_sectors" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x49a70b39, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0x660ba85d, "bio_integrity_alloc" },
	{ 0x36c0fe5c, "blk_queue_max_discard_segments" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x33815f72, "blk_set_stacking_limits" },
	{ 0x89d00b03, "blk_mq_freeze_queue_wait_timeout" },
	{ 0x505112a6, "blk_put_queue" },
	{ 0x95a86a2d, "bpf_trace_run1" },
	{ 0x3a9040f0, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xfb578fc5, "memset" },
	{ 0xc50d8f8a, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xc58423a, "blk_mq_wait_quiesce_done" },
	{ 0x7e93cd3b, "blk_queue_max_segments" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xebdfa819, "__init_waitqueue_head" },
	{ 0x38bbf173, "blk_mq_init_queue" },
	{ 0xe8fab077, "rt_spin_unlock" },
	{ 0xc386a8a0, "io_uring_cmd_done" },
	{ 0xf162ad91, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xea3f4f22, "rt_spin_lock" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28da7fd0, "nvme_auth_generate_key" },
	{ 0x1d4dca83, "xa_erase" },
	{ 0xf6d8494a, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8de7275b, "blk_queue_virt_boundary" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x89d2e9b4, "blk_mq_complete_request" },
	{ 0x13da3921, "blk_queue_chunk_sectors" },
	{ 0xbee28c0b, "blk_queue_max_write_zeroes_sectors" },
	{ 0x16dc0af7, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x73085f9f, "trace_event_buffer_reserve" },
	{ 0xe01a902d, "crypto_shash_final" },
	{ 0x64f1f76f, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x3c2d83fd, "param_ops_bool" },
	{ 0x554b2a5, "blk_mq_destroy_queue" },
	{ 0x4f4ae627, "xa_destroy" },
	{ 0x78390eaf, "blk_freeze_queue_start" },
	{ 0xaea8a422, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x5ecf35a1, "xa_find" },
	{ 0x3592afb2, "alloc_pages" },
	{ 0x44443ac2, "mempool_destroy" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x31e732ee, "__tracepoint_block_bio_complete" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x1bc585cf, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x6b804cc6, "blk_queue_io_min" },
	{ 0xfa8c7374, "__srcu_read_unlock" },
	{ 0xb9d72c46, "__tracepoint_block_bio_remap" },
	{ 0x4ba479de, "blk_mq_unfreeze_queue" },
	{ 0x1d48263b, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0xa921bda0, "blkdev_compat_ptr_ioctl" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6be7e6f1, "blk_rq_map_user_iov" },
	{ 0x63aa6a8e, "xa_find_after" },
	{ 0x88b4d8d8, "kmalloc_trace" },
	{ 0x3a2da0a6, "blk_queue_max_hw_sectors" },
	{ 0xd82e2de0, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0x414e5b57, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xa234ce38, "crypto_alloc_shash" },
	{ 0x542e2d91, "blk_mq_freeze_queue_wait" },
	{ 0x2ae5c273, "nvme_auth_gen_privkey" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0xd23256ac, "blk_queue_io_opt" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x7f23ec8a, "blk_mq_requeue_request" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x689db6a9, "__mutex_rt_init" },
	{ 0xb2d76f60, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x70cae124, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3ff6e099, "bdev_end_io_acct" },
	{ 0xbe5931b8, "kmalloc_caches" },
	{ 0x4e144a54, "__SCT__tp_func_block_bio_complete" },
	{ 0x88844e34, "blk_steal_bios" },
	{ 0xdf583148, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "t10-pi,nvme-auth");


MODULE_INFO(srcversion, "3C95F48FB934A466BE2D000");
MODULE_INFO(rhelversion, "9.6");
