#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvmf_get_address, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read32, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read64, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_write32, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_io_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_should_reconnect, "_gpl", "");
KSYMTAB_FUNC(nvmf_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_set_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_map_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_ip_options_match, "_gpl", "");
KSYMTAB_FUNC(nvmf_free_options, "_gpl", "");

SYMBOL_CRC(nvmf_get_address, 0xbc5535f3, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0xcff6a378, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0xb08593df, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0x898d439d, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0xc8deda45, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0xcd17e834, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0xc9ceed0d, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0xf4e68d5c, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0xbe2dc15a, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0x371bfd03, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0x348ac23e, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0x284b4244, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0x4d03b4a9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa96adc94, "try_module_get" },
	{ 0xb9448589, "misc_deregister" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x57f51edc, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb5d8fdcd, "_dev_info" },
	{ 0xac2864c6, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7127d60c, "key_put" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xbc8ed355, "down_write" },
	{ 0xb4757401, "_dev_err" },
	{ 0xfee44a3a, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0x10af6baf, "device_create" },
	{ 0x3f5a2d98, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x52b95b6b, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x972525b4, "__nvme_submit_sync_cmd" },
	{ 0xc50d8f8a, "_dev_warn" },
	{ 0xb34a0414, "misc_register" },
	{ 0x1629c7e, "nvme_auth_wait" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x2542adcc, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x46a0541c, "seq_read" },
	{ 0x85df9b6c, "strsep" },
	{ 0x64f1f76f, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x44e9a829, "match_token" },
	{ 0xb45f1b5d, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x79580a46, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xac5f1630, "seq_puts" },
	{ 0x9a911f6f, "single_release" },
	{ 0x88b4d8d8, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x2a2b82ce, "single_open" },
	{ 0xfd43aee5, "up_read" },
	{ 0xb2d76f60, "class_register" },
	{ 0xbe5931b8, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe9f52b88, "nvme_auth_negotiate" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "nvme-core");


MODULE_INFO(srcversion, "30C9F4E06CD4A7F37837DE5");
MODULE_INFO(rhelversion, "9.6");
