#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_alloc_task, "_gpl", "");
KSYMTAB_FUNC(sas_alloc_slow_task, "_gpl", "");
KSYMTAB_FUNC(sas_free_task, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_slave_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_alloc_task, 0xe45568ad, "_gpl");
SYMBOL_CRC(sas_alloc_slow_task, 0xed220a19, "_gpl");
SYMBOL_CRC(sas_free_task, 0x302035d1, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0x6d71af97, "");
SYMBOL_CRC(sas_resume_ha, 0x53e885a7, "");
SYMBOL_CRC(sas_suspend_ha, 0xb7f6a356, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0x150e8adf, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0xf38b3225, "_gpl");
SYMBOL_CRC(sas_register_ha, 0x7bf45f0a, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0x42ea70c3, "_gpl");
SYMBOL_CRC(sas_drain_work, 0xb5a20739, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0xd1f992c5, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0xa0bbcd5d, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0xa07057a0, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0x2fef37e2, "_gpl");
SYMBOL_CRC(sas_request_addr, 0x37a61784, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x3383762d, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0xc66a65f2, "_gpl");
SYMBOL_CRC(sas_slave_configure, 0xf2d05e99, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0x5c40cddd, "_gpl");
SYMBOL_CRC(sas_bios_param, 0x753e1619, "_gpl");
SYMBOL_CRC(sas_task_abort, 0x08194b62, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0xaddce58f, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0xb3f96761, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x030fa16d, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0x8a2cbedb, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0xd6e75ed0, "_gpl");
SYMBOL_CRC(sas_ioctl, 0x373d5376, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x6ad10969, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0x224e742f, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x294bccdf, "ata_qc_complete" },
	{ 0xf8348456, "ata_sas_scsi_ioctl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xa70756cb, "sas_rphy_remove" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xa6d112db, "ata_sas_port_destroy" },
	{ 0x5ea54e10, "bsg_job_done" },
	{ 0x158ed174, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x838920b7, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x994f68f4, "ata_sas_tport_add" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf59a54cf, "rt_mutex_base_init" },
	{ 0x56c05c72, "finish_wait" },
	{ 0xab65821c, "scsi_schedule_eh" },
	{ 0xbf4659b6, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xfc8d7148, "ata_host_init" },
	{ 0x66dc0611, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xe25d6d92, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xcdda60eb, "sas_port_get_phy" },
	{ 0xc88521e4, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xfacada2d, "pcpu_hot" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x68cf8c0b, "prepare_to_wait_event" },
	{ 0xa0e1fa61, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x18342712, "kmem_cache_create" },
	{ 0x78f51ba8, "get_device" },
	{ 0xb7f8ae1f, "ata_wait_after_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xe03da550, "sas_phy_alloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x57f51edc, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x7b6b5158, "ata_sas_tport_delete" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0x5d7a2152, "kmem_cache_alloc" },
	{ 0xb5d8fdcd, "_dev_info" },
	{ 0x87e3337a, "sas_phy_free" },
	{ 0xb4b1fb1a, "scsi_eh_finish_cmd" },
	{ 0x7c60ff51, "ata_noop_qc_prep" },
	{ 0x41a517f9, "ata_sas_port_alloc" },
	{ 0x568fd696, "ata_port_schedule_eh" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc2a113a, "add_timer" },
	{ 0x650e7b14, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3f5a2d98, "mutex_lock" },
	{ 0xa9b866e5, "sas_port_mark_backlink" },
	{ 0x9f7f3955, "kmem_cache_free" },
	{ 0xf91bf17a, "ata_std_qc_defer" },
	{ 0x92afcdab, "ata_sas_port_start" },
	{ 0x3f315b8f, "ata_scsi_port_error_handler" },
	{ 0x8fc78a0c, "ata_change_queue_depth" },
	{ 0xa86b29a2, "ata_std_error_handler" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xc72b4c71, "sas_end_device_alloc" },
	{ 0x7662ecfc, "mutex_lock_interruptible" },
	{ 0x59d46cef, "sas_read_port_mode_page" },
	{ 0x2914f68, "sas_expander_alloc" },
	{ 0xcb35ed06, "ata_sas_port_stop" },
	{ 0xc50d8f8a, "_dev_warn" },
	{ 0xf8be716b, "sas_rphy_delete" },
	{ 0x623a4206, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xe9349ccb, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xebdfa819, "__init_waitqueue_head" },
	{ 0xe8fab077, "rt_spin_unlock" },
	{ 0xaffa2cef, "scsi_host_busy" },
	{ 0xd230853c, "ata_sas_async_probe" },
	{ 0xea3f4f22, "rt_spin_lock" },
	{ 0x40e455de, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xec619816, "ata_sas_port_init" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc6a60a5b, "ata_sas_port_suspend" },
	{ 0x351f9192, "sas_rphy_add" },
	{ 0x64540d47, "sas_port_delete_phy" },
	{ 0x64f1f76f, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x26ea71e0, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x55a7ea01, "sas_port_add_phy" },
	{ 0xf7f7f3, "ata_scsi_cmd_error_handler" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xda680533, "ata_sas_slave_configure" },
	{ 0xbbd58272, "scsi_unblock_requests" },
	{ 0xa93ef447, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x382b44b1, "ata_host_put" },
	{ 0xfff4fbdf, "sas_port_free" },
	{ 0x88b4d8d8, "kmalloc_trace" },
	{ 0xd7ffe1c7, "ata_std_sched_eh" },
	{ 0x89811ebf, "scsi_block_requests" },
	{ 0x1cee77e4, "blk_abort_request" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x689db6a9, "__mutex_rt_init" },
	{ 0x61e43335, "sas_remove_children" },
	{ 0x397e593c, "scsi_change_queue_depth" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7f72ffdc, "ata_port_wait_eh" },
	{ 0xbe5931b8, "kmalloc_caches" },
	{ 0xdf583148, "kmem_cache_destroy" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "libata,scsi_transport_sas");


MODULE_INFO(srcversion, "C24B044A72CA30EF7DF1581");
MODULE_INFO(rhelversion, "9.6");
