#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb6aee979, "usb_kill_urb" },
	{ 0xb319549d, "usb_deregister" },
	{ 0x576458bf, "blk_queue_update_dma_alignment" },
	{ 0x3a2da0a6, "blk_queue_max_hw_sectors" },
	{ 0x6063327c, "usb_alloc_urb" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xeaab0907, "usb_stor_adjust_quirks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc50d8f8a, "_dev_warn" },
	{ 0xbe5931b8, "kmalloc_caches" },
	{ 0x88b4d8d8, "kmalloc_trace" },
	{ 0x1e56124c, "usb_anchor_urb" },
	{ 0xcb4cc696, "usb_submit_urb" },
	{ 0x26d53aad, "usb_unanchor_urb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x549b807b, "scsi_done" },
	{ 0x1bc3edc2, "usb_stor_sense_invalidCDB" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xa07fad98, "usb_kill_anchored_urbs" },
	{ 0xae284b6b, "scsi_remove_host" },
	{ 0xd5266a8a, "scsi_host_put" },
	{ 0x8e8a247c, "usb_lock_device_for_reset" },
	{ 0x64f1f76f, "mutex_unlock" },
	{ 0xc5018dba, "scsi_host_alloc" },
	{ 0xebdfa819, "__init_waitqueue_head" },
	{ 0xf59a54cf, "rt_mutex_base_init" },
	{ 0x3cac1f6b, "scsi_add_host_with_dma" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6f320389, "usb_unlink_urb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x5db3f102, "usb_register_driver" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x66d70958, "usb_free_streams" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf7370f56, "system_state" },
	{ 0x9b786f3b, "usb_set_interface" },
	{ 0xfad4cf19, "usb_reset_device" },
	{ 0x21929e60, "usb_alloc_streams" },
	{ 0xea3f4f22, "rt_spin_lock" },
	{ 0x966f57a7, "scsi_report_bus_reset" },
	{ 0xe8fab077, "rt_spin_unlock" },
	{ 0xbbd58272, "scsi_unblock_requests" },
	{ 0x8c2fe06c, "dev_printk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x773bdfd8, "usb_wait_anchor_empty_timeout" },
	{ 0x89811ebf, "scsi_block_requests" },
	{ 0x23d2ebe5, "scmd_printk" },
	{ 0x1bf68089, "scsi_print_command" },
	{ 0x7aced045, "usb_free_urb" },
	{ 0x378b758a, "scsi_scan_host" },
	{ 0x93be1d99, "__dynamic_dev_dbg" },
	{ 0xb4757401, "_dev_err" },
	{ 0x69acdf38, "memcpy" },
	{ 0x25f01736, "sdev_prefix_printk" },
	{ 0x623a4206, "scsi_is_host_device" },
	{ 0x397e593c, "scsi_change_queue_depth" },
	{ 0xf77eb943, "usb_get_urb" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "usb-storage");

MODULE_ALIAS("usb:v054Cp087Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp105Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp1061d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v090Cp2000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0984p0301d0128dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1932d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BC2p331Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13FDp3940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0539d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0567d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0578d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0583d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp3899d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2537p1068d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v357Dp7788d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p1012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip50in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip62in*");

MODULE_INFO(srcversion, "652851C0078A541BE648EA2");
MODULE_INFO(rhelversion, "9.6");
