#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_range, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_search_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0x26e8adcc, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0x4802af85, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0xb9bf1874, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0xc3e965ae, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0x8ed3c05a, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0xd73c5e40, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0x1ddd3f1b, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0x60ac3e8c, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x95f1fafb, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0x8c172c8c, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0x3041a3a6, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0x7858763d, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0xeac4bc91, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0x6feeb3b8, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0xd9610660, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0xd7969b15, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0x6b8cf93a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0xf958dc32, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_read, 0x63826d35, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0x52f757cb, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0xda217ce3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0xf7d32ce7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_write, 0xadeca730, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0x6b38455a, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0x24458cab, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x8e2c64ac, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_commit_ds, 0x2b16e909, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0x117d5af0, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0x3f883767, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0xea88a749, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, 0x6a5eb444, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0x8251aafd, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0x6dff3cc7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x30175428, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, 0xdeb5edce, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x76881934, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0xb50e3c58, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0xbbda570b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x96c4643f, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0x5a31203d, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0x1083d420, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x728c07fa, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_done, 0xc361c3c5, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0xee811833, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0x8f8b208b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0xeba9f207, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_done, 0x930a94fd, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0xda3205b6, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0xa38ebf60, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x6874fb63, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, 0x6a925097, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0x385c1f80, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0x2340feb5, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0xce577f25, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, 0x18e75751, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x2a059fcc, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0x40873d6b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x7e3edcc4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_read_error, 0x7e42bd3f, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0xe320e7a1, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0x9b70e928, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0xedaf54d0, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_write_error, 0xf32fa2b7, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0xabdd40be, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0x59ee7e4f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x8cd18ea7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_commit_error, 0xcc21ce5c, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0x95aea449, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0x1a640197, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0xa973f6f6, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0xc497abdc, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0x35f47e54, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0xb2203112, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0x9ab288e8, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x54c82905, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_range, 0xae2d7800, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0x7b842632, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0x6a152bb3, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0xcd94686e, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0xce7f0dd9, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0x608ab03a, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0x46607d78, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0xacb1076c, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0x8b161d27, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0xb1b1ff9f, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0xd88728ed, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0x47ec6b01, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0x0a947e09, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0x49c8ae27, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0x20257262, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0x5ad975d1, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0x8be120b1, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0xe86dbbd2, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0xab5c3b9c, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0x7d5407d1, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0x0c4e1eb2, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0x14258271, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0x65e00ad3, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0xb43fa834, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0x00d989ce, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0x94a9b77f, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0x34661abf, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0x1a315f3d, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0x3793b217, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0xd6d08516, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0xad965b6d, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0x4f1fa411, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0x98fe8dbf, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0x0fc3fae9, "_gpl");
SYMBOL_CRC(pnfs_generic_search_commit_reqs, 0x22014a43, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0x5ab38442, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0x5c21bd0c, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0x2c6fff3c, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0x49e0821c, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0xe13abf5d, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0xf1100d1e, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0xcc005de5, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0xd9cc7960, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xee3b312e, "rpc_put_task" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x6fdb044d, "generic_copy_file_range" },
	{ 0x45717fb7, "svc_generic_rpcbind_set" },
	{ 0x3de5ca9d, "nfs_clone_server" },
	{ 0x4a55ccff, "nfs_access_add_cache" },
	{ 0xe914e41e, "strcpy" },
	{ 0x695e761a, "filemap_fdatawrite" },
	{ 0xed151d56, "nfs_show_stats" },
	{ 0xb033f548, "ida_alloc_range" },
	{ 0x272e8ea1, "nfs_server_remove_lists" },
	{ 0xf3d3d02f, "nfs42_ssc_unregister" },
	{ 0xce7d9910, "generic_listxattr" },
	{ 0xa96adc94, "try_module_get" },
	{ 0x4ea39474, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x1b855d2c, "nfs_writeback_update_inode" },
	{ 0x637574e9, "clear_inode" },
	{ 0x8b1a6bd, "inode_to_bdi" },
	{ 0x195319e4, "bpf_trace_run4" },
	{ 0x984c496b, "user_destroy" },
	{ 0x39179186, "idr_find" },
	{ 0x485f65dd, "param_ops_uint" },
	{ 0xaa407a21, "user_revoke" },
	{ 0x56e14219, "d_exact_alias" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6ef49f59, "nfs_alloc_client" },
	{ 0xb47cb59, "register_sysctl" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0xcd3513a6, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xeb43e18d, "rpc_clnt_probe_trunked_xprts" },
	{ 0x7f90808c, "nfs_pageio_reset_read_mds" },
	{ 0x2465897e, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x61429063, "rpc_shutdown_client" },
	{ 0xd9cee0ac, "svc_bind" },
	{ 0x2a83aba7, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0xbf7e0039, "nfs_free_inode" },
	{ 0xc374ece8, "nfs_access_zap_cache" },
	{ 0x80ba8ab2, "nfs_sb_deactive" },
	{ 0x345d7881, "nfs_wb_all" },
	{ 0x81e168cb, "generic_file_splice_read" },
	{ 0x52510daf, "__break_lease" },
	{ 0x4678a1a5, "nfs_pageio_init_write" },
	{ 0x917753cc, "svc_recv" },
	{ 0x291027e7, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x473196e2, "xdr_inline_decode" },
	{ 0x9f18ff66, "nfs_pageio_init_read" },
	{ 0x49defb57, "trace_raw_output_prep" },
	{ 0xfcda8c1a, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xbf582293, "nfs_init_commit" },
	{ 0x68309ef4, "nfs_commitdata_release" },
	{ 0x519545ad, "bpf_trace_run6" },
	{ 0xf090de6b, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0x65a7217, "rpc_net_ns" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf59a54cf, "rt_mutex_base_init" },
	{ 0xfbeca5fd, "nfs_mknod" },
	{ 0x4e86229, "nfs_inode_attach_open_context" },
	{ 0x56c05c72, "finish_wait" },
	{ 0x3d1a23be, "nfs4_label_alloc" },
	{ 0xb07748e3, "rpc_localaddr" },
	{ 0x49ca2fe3, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0xed87c081, "trace_event_printf" },
	{ 0x4fb7ac3f, "nfs_access_get_cached" },
	{ 0x96848186, "scnprintf" },
	{ 0xde594840, "idr_replace" },
	{ 0xc8e05dd3, "nfs_lock" },
	{ 0xb860f8c9, "unregister_key_type" },
	{ 0x6b7d5fa1, "nfs_client_init_is_complete" },
	{ 0xe798ecf, "register_shrinker" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xe65140e6, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x2be77379, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0xbf8d90c8, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x33733b67, "ihold" },
	{ 0x6cd7c003, "truncate_pagecache_range" },
	{ 0xf3a7ba83, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x2eae4c93, "invalidate_inode_pages2_range" },
	{ 0x2385661c, "nfs_post_op_update_inode" },
	{ 0x27a3902f, "svc_exit_thread" },
	{ 0xb8c75766, "iput" },
	{ 0x1a607c75, "xdr_set_pagelen" },
	{ 0xfacada2d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xcf6bbd9a, "nfs_pgio_header_free" },
	{ 0x6a41664c, "nfs_request_add_commit_list_locked" },
	{ 0x75799466, "add_wait_queue" },
	{ 0xdbf2c8d6, "logfc" },
	{ 0x800a0fc2, "nfs_pgio_header_alloc" },
	{ 0xd0b1ca2d, "__put_devmap_managed_page_refs" },
	{ 0x2357ef02, "iter_file_splice_write" },
	{ 0xa2f06ada, "rpc_pton" },
	{ 0x1697bf1, "nfs_sb_active" },
	{ 0xb555f741, "mod_node_page_state" },
	{ 0x1f2a9970, "rpc_ntop" },
	{ 0x6f3e231c, "rpc_wake_up_queued_task" },
	{ 0xbbd490fd, "bpf_trace_run2" },
	{ 0x68cf8c0b, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x29941b1, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x8b48a42a, "rpc_restart_call_prepare" },
	{ 0x95724e1c, "event_triggers_call" },
	{ 0xa0e1fa61, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x4993e6bd, "_copy_from_pages" },
	{ 0x689b3d24, "__module_get" },
	{ 0x18342712, "kmem_cache_create" },
	{ 0x32291e8, "rpc_task_release_transport" },
	{ 0x10f868a0, "xdr_page_pos" },
	{ 0xb5aae7c5, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xafff1f5, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x9bc88298, "key_instantiate_and_link" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0x49fc9a36, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xb9c8a433, "register_key_type" },
	{ 0x104a91c7, "rpc_sleep_on" },
	{ 0xc16ceb53, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x517d471e, "nfs_pageio_resend" },
	{ 0x24a3dcc0, "keyring_alloc" },
	{ 0x857abf7a, "vfs_setpos" },
	{ 0xbe6b505b, "nfs_create" },
	{ 0x80e1785f, "complete_request_key" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7ac22388, "__put_cred" },
	{ 0x879dcb4, "swapcache_mapping" },
	{ 0xb002b3fc, "nfs_statfs" },
	{ 0x77598e4d, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x6415998a, "rpc_max_bc_payload" },
	{ 0xa70aaa8c, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0x68f6702f, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6a61b06c, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xecc31bf9, "nfs_mkdir" },
	{ 0xac6fe33, "nfs_revalidate_inode" },
	{ 0xde43ee4f, "inode_newsize_ok" },
	{ 0x41f72ac4, "nfs_file_mmap" },
	{ 0xa828d086, "nfs_get_lock_context" },
	{ 0x7970e0a4, "d_drop" },
	{ 0x92997ed8, "_printk" },
	{ 0x14237794, "nfs_set_cache_invalid" },
	{ 0xefefc587, "rpc_release_client" },
	{ 0xa8de1095, "rpc_clnt_manage_trunked_xprts" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x5b2efbd7, "rt_spin_trylock" },
	{ 0x2269c66b, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x70ff7ad2, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xfb7b682d, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x4a6267c7, "trace_event_ignore_this_pid" },
	{ 0x592a6655, "nfs_generic_pgio" },
	{ 0x88fa1353, "make_kuid" },
	{ 0xb58b97d4, "truncate_inode_pages_final" },
	{ 0xbc6e7419, "generic_setlease" },
	{ 0x66744387, "xprt_destroy_backchannel" },
	{ 0xd2caf296, "rpc_switch_client_transport" },
	{ 0xa916b694, "strnlen" },
	{ 0x7fce411a, "nfs_scan_commit_list" },
	{ 0xf784cc59, "xdr_stream_decode_string_dup" },
	{ 0x4fb61bf5, "nfs_commit_inode" },
	{ 0xa7b45103, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0x6701e854, "unregister_shrinker" },
	{ 0x5266521c, "rpc_destroy_pipe_data" },
	{ 0x44486d0c, "nfs_get_client" },
	{ 0xc44b67f4, "__free_pages" },
	{ 0x5d7a2152, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xa4a41b48, "nfs_atomic_open" },
	{ 0x8324c8f, "rpc_pipe_generic_upcall" },
	{ 0x85c396a9, "nfs_file_fsync" },
	{ 0xac2864c6, "module_put" },
	{ 0x4b6c07fa, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xa3952192, "mntput" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x649d234f, "nfs_put_lock_context" },
	{ 0xa5fe1743, "nfs_rename" },
	{ 0xf317f734, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x14002148, "nfs_sysfs_link_rpc_client" },
	{ 0xb03a10a4, "nfs_put_client" },
	{ 0xe472409f, "nfs_show_options" },
	{ 0x9b15f33e, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x7127d60c, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xfb8ae48f, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xcf78b5f9, "get_nfs_open_context" },
	{ 0x76a5676a, "perf_trace_run_bpf_submit" },
	{ 0xdf06df31, "nfs_clear_verifier_delegated" },
	{ 0xe32c77af, "nfs_sysfs_add_server" },
	{ 0x213286e2, "fput" },
	{ 0x49608959, "migrate_disable" },
	{ 0xbc8ed355, "down_write" },
	{ 0x4223d21d, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0x426e74d8, "nfs_do_submount" },
	{ 0x9e33beaa, "vfs_dup_fs_context" },
	{ 0xfee44a3a, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x10998c82, "request_key_with_auxdata" },
	{ 0xab760efb, "rpc_clone_client_set_auth" },
	{ 0x3a43f162, "rpc_clone_client" },
	{ 0xe65df8fd, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0x2774026c, "nfs_client_init_status" },
	{ 0xff49b5ff, "idr_alloc" },
	{ 0xb30ec1a0, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0x4edb1eac, "radix_tree_preloads" },
	{ 0xf36506c6, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x420929fe, "put_fs_context" },
	{ 0x550cfd05, "nfs_retry_commit" },
	{ 0x1619441e, "nfs4_dentry_operations" },
	{ 0x514c3c56, "__module_put_and_kthread_exit" },
	{ 0x3796c81, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xf64e162d, "nfs_client_for_each_server" },
	{ 0x202d4b4e, "nfs_clear_inode" },
	{ 0xc48a13a0, "rpc_sleep_on_priority" },
	{ 0xe94d8659, "nfs_invalidate_atime" },
	{ 0x9c15cb9a, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0x7f3c209e, "nfs_umount_begin" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xc4128be4, "nfs_getattr" },
	{ 0x3f5a2d98, "mutex_lock" },
	{ 0xb7ea14b2, "nfs_pageio_reset_write_mds" },
	{ 0x9f7f3955, "kmem_cache_free" },
	{ 0x2ecbe8ed, "nfs_generic_pg_test" },
	{ 0x5a921311, "strncmp" },
	{ 0xaae09bb4, "xdr_stream_subsegment" },
	{ 0x1ac9b2ed, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x2d117845, "nfs_fscache_open_file" },
	{ 0xc0418efb, "from_kgid" },
	{ 0x11bcc038, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaa4608b6, "nfs_write_inode" },
	{ 0x85e5546c, "nfs_request_remove_commit_list" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xaf780e2d, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xb3dac839, "rpc_wake_up_first" },
	{ 0x68437670, "alloc_nfs_open_context" },
	{ 0x3cf59705, "list_lru_add_obj" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xd742c9c7, "vfs_parse_fs_param" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x1d20d494, "nfs_path" },
	{ 0xcd89ec46, "rpc_sleep_on_priority_timeout" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x329f3aa3, "nfs_create_rpc_client" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf8f6856e, "register_nfs_version" },
	{ 0x2bceb42d, "rpc_sleep_on_timeout" },
	{ 0x9f2b09f7, "list_lru_count_one" },
	{ 0xa2876533, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x5e286178, "rpc_call_start" },
	{ 0x3a5327b8, "xprt_setup_backchannel" },
	{ 0x95a86a2d, "bpf_trace_run1" },
	{ 0xa593dd45, "svc_create" },
	{ 0x1c461678, "rpc_clnt_iterate_for_each_xprt" },
	{ 0xa398b766, "nfs_file_set_open_context" },
	{ 0x258be520, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0x17b9bb6b, "rpc_call_sync" },
	{ 0xe43b314, "from_kuid" },
	{ 0x5a58e5ed, "rpc_put_task_async" },
	{ 0xe8763356, "rpc_prepare_reply_pages" },
	{ 0x59541e5e, "rpc_queue_upcall" },
	{ 0xd4c2cf37, "nfs_free_server" },
	{ 0x951b6b39, "fc_mount" },
	{ 0x6a022828, "nfs_setattr" },
	{ 0xfb578fc5, "memset" },
	{ 0xe940181a, "xdr_terminate_string" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xfd5ea1c4, "nfs4_fs_type" },
	{ 0xeb0d2fe0, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x323dd07b, "rpc_delay" },
	{ 0x60bfcac, "nfs_flock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c6e3d73, "__list_lru_init" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xebdfa819, "__init_waitqueue_head" },
	{ 0x9058d726, "svc_generic_init_request" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0x1fee41ac, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0xd7cef3dd, "rpc_exit" },
	{ 0xe14bbada, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xe8fab077, "rt_spin_unlock" },
	{ 0x2f53c22c, "rpc_remove_pipe_dir_object" },
	{ 0xe8447705, "nfs_may_open" },
	{ 0xa59c128f, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x169f6a63, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2542adcc, "down_read" },
	{ 0xea3f4f22, "rt_spin_lock" },
	{ 0xe0b590b0, "xdr_reserve_space" },
	{ 0x4de0b0d6, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8d80d1db, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xb64e4e26, "nfs_rmdir" },
	{ 0xf6d8494a, "bpf_trace_run3" },
	{ 0x86d2d9b, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc103e932, "nfs_filemap_write_and_wait_range" },
	{ 0xaf9920dc, "rpc_mkpipe_dentry" },
	{ 0xa21fd4a4, "alloc_file_pseudo" },
	{ 0x965eed2f, "rpc_mkpipe_data" },
	{ 0x488689a1, "rpc_add_pipe_dir_object" },
	{ 0xbb8dfe00, "igrab" },
	{ 0x6a46cdab, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa2d35805, "nfs_async_iocounter_wait" },
	{ 0x37639968, "nfs_file_read" },
	{ 0x73085f9f, "trace_event_buffer_reserve" },
	{ 0xf5ea3687, "nfs_alloc_fattr_with_label" },
	{ 0x64f1f76f, "mutex_unlock" },
	{ 0x19937ea5, "filemap_fdatawait_range" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x7bec8b84, "nfs_commitdata_alloc" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb90957fd, "nfs_setattr_update_inode" },
	{ 0xfb37d66, "nfs_instantiate" },
	{ 0x833e27bd, "init_user_ns" },
	{ 0x2c1250db, "rpc_uaddr2sockaddr" },
	{ 0xf1ed09d4, "user_read" },
	{ 0x44eb1e3f, "rpc_restart_call" },
	{ 0xc17498e8, "request_key_tag" },
	{ 0xcf7368bf, "xprt_force_disconnect" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0x3592afb2, "alloc_pages" },
	{ 0xb103b3ec, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0xf63f42ce, "svc_xprt_destroy_all" },
	{ 0xd89f290e, "generic_key_instantiate" },
	{ 0x4490a17a, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0xb25ff25e, "nfs_link" },
	{ 0xd24a6b40, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xff260d32, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x205be7b5, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0x869dd512, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0x535e9c50, "rpc_init_wait_queue" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x8215aed2, "xdr_stream_move_subsegment" },
	{ 0xaa5224cb, "put_rpccred" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0x522ba4c6, "nfs_post_op_update_inode_force_wcc" },
	{ 0x3a5a5c99, "nfs_pgheader_init" },
	{ 0x48feaccb, "put_nfs_open_context" },
	{ 0xeac7ad9d, "nfs_show_path" },
	{ 0xeee9ffa4, "nfs_show_devname" },
	{ 0x8148400a, "nfs_permission" },
	{ 0x5026106, "nfs_initiate_commit" },
	{ 0x33fc7791, "truncate_inode_pages_range" },
	{ 0xc872034f, "__put_user_ns" },
	{ 0x4f3f89d4, "cred_fscmp" },
	{ 0x23ae20d2, "rpc_unlink" },
	{ 0x3992c6af, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x5e7bdbb4, "proc_dointvec" },
	{ 0xb3acfb68, "remove_wait_queue" },
	{ 0xbc117952, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x2851ecdf, "node_data" },
	{ 0x2851ad47, "nfs_probe_server" },
	{ 0xd39f8f4f, "nfs_setsecurity" },
	{ 0xed89a7a4, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x2703355c, "rpc_clnt_test_and_add_xprt" },
	{ 0xf8234a6d, "file_ra_state_init" },
	{ 0xf691aea2, "nfs_force_lookup_revalidate" },
	{ 0x69360540, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xd55380e1, "rpc_clnt_add_xprt" },
	{ 0x41e4acec, "dget_parent" },
	{ 0xd39c9d48, "from_kuid_munged" },
	{ 0x5a436e9e, "prepare_kernel_cred" },
	{ 0x88b4d8d8, "kmalloc_trace" },
	{ 0x89533294, "nfs_alloc_server" },
	{ 0x65c47a73, "rpc_call_async" },
	{ 0x5d1ee98a, "security_dentry_init_security" },
	{ 0x407f57b, "filemap_write_and_wait_range" },
	{ 0x5ca96c16, "list_lru_del_obj" },
	{ 0x808fc0fd, "nfs_server_insert_lists" },
	{ 0xe83a464c, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x754d539c, "strlen" },
	{ 0xdb6a6a1d, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x87fa25b6, "rpc_init_pipe_dir_object" },
	{ 0x9169893a, "bpf_trace_run7" },
	{ 0xc62b7b, "nfs_refresh_inode" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0x3cd916ef, "nfs_init_server_rpcclient" },
	{ 0x18b357a3, "__mark_inode_dirty" },
	{ 0xcbf3bad5, "rpc_set_connect_timeout" },
	{ 0x2c79edd1, "rpcauth_create" },
	{ 0x1992ffc2, "xdr_stream_pos" },
	{ 0x669c5033, "key_set_timeout" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0xfd43aee5, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x689db6a9, "__mutex_rt_init" },
	{ 0xc705bb6e, "svc_xprt_create" },
	{ 0x7fa3c0c7, "nfs42_ssc_register" },
	{ 0xd87d5c17, "rpc_wait_for_completion_task" },
	{ 0x21b3efa1, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x7b8d0a4b, "rpc_num_bc_slots" },
	{ 0x4115e35d, "nfs_alloc_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc326119b, "rpc_destroy_wait_queue" },
	{ 0xbe5931b8, "kmalloc_caches" },
	{ 0x7860f09e, "security_inode_listsecurity" },
	{ 0x7b84acc4, "nfs_fhget" },
	{ 0x1c585226, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xdcd178bd, "locks_copy_lock" },
	{ 0xdf583148, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x89d5190b, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcb6228aa, "nfs_set_verifier" },
	{ 0x4d875dc7, "proc_dointvec_minmax" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "8DD8B8E67766F45F73E3B88");
MODULE_INFO(rhelversion, "9.6");
