#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0xda577726, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0xe16efea8, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0xbb4d9a35, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0xd5961bea, "_gpl");
SYMBOL_CRC(br_forward_finish, 0x05979267, "_gpl");
SYMBOL_CRC(br_forward, 0x420a093e, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0x3b3bdd25, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0xa97b30bf, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0xcb5f9efd, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x6fddb788, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0xf7d187f9, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x2ae34c8c, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x5e7aa06f, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0xbbc1cef5, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x8986a44b, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0xd60a05bf, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x7de4e4fb, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0xad4adaaf, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0xb2dc5563, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0xec217400, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0xb3d4a143, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0xe0c53f7d, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x1361d087, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0xab72e2ed, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0xf629a766, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9a8c96be, "netdev_lower_get_next" },
	{ 0x7474bd18, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x611d339, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x8904930b, "skb_copy_bits" },
	{ 0xb8c78cb, "__nlmsg_put" },
	{ 0xa8f411f, "switchdev_port_attr_set" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xac3a0af2, "ipv6_mc_check_mld" },
	{ 0x782cbabb, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa565c994, "call_switchdev_notifiers" },
	{ 0xf206c17d, "sysfs_create_file_ns" },
	{ 0x8e92f7c4, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x2cbcd970, "netdev_update_features" },
	{ 0xffb104fb, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xf59a54cf, "rt_mutex_base_init" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0x592c3112, "dev_uc_del" },
	{ 0x13d0a1b8, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x7e9ee8e3, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6b34b696, "switchdev_port_obj_act_is_deferred" },
	{ 0x1b1254f, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xea79fe6b, "dev_set_promiscuity" },
	{ 0xfacada2d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4782658e, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4a123928, "unregister_netdevice_queue" },
	{ 0x18342712, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xa82d296d, "netdev_state_change" },
	{ 0xb58b4101, "__dev_get_by_name" },
	{ 0x18490799, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x11421732, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x20cbb30a, "__percpu_counter_init" },
	{ 0x4919ae9, "pskb_expand_head" },
	{ 0xac2eef7d, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x338670a9, "brioctl_set" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x1438aa80, "arp_xmit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1f9afba6, "alloc_netdev_mqs" },
	{ 0x8fd8972, "passthru_features_check" },
	{ 0xf159bfd0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x4bab18e3, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa930b34f, "__SCK__tp_func_br_mdb_full" },
	{ 0xf1bc438b, "rtnl_af_register" },
	{ 0x3ee570a0, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0x1ce32b1f, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5d7a2152, "kmem_cache_alloc" },
	{ 0x6e26da25, "rtnl_set_sk_err" },
	{ 0xb282eac9, "skb_vlan_pop" },
	{ 0x85b0ca8b, "rtnl_unicast" },
	{ 0xac61dffb, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9188ca62, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x3caf8e80, "nla_reserve_64bit" },
	{ 0x4c2441a9, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x9014c8fa, "__dev_get_by_index" },
	{ 0xd5c59952, "rtnl_link_unregister" },
	{ 0x3451d592, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0x7a3bdf13, "dev_get_port_parent_id" },
	{ 0xbea584d7, "init_net" },
	{ 0x3b01b706, "ipv6_stub" },
	{ 0xb5f44000, "inet_confirm_addr" },
	{ 0x58a8b5bf, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x24f998d0, "sysfs_remove_link" },
	{ 0xc49e45a2, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe99d06f1, "__SCK__tp_func_br_fdb_add" },
	{ 0xa5cda1db, "rtnl_af_unregister" },
	{ 0x85d69c4f, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x6bab1bf9, "arp_send" },
	{ 0x7d18150b, "dev_get_by_index_rcu" },
	{ 0xee8761fa, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0xc3d516f8, "skb_push" },
	{ 0x9f7f3955, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xf18c6caf, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0x289e33b8, "netdev_upper_dev_unlink" },
	{ 0xb2e1ef81, "netif_receive_skb" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x730882da, "llc_mac_hdr_init" },
	{ 0xf4b8d050, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x47d31c87, "__SCK__tp_func_fdb_delete" },
	{ 0xd69d3821, "kobject_init_and_add" },
	{ 0xb8c4a512, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2f71d294, "ns_capable" },
	{ 0xc0f2cc8e, "inet_select_addr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4b3c02f1, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xaabce786, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xffa464ae, "arp_create" },
	{ 0x6fa50a6b, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xc11ac568, "stp_proto_register" },
	{ 0x439b5142, "rtnl_register_module" },
	{ 0x104adb31, "__tracepoint_br_fdb_update" },
	{ 0x82807796, "sysfs_rename_link_ns" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x3b1e018f, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x6d3114ba, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x14a159a6, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbc38aa6e, "__pskb_pull_tail" },
	{ 0x2e0e1c72, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xc7d4b058, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x1f26039f, "ip_mc_check_igmp" },
	{ 0x18f127e9, "__netdev_alloc_skb" },
	{ 0xec74d372, "rhashtable_destroy" },
	{ 0xe8fab077, "rt_spin_unlock" },
	{ 0x428ecc89, "switchdev_port_obj_del" },
	{ 0x1d44ac42, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xf5192b, "kobject_create_and_add" },
	{ 0xea50fe73, "skb_trim" },
	{ 0xf804e819, "nf_hook_slow" },
	{ 0xea3f4f22, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x393dffa1, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7ebf4878, "__ip_mc_inc_group" },
	{ 0x6058201c, "netdev_walk_all_upper_dev_rcu" },
	{ 0xf6887542, "sysfs_remove_group" },
	{ 0xb764b444, "in_dev_finish_destroy" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0x79bf5f77, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x40c97b8c, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf03ea868, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3955387a, "vlan_vid_add" },
	{ 0x5f3f236b, "neigh_destroy" },
	{ 0x3554e3b6, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x652b030b, "kobject_del" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0xcbc130cd, "__SCK__tp_func_br_fdb_update" },
	{ 0x6e47b84e, "call_netdevice_notifiers" },
	{ 0xa5766add, "is_skb_forwardable" },
	{ 0x5fd42e2b, "vlan_vid_del" },
	{ 0xad1ef8a6, "dev_set_allmulti" },
	{ 0x6ade1561, "net_ns_get_ownership" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf6befc62, "netdev_master_upper_dev_get" },
	{ 0xd909780e, "ipv6_dev_mc_inc" },
	{ 0x62062fd7, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x85bc4077, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xba7c728b, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x8c37a0cf, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xbcb492a9, "skb_clone" },
	{ 0xf87049d2, "__SCK__tp_func_br_fdb_external_learn_add" },
	{ 0x1bffc52c, "metadata_dst_alloc" },
	{ 0x7e5f1542, "dst_release" },
	{ 0xeac415cc, "netif_carrier_on" },
	{ 0x32246852, "kobject_uevent" },
	{ 0x96d4c13d, "arp_tbl" },
	{ 0x9bfdf70a, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e80f47c, "netdev_rx_handler_register" },
	{ 0x535a2b18, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4aac0c1b, "netif_set_tso_max_size" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x3c508d2, "dev_disable_lro" },
	{ 0x88b4d8d8, "kmalloc_trace" },
	{ 0x9c4b0052, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x75621b83, "dev_get_flags" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xeb90d28a, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xa5fa94c8, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xac537ac2, "percpu_counter_destroy" },
	{ 0x260257e9, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x68d597d9, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0x8c763185, "skb_ext_add" },
	{ 0x319caf60, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xe83d644a, "stp_proto_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbe5931b8, "kmalloc_caches" },
	{ 0x78acf738, "neigh_lookup" },
	{ 0xdf583148, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3c521aeb, "kobject_put" },
	{ 0x6a18099a, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "ipv6,llc,stp");


MODULE_INFO(srcversion, "F066C06A3F63323D13AE1D9");
MODULE_INFO(rhelversion, "9.6");
