#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x9cb8b306, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x4b6c0c32, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x5992c582, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0xe87b5728, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x7baeddc7, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0xc5798be6, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x83d405cf, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x3c4e4984, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x0b7240c1, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0xb7df9675, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x1d4e3750, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0xbaae4680, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x464ebfe9, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xbea584d7, "init_net" },
	{ 0x1f9afba6, "alloc_netdev_mqs" },
	{ 0x1c527fc3, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0xf4b8d050, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd5c59952, "rtnl_link_unregister" },
	{ 0x6e9ce0b3, "ip6_local_out" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xfacada2d, "pcpu_hot" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x3470fd2d, "gro_cells_init" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xbc38aa6e, "__pskb_pull_tail" },
	{ 0x6a18099a, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0xa82d296d, "netdev_state_change" },
	{ 0x2f71d294, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa0933be7, "dst_cache_get" },
	{ 0xb993ff69, "ip6_route_output_flags" },
	{ 0xcbc8cabc, "xfrm_lookup" },
	{ 0xb0d50889, "ipv4_mtu" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xfd3dccc5, "skb_scrub_packet" },
	{ 0xf2dad292, "skb_realloc_headroom" },
	{ 0x43514ce8, "skb_set_owner_w" },
	{ 0xffb104fb, "consume_skb" },
	{ 0x587d46d, "ipv6_push_frag_opts" },
	{ 0xc3d516f8, "skb_push" },
	{ 0x24cbc1c, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8904930b, "skb_copy_bits" },
	{ 0x246089aa, "ip6_dst_hoplimit" },
	{ 0x9188ca62, "ipv6_dev_get_saddr" },
	{ 0x5f3f236b, "neigh_destroy" },
	{ 0x88fa1353, "make_kuid" },
	{ 0xd2f5aa1d, "ip6_redirect" },
	{ 0x2c709e6c, "ip6_update_pmtu" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc9e83482, "iptunnel_handle_offloads" },
	{ 0x9e27def3, "icmpv6_ndo_send" },
	{ 0x333315db, "icmp_ndo_send" },
	{ 0x85d69c4f, "sk_skb_reason_drop" },
	{ 0xbcb492a9, "skb_clone" },
	{ 0x58a8b5bf, "skb_pull" },
	{ 0xf1fb1db5, "__icmpv6_send" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xbeec4e8d, "gro_cells_receive" },
	{ 0x90af8359, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x63bafc74, "__iptunnel_pull_header" },
	{ 0x1bffc52c, "metadata_dst_alloc" },
	{ 0x31bf3884, "__xfrm_policy_check" },
	{ 0x7a0391b2, "ip_route_output_flow" },
	{ 0xb4b587fa, "ip_route_input_noref" },
	{ 0x97d60042, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2e0e1c72, "dev_get_tstats64" },
	{ 0x3c2d83fd, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd5cf2c98, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x1db5fcda, "ipv6_chk_addr_and_flags" },
	{ 0x7d18150b, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x204e646b, "register_pernet_device" },
	{ 0xd4991cd3, "xfrm6_tunnel_register" },
	{ 0x13d0a1b8, "rtnl_link_register" },
	{ 0x6b093690, "xfrm6_tunnel_deregister" },
	{ 0xb77e8a99, "unregister_pernet_device" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4a123928, "unregister_netdevice_queue" },
	{ 0x30a6de11, "rt6_lookup" },
	{ 0x7e5f1542, "dst_release" },
	{ 0x9014c8fa, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "ipv6,tunnel6");


MODULE_INFO(srcversion, "BE0736E6F2AB50294927908");
MODULE_INFO(rhelversion, "9.6");
