#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alter_reply, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_auto_assign_helper_warned, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0x427232f9, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0xf8087aad, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0xae2f5047, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0x8df7505d, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0xfe731af8, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0x30e84589, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0xa712530c, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0x929d8d06, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0xa02b366b, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0x3dac48ca, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0x2979b06e, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0x2541baab, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0x071f6aa0, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0xcdbaa1fd, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0x9b26ffd7, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0x4a85ba34, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0x670f2e2c, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0xcce1159e, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0x62ba0545, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0x4310a912, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0x9e70bf25, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0x514699fe, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0xafbd6cf5, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0xaa0e1fa9, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0xd77a39fc, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0x1683c8d6, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0xde76288d, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0x3a6f32a9, "_gpl");
SYMBOL_CRC(print_tuple, 0x8ed010d7, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0xb9232496, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0x43402518, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0x709b3397, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0x6e451272, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0xbe5de00b, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0x226675db, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0xa8bb14c3, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0x70e36e53, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0xfa570520, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0xe2f25b20, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0xb9e68d39, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0x11e48ec8, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0xa35f6812, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0x5a058cdf, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0x578dea20, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0x43e429f5, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0x5d810d68, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0x49ab8bb3, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0xdcf04332, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0x5ea5feea, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0x93cacae0, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0xdb8de262, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0x09372871, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0x398d9626, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0xb879646e, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0xab2d750b, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0x08e26c30, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0x0dbf72ed, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0xd1ad09eb, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0xeacdd33c, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0xfc772c05, "_gpl");
SYMBOL_CRC(nf_ct_set_auto_assign_helper_warned, 0xb9d1ff0d, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0x99b535a6, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0x3137ccba, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0xcc26c515, "_gpl");
SYMBOL_CRC(nf_confirm, 0x8edd86d0, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0xa1d07035, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0x43c980b2, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0x40977ff7, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0xf966759e, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0xc55fb806, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0xc8325a1e, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0xd338bd16, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0xb9b09553, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0xf0d608bd, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0x512cb708, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0xd0637e7a, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0x36554116, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0x9fcb123f, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0x9906eb0c, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0x47a6ff69, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0x9479f713, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0x03df897b, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0xdb46cd3e, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0x33a8ea99, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0x0071623b, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0x2220fa0e, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0xf004e4dd, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x5e5b10d8, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0x771f826a, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0x24f05b60, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0x39690c59, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0x87817dc2, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0x5244ad48, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0x2f4684df, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x29276878, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xa96adc94, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xf51719d6, "nf_defrag_ipv4_disable" },
	{ 0xe507ebd4, "nf_ip6_checksum" },
	{ 0xbf5b98cb, "proc_dou8vec_minmax" },
	{ 0x8904930b, "skb_copy_bits" },
	{ 0x485f65dd, "param_ops_uint" },
	{ 0x15397189, "proc_dointvec_jiffies" },
	{ 0x85a7c11a, "register_net_sysctl" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6241f569, "nf_register_sockopt" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xf59a54cf, "rt_mutex_base_init" },
	{ 0xbc9fe2de, "nfct_btf_struct_access" },
	{ 0x9024e2e, "param_set_uint" },
	{ 0x12d7f737, "nf_defrag_ipv4_enable" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3a6fc63, "nf_ct_frag6_gather" },
	{ 0xc826cc7f, "get_net_ns_by_id" },
	{ 0xfacada2d, "pcpu_hot" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x18342712, "kmem_cache_create" },
	{ 0xce376909, "nf_ct_hook" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7ec151ca, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x751d2e97, "bpf_log" },
	{ 0xac2eef7d, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x57ef5bbd, "nf_unregister_sockopt" },
	{ 0xfe7d877, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x88fa1353, "make_kuid" },
	{ 0x2407603, "nf_defrag_ipv6_disable" },
	{ 0x7d8665e3, "ipv6_skip_exthdr" },
	{ 0x38dde815, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x5d7a2152, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xac2864c6, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x98f2eb1a, "nf_checksum" },
	{ 0x7ce01a70, "nf_hooks_lwtunnel_sysctl_handler" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xbea584d7, "init_net" },
	{ 0x9c02d934, "nf_ip6_check_hbh_len" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc2a113a, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x85d69c4f, "sk_skb_reason_drop" },
	{ 0x3f5a2d98, "mutex_lock" },
	{ 0x9f7f3955, "kmem_cache_free" },
	{ 0xdc9e566b, "seq_putc" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x495a0bd2, "nf_checksum_partial" },
	{ 0x12ce654b, "skb_ensure_writable" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x2e036d89, "nf_unregister_net_hooks" },
	{ 0x6d7369c9, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x3b1e018f, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xa6372707, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xac57b247, "nf_log_packet" },
	{ 0xe14bbada, "make_kgid" },
	{ 0x57df1c91, "nf_ip_checksum" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xe8fab077, "rt_spin_unlock" },
	{ 0xd26ee5a2, "register_btf_kfunc_id_set" },
	{ 0x60e1a8a6, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2542adcc, "down_read" },
	{ 0xea3f4f22, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9039b03b, "nla_policy_len" },
	{ 0x726472cb, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xa97463c9, "__siphash_aligned" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x779fc467, "__skb_checksum" },
	{ 0x64f1f76f, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x484d3bde, "proc_set_user" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x3c2d83fd, "param_ops_bool" },
	{ 0x608a6334, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xa0ae1e73, "siphash_3u64" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb9e45bd4, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x79580a46, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xbc808dcd, "nf_defrag_ipv6_enable" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0x5e7bdbb4, "proc_dointvec" },
	{ 0xac5f1630, "seq_puts" },
	{ 0xb0cdd32c, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xbfdfec00, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x88b4d8d8, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x10ea43fe, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xe90feea0, "pskb_trim_rcsum_slow" },
	{ 0xfd43aee5, "up_read" },
	{ 0x70672ee9, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xbe5931b8, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xdf583148, "kmem_cache_destroy" },
	{ 0x91c988ac, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6");


MODULE_INFO(srcversion, "6CA96C0F98D51DA07718E84");
MODULE_INFO(rhelversion, "9.6");
