#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0x727aabe0, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0xe9fb2ea9, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0xd68891b1, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0x330f6e76, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0x16785f9c, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0x564a26e3, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x6ebdc70c, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x6abfc9ce, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0x7af23f86, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0xf5ca5b56, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0xd3523808, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0x74321888, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0x233c414b, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x5565ec39, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0x67cf95a4, "");
SYMBOL_CRC(nf_nat_follow_master, 0x210b923c, "");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0x03d205c7, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0xfd3d1398, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0x2ef98786, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0x42646d49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0x71731d8a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc55fb806, "nf_ct_ext_add" },
	{ 0x29276878, "__do_once_done" },
	{ 0x3dac48ca, "nf_conntrack_find_get" },
	{ 0xa96adc94, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xe507ebd4, "nf_ip6_checksum" },
	{ 0x8904930b, "skb_copy_bits" },
	{ 0x86946033, "nf_hook_entries_insert_raw" },
	{ 0xcbc8cabc, "xfrm_lookup" },
	{ 0xd338bd16, "nf_ct_seqadj_set" },
	{ 0x782cbabb, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x93cacae0, "nf_ct_helper_expectfn_unregister" },
	{ 0x6ef3fcc6, "__xfrm_decode_session" },
	{ 0xf59a54cf, "rt_mutex_base_init" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x5ea5feea, "nf_ct_helper_expectfn_register" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4919ae9, "pskb_expand_head" },
	{ 0xac2eef7d, "register_pernet_subsys" },
	{ 0xcdbaa1fd, "nf_conntrack_tuple_taken" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xaa0e1fa9, "nf_ct_iterate_cleanup_net" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7d8665e3, "ipv6_skip_exthdr" },
	{ 0x38dde815, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xb1530054, "nf_ipv6_ops" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xac2864c6, "module_put" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcce1159e, "nf_conntrack_alter_reply" },
	{ 0x48c1e06, "ip_route_me_harder" },
	{ 0x3f5a2d98, "mutex_lock" },
	{ 0x7d35b860, "nf_hook_entries_delete_raw" },
	{ 0x12ce654b, "skb_ensure_writable" },
	{ 0x2e036d89, "nf_unregister_net_hooks" },
	{ 0xc0f2cc8e, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x3b1e018f, "unregister_pernet_subsys" },
	{ 0x1c822d05, "skb_checksum" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa02b366b, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x57df1c91, "nf_ip_checksum" },
	{ 0xe8fab077, "rt_spin_unlock" },
	{ 0xd26ee5a2, "register_btf_kfunc_id_set" },
	{ 0xd77a39fc, "nf_ct_iterate_destroy" },
	{ 0x31e64c6a, "inet_proto_csum_replace16" },
	{ 0xea3f4f22, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x726472cb, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0x96aa53f2, "rt_read_lock" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x779fc467, "__skb_checksum" },
	{ 0x64f1f76f, "mutex_unlock" },
	{ 0x608a6334, "inet_proto_csum_replace4" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x42875f35, "rt_read_unlock" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x7e5f1542, "dst_release" },
	{ 0x4310a912, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0xb0cdd32c, "nf_nat_hook" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x88b4d8d8, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xbe5931b8, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "2CFEB6890DB12EDE142B41A");
MODULE_INFO(rhelversion, "9.6");
