#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0x301e66de, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0x2ba225e1, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0x6cb6b815, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x328f9a0, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0xa4464d68, "sock_queue_rcv_skb_reason" },
	{ 0xe017f63a, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x195319e4, "bpf_trace_run4" },
	{ 0x8904930b, "skb_copy_bits" },
	{ 0x21f4b3c6, "radix_tree_insert" },
	{ 0x782cbabb, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xffb104fb, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x49defb57, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x33fc2a31, "get_user_ifreq" },
	{ 0x7b10ec7, "radix_tree_lookup" },
	{ 0xf59a54cf, "rt_mutex_base_init" },
	{ 0xed87c081, "trace_event_printf" },
	{ 0x2357a229, "kernel_bind" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xbf8d90c8, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfacada2d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc889b26c, "__tracepoint_sk_data_ready" },
	{ 0x95724e1c, "event_triggers_call" },
	{ 0xa0e1fa61, "__wake_up" },
	{ 0x2143b0b5, "kernel_recvmsg" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x78a745d5, "sk_error_report" },
	{ 0xbfc83d9, "skb_queue_purge_reason" },
	{ 0x1b9f2b33, "radix_tree_iter_delete" },
	{ 0xa70aaa8c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xfc9f2bb3, "proto_unregister" },
	{ 0x9bb48a44, "sock_register" },
	{ 0x9faefff1, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4a6267c7, "trace_event_ignore_this_pid" },
	{ 0x1ce32b1f, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x1ee03597, "rt_write_unlock" },
	{ 0x391a91f1, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x72dfca05, "__xa_alloc" },
	{ 0x1e43a080, "sock_no_shutdown" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x76a5676a, "perf_trace_run_bpf_submit" },
	{ 0xbea584d7, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa9d1a0df, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x85d69c4f, "sk_skb_reason_drop" },
	{ 0x833d543f, "xa_load" },
	{ 0x13025990, "__SCK__tp_func_sk_data_ready" },
	{ 0xafbba8ef, "kernel_getsockname" },
	{ 0x7864f0f1, "do_wait_intr_irq" },
	{ 0xfb5b5041, "sk_free" },
	{ 0xaa2ab297, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3f5a2d98, "mutex_lock" },
	{ 0xc3d516f8, "skb_push" },
	{ 0x3fc6f95, "sock_no_listen" },
	{ 0x11bcc038, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x6d7369c9, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xeba21fa5, "skb_copy_datagram_iter" },
	{ 0x82df385f, "sk_alloc" },
	{ 0x9911b631, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x94dd5ad9, "sock_no_mmap" },
	{ 0xebdfa819, "__init_waitqueue_head" },
	{ 0x24c26dd7, "sock_no_sendpage" },
	{ 0x18f127e9, "__netdev_alloc_skb" },
	{ 0xe8fab077, "rt_spin_unlock" },
	{ 0xea3f4f22, "rt_spin_lock" },
	{ 0x52b3a0d7, "__xa_insert" },
	{ 0x1d4dca83, "xa_erase" },
	{ 0xf6d8494a, "bpf_trace_run3" },
	{ 0x43514ce8, "skb_set_owner_w" },
	{ 0x73085f9f, "trace_event_buffer_reserve" },
	{ 0x64f1f76f, "mutex_unlock" },
	{ 0x7a94c125, "sock_create_kern" },
	{ 0x5ecf35a1, "xa_find" },
	{ 0x3cb67803, "skb_recv_datagram" },
	{ 0x29e3b1e1, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x1bc585cf, "xa_store" },
	{ 0xbcb492a9, "skb_clone" },
	{ 0x2d3c0a91, "rt_write_lock" },
	{ 0x7d76816f, "_copy_from_iter" },
	{ 0x320bdf16, "sock_release" },
	{ 0x46976c4f, "sock_gettstamp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x63aa6a8e, "xa_find_after" },
	{ 0x88b4d8d8, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x76959ff, "iov_iter_revert" },
	{ 0x61339b71, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x689db6a9, "__mutex_rt_init" },
	{ 0x1cc6a853, "sock_init_data" },
	{ 0x38f48af7, "put_user_ifreq" },
	{ 0xbe5931b8, "kmalloc_caches" },
	{ 0x91c988ac, "release_sock" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "48BEB303FAF074C19834E70");
MODULE_INFO(rhelversion, "9.6");
