#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tipc_nl_sk_walk, "", "");
KSYMTAB_FUNC(tipc_dump_start, "", "");
KSYMTAB_FUNC(tipc_dump_done, "", "");
KSYMTAB_FUNC(tipc_sk_fill_sock_diag, "", "");

SYMBOL_CRC(tipc_nl_sk_walk, 0xef87ff73, "");
SYMBOL_CRC(tipc_dump_start, 0x80d7e329, "");
SYMBOL_CRC(tipc_dump_done, 0xe5650b40, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0x9cfee510, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x75c93b64, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xe914e41e, "strcpy" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0xe5d150bf, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x195319e4, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xb8c78cb, "__nlmsg_put" },
	{ 0x39179186, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x782cbabb, "skb_put" },
	{ 0x85a7c11a, "register_net_sysctl" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x246089aa, "ip6_dst_hoplimit" },
	{ 0xcd5a07c2, "trace_output_call" },
	{ 0xffb104fb, "consume_skb" },
	{ 0xf8c1952c, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x49defb57, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0xf0d569a7, "udp_sock_create4" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xf59a54cf, "rt_mutex_base_init" },
	{ 0xed87c081, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x88ac68b0, "__ip_dev_find" },
	{ 0xae37f24b, "dst_cache_set_ip4" },
	{ 0x52b88c23, "udp_tunnel6_xmit_skb" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x68bbd552, "genlmsg_put" },
	{ 0x36a501cd, "___pskb_trim" },
	{ 0xbf8d90c8, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfacada2d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x75799466, "add_wait_queue" },
	{ 0x4782658e, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc5ffbcb3, "crypto_alloc_aead" },
	{ 0xc889b26c, "__tracepoint_sk_data_ready" },
	{ 0x89c6cbd3, "netdev_warn" },
	{ 0xe7fcd6d5, "crypto_aead_setauthsize" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x209b7047, "crypto_aead_decrypt" },
	{ 0x95724e1c, "event_triggers_call" },
	{ 0x271b5832, "kernel_accept" },
	{ 0x689b3d24, "__module_get" },
	{ 0x7a0391b2, "ip_route_output_flow" },
	{ 0xa1963f88, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xecaea58f, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4919ae9, "pskb_expand_head" },
	{ 0xac2eef7d, "register_pernet_subsys" },
	{ 0x13e40f49, "put_cmsg" },
	{ 0xbfc83d9, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xa70aaa8c, "trace_event_buffer_commit" },
	{ 0x84b944c0, "crypto_destroy_tfm" },
	{ 0x90af8359, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xfc9f2bb3, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x9bb48a44, "sock_register" },
	{ 0xe517dcdb, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x4a6267c7, "trace_event_ignore_this_pid" },
	{ 0xa916b694, "strnlen" },
	{ 0x1ce32b1f, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x1ee03597, "rt_write_unlock" },
	{ 0x5d2a78ca, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0xee758cd5, "skb_try_coalesce" },
	{ 0x391a91f1, "proto_register" },
	{ 0x2a1ea928, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xb5857145, "__wake_up_sync_key" },
	{ 0x265d0a7c, "skb_queue_tail" },
	{ 0xac2864c6, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x6fe0ac5b, "idr_remove" },
	{ 0xfdc91659, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x9014c8fa, "__dev_get_by_index" },
	{ 0x76a5676a, "perf_trace_run_bpf_submit" },
	{ 0xbea584d7, "init_net" },
	{ 0x3b01b706, "ipv6_stub" },
	{ 0x58a8b5bf, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xff49b5ff, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x1f3e477f, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x85d69c4f, "sk_skb_reason_drop" },
	{ 0xc8a60343, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x13025990, "__SCK__tp_func_sk_data_ready" },
	{ 0xbd5a081, "dev_remove_pack" },
	{ 0xfb5b5041, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xecdeb842, "kernel_sock_shutdown" },
	{ 0xaa2ab297, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xc3d516f8, "skb_push" },
	{ 0xa0933be7, "dst_cache_get" },
	{ 0x3fc6f95, "sock_no_listen" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x5b49c186, "proc_doulongvec_minmax" },
	{ 0x11bcc038, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xce295b0e, "iov_iter_kvec" },
	{ 0xc130cb85, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x50be5e9b, "rhashtable_walk_start_check" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xb77e8a99, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x6d7369c9, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xeba21fa5, "skb_copy_datagram_iter" },
	{ 0x3ff4b98d, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x82df385f, "sk_alloc" },
	{ 0x75174faa, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x3b1e018f, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0x95deb480, "kfree_skb_partial" },
	{ 0x6d3114ba, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0xfda97265, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x94dd5ad9, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0xbc38aa6e, "__pskb_pull_tail" },
	{ 0x24c26dd7, "sock_no_sendpage" },
	{ 0xc7d4b058, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0xec74d372, "rhashtable_destroy" },
	{ 0xe8fab077, "rt_spin_unlock" },
	{ 0x9ffe7edf, "setup_udp_tunnel_sock" },
	{ 0x12590f15, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xea50fe73, "skb_trim" },
	{ 0xea3f4f22, "rt_spin_lock" },
	{ 0x500a0833, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf6d8494a, "bpf_trace_run3" },
	{ 0x79bf5f77, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7d82f2ab, "sock_rfree" },
	{ 0x96aa53f2, "rt_read_lock" },
	{ 0xac44f273, "sock_i_ino" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x73fc8c40, "kernel_listen" },
	{ 0xf03ea868, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x73085f9f, "trace_event_buffer_reserve" },
	{ 0x18cab93f, "dev_nit_active" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x7a94c125, "sock_create_kern" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xcf1d7ce2, "rt_spin_trylock_bh" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x24cbc1c, "dst_cache_set_ip6" },
	{ 0xbd89fd32, "pskb_put" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x42875f35, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7a12ef5, "udp_tunnel_xmit_skb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xdab7e234, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x8c37a0cf, "skb_copy" },
	{ 0xbcb492a9, "skb_clone" },
	{ 0x3431bae6, "dev_get_by_name" },
	{ 0x2d3c0a91, "rt_write_lock" },
	{ 0x7d76816f, "_copy_from_iter" },
	{ 0x320bdf16, "sock_release" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xb3acfb68, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x9bb964f9, "rhashtable_walk_next" },
	{ 0xffca656f, "crypto_default_rng" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x68e04666, "sk_stop_timer" },
	{ 0xbfdfec00, "unregister_net_sysctl_table" },
	{ 0x867233fb, "genl_unregister_family" },
	{ 0xd39c9d48, "from_kuid_munged" },
	{ 0x88b4d8d8, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x76959ff, "iov_iter_revert" },
	{ 0x349cba85, "strchr" },
	{ 0x4831936a, "genl_register_family" },
	{ 0x61339b71, "kernel_sendmsg" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x8c1f8d6c, "skb_to_sgvec" },
	{ 0xa7da95d9, "rhashtable_walk_exit" },
	{ 0x204e646b, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x1cc6a853, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbe5931b8, "kmalloc_caches" },
	{ 0x91c988ac, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4d875dc7, "proc_dointvec_minmax" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,ipv6");


MODULE_INFO(srcversion, "FFD091FB89BB3441B17B99E");
MODULE_INFO(rhelversion, "9.6");
