#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0xe7ab26b4, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x20153dc1, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0x5917fffb, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0xb147632e, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0xa9dc736c, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0x826eaaa0, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0x5bb8d74a, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0xb47464f7, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0xbe781b6c, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0x51dd517b, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0xc85f85dc, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0xba8d7ede, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0x0b559d5e, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0xbce57bf2, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0x2ffcec69, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0xa6316b9a, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x81001758, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0x95604e17, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0xd919a7e3, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0xc051caaa, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0x88275b33, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x589fefa9, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0x0f59a33d, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0xb93a4242, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0x16e94fdb, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0xea433cdd, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0x02ecb279, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0x54da4b55, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0xf9e5ab57, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0x7a58322e, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0x79edc976, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0xb375795f, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0x59aba088, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0x3ab680ae, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0xd047bfcb, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0x4e9366c0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69bd8ff5, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x763e205, "vsock_insert_connected" },
	{ 0x782cbabb, "skb_put" },
	{ 0xffb104fb, "consume_skb" },
	{ 0x49defb57, "trace_raw_output_prep" },
	{ 0xf59a54cf, "rt_mutex_base_init" },
	{ 0xb54673aa, "vsock_remove_sock" },
	{ 0xed87c081, "trace_event_printf" },
	{ 0x1101026b, "vsock_deliver_tap" },
	{ 0xbf8d90c8, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfacada2d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x75799466, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x95724e1c, "event_triggers_call" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x78a745d5, "sk_error_report" },
	{ 0xa70aaa8c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x531d53ed, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x4a6267c7, "trace_event_ignore_this_pid" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0x1ce32b1f, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x76a5676a, "perf_trace_run_bpf_submit" },
	{ 0x85d69c4f, "sk_skb_reason_drop" },
	{ 0xfb5b5041, "sk_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x11bcc038, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x24fbd0c4, "__skb_recv_datagram" },
	{ 0x6d7369c9, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x43de3d3c, "vsock_stream_has_data" },
	{ 0xeba21fa5, "skb_copy_datagram_iter" },
	{ 0x9991745, "bpf_trace_run9" },
	{ 0xf31a4061, "vsock_find_connected_socket" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xc4e25384, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe8fab077, "rt_spin_unlock" },
	{ 0x185ae45f, "bpf_trace_run10" },
	{ 0xea3f4f22, "rt_spin_lock" },
	{ 0xc64218fc, "vsock_core_get_transport" },
	{ 0x2902864c, "__zerocopy_sg_from_iter" },
	{ 0xdb32f818, "vsock_stream_has_space" },
	{ 0x43514ce8, "skb_set_owner_w" },
	{ 0x73085f9f, "trace_event_buffer_reserve" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x7d76816f, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xb3acfb68, "remove_wait_queue" },
	{ 0x45b5aee7, "msg_zerocopy_realloc" },
	{ 0x88b4d8d8, "kmalloc_trace" },
	{ 0x35b53031, "vsock_create_connected" },
	{ 0x827c14b0, "vsock_assign_transport" },
	{ 0x76959ff, "iov_iter_revert" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x6be34352, "iov_iter_npages" },
	{ 0xbe5931b8, "kmalloc_caches" },
	{ 0x91c988ac, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8df23d85, "vsock_data_ready" },
	{ 0xd5d7f5e5, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "CC66752BEBE17CC8EB88BBB");
MODULE_INFO(rhelversion, "9.6");
